
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    int i0 = org.jfree.data.time.SerialDate.SERIAL_LOWER_BOUND;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    org.jfree.data.time.SerialDate serialDate1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(2, serialDate1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    int i0 = org.jfree.data.time.MonthConstants.APRIL;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 4);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.jfree.data.time.SerialDate.monthCodeToQuarter(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    java.util.Date date0 = null;
    java.util.TimeZone timeZone1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year2 = new org.jfree.data.time.Year(date0, timeZone1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month1 = org.jfree.data.time.Month.parseMonth("hi!");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond(date0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    int i0 = org.jfree.data.time.SerialDate.MAXIMUM_YEAR_SUPPORTED;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 9999);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(date0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    int i0 = org.jfree.data.time.MonthConstants.FEBRUARY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    org.jfree.data.time.SerialDate serialDate1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(9999, serialDate1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(true);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update(10, (java.lang.Number)2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    int i0 = org.jfree.data.time.SerialDate.LAST_WEEK_IN_MONTH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 0);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day3 = new org.jfree.data.time.Day(9999, 2, 9999);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year15 = month6.getYear();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update(1, (java.lang.Number)(byte)0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(2, 10);
    boolean b4 = month2.equals((java.lang.Object)(short)10);
    java.util.Calendar calendar5 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long6 = month2.getFirstMillisecond(calendar5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    org.jfree.data.time.SerialDate serialDate0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day1 = new org.jfree.data.time.Day(serialDate0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(true);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.removeAgedItems(1L, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    java.util.Date date0 = null;
    java.util.TimeZone timeZone1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(date0, timeZone1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    java.lang.Class clazz0 = null;
    java.util.Date date1 = null;
    java.util.TimeZone timeZone2 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod3 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date1, timeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod3);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(true);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.delete(10, 9999);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidMonthCode(9999);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = new org.jfree.data.time.Year(date0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    org.jfree.data.general.SeriesChangeListener seriesChangeListener3 = null;
    timeSeries2.removeChangeListener(seriesChangeListener3);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem5 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(timeSeriesDataItem5, false);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = org.jfree.data.time.SerialDate.createInstance(2, 9999, 9999);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    int i0 = org.jfree.data.time.SerialDate.THIRD_WEEK_IN_MONTH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 3);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    timeSeries2.setKey((java.lang.Comparable)(byte)100);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem8 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(timeSeriesDataItem8, true);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    boolean b7 = timeSeries2.equals((java.lang.Object)(-61847856000001L));
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update((org.jfree.data.time.RegularTimePeriod)month22, (java.lang.Number)4);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException");
    } catch (org.jfree.data.general.SeriesException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.general.SeriesException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    org.jfree.data.time.SerialDate serialDate1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.addDays(9999, serialDate1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    int i1 = org.jfree.data.time.SerialDate.stringToWeekdayCode("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    int i0 = org.jfree.data.time.MonthConstants.JUNE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 6);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    int i0 = org.jfree.data.time.SerialDate.SUNDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    org.jfree.data.time.Year year1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(6, year1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekInMonthCode(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    java.lang.Class clazz7 = null;
    org.jfree.data.time.TimeSeries timeSeries8 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz7);
    java.lang.String str9 = timeSeries8.getDescription();
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(2, 10);
    boolean b14 = month12.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries20 = timeSeries8.createCopy((org.jfree.data.time.RegularTimePeriod)month12, (org.jfree.data.time.RegularTimePeriod)month17);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update((org.jfree.data.time.RegularTimePeriod)month12, (java.lang.Number)(byte)0);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException");
    } catch (org.jfree.data.general.SeriesException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.general.SeriesException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries20);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getStart();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day16 = new org.jfree.data.time.Day(date15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    int i0 = org.jfree.data.time.MonthConstants.SEPTEMBER;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 9);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    int i0 = org.jfree.data.time.SerialDate.NEAREST;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 0);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    int i0 = org.jfree.data.time.SerialDate.PRECEDING;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == (-1));

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(true);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.delete(0, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    org.jfree.data.time.Year year1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(10, year1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month1 = org.jfree.data.time.Month.parseMonth("");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries14.delete(3, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    timeSeries2.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    org.jfree.data.time.Month month14 = new org.jfree.data.time.Month(2, 10);
    boolean b16 = month14.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month19 = new org.jfree.data.time.Month(2, 10);
    boolean b21 = month19.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries22 = timeSeries10.createCopy((org.jfree.data.time.RegularTimePeriod)month14, (org.jfree.data.time.RegularTimePeriod)month19);
    org.jfree.data.time.Month month25 = new org.jfree.data.time.Month(2, 10);
    boolean b27 = month25.equals((java.lang.Object)(short)10);
    int i28 = month19.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem30 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month19, (java.lang.Number)10L);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(timeSeriesDataItem30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    int i0 = org.jfree.data.time.MonthConstants.JULY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 7);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    org.jfree.data.time.Month month14 = new org.jfree.data.time.Month(2, 10);
    boolean b16 = month14.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month19 = new org.jfree.data.time.Month(2, 10);
    boolean b21 = month19.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries22 = timeSeries10.createCopy((org.jfree.data.time.RegularTimePeriod)month14, (org.jfree.data.time.RegularTimePeriod)month19);
    java.util.Date date23 = month14.getStart();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)month14, 100.0d, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    int i0 = org.jfree.data.time.MonthConstants.JANUARY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.relativeToString(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "Following"+ "'", str1.equals("Following"));

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    int i0 = org.jfree.data.time.SerialDate.FIRST_WEEK_IN_MONTH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    org.jfree.data.time.SerialDate serialDate1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.addMonths(3, serialDate1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    java.util.Date date0 = null;
    java.util.TimeZone timeZone1 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(date0, timeZone1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone1);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    java.lang.Class clazz0 = null;
    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz2);
    java.lang.String str4 = timeSeries3.getDescription();
    org.jfree.data.time.Month month7 = new org.jfree.data.time.Month(2, 10);
    boolean b9 = month7.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(2, 10);
    boolean b14 = month12.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries15 = timeSeries3.createCopy((org.jfree.data.time.RegularTimePeriod)month7, (org.jfree.data.time.RegularTimePeriod)month12);
    java.util.Date date16 = month7.getEnd();
    java.util.TimeZone timeZone17 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod18 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date16, timeZone17);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate19 = org.jfree.data.time.SerialDate.createInstance(date16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod18);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day3 = new org.jfree.data.time.Day(7, 10, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    org.jfree.data.time.Day day1 = org.jfree.data.time.Day.parseDay("February 10");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(day1);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod9 = timeSeries2.getTimePeriod(6);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    org.jfree.data.time.Year year1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(7, year1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.weekdayCodeToString(7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "Saturday"+ "'", str1.equals("Saturday"));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekdayCode((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(2, 10);
    java.util.Calendar calendar3 = null;
    // The following exception was thrown during execution in test generation
    try {
      month2.peg(calendar3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setDescription("Time");
    java.lang.Class clazz7 = null;
    org.jfree.data.time.TimeSeries timeSeries8 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz7);
    java.lang.String str9 = timeSeries8.getDescription();
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(2, 10);
    boolean b14 = month12.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries20 = timeSeries8.createCopy((org.jfree.data.time.RegularTimePeriod)month12, (org.jfree.data.time.RegularTimePeriod)month17);
    java.util.Date date21 = month12.getEnd();
    long long22 = month12.getMiddleMillisecond();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod23 = month12.previous();
    int i24 = timeSeries2.getIndex(regularTimePeriod23);
    org.jfree.data.time.FixedMillisecond fixedMillisecond26 = new org.jfree.data.time.FixedMillisecond(10L);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)fixedMillisecond26, (java.lang.Number)10.0f, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount(7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-458));

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.lang.Class clazz14 = timeSeries6.getTimePeriodClass();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem16 = timeSeries6.getDataItem(6);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(clazz14);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    org.jfree.data.time.FixedMillisecond fixedMillisecond16 = new org.jfree.data.time.FixedMillisecond(10L);
    long long17 = fixedMillisecond16.getLastMillisecond();
    long long18 = fixedMillisecond16.getMiddleMillisecond();
    java.util.Calendar calendar19 = null;
    long long20 = fixedMillisecond16.getFirstMillisecond(calendar19);
    org.jfree.data.time.FixedMillisecond fixedMillisecond22 = new org.jfree.data.time.FixedMillisecond((-1L));
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries23 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)fixedMillisecond16, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond22);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 10L);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    int i0 = org.jfree.data.time.SerialDate.FOURTH_WEEK_IN_MONTH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 4);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    java.util.Date date0 = null;
    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz2);
    java.lang.String str4 = timeSeries3.getDescription();
    org.jfree.data.time.Month month7 = new org.jfree.data.time.Month(2, 10);
    boolean b9 = month7.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(2, 10);
    boolean b14 = month12.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries15 = timeSeries3.createCopy((org.jfree.data.time.RegularTimePeriod)month7, (org.jfree.data.time.RegularTimePeriod)month12);
    java.util.Date date16 = month7.getStart();
    java.lang.Class clazz17 = null;
    java.lang.Class clazz19 = null;
    org.jfree.data.time.TimeSeries timeSeries20 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz19);
    java.lang.String str21 = timeSeries20.getDescription();
    org.jfree.data.time.Month month24 = new org.jfree.data.time.Month(2, 10);
    boolean b26 = month24.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month29 = new org.jfree.data.time.Month(2, 10);
    boolean b31 = month29.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries32 = timeSeries20.createCopy((org.jfree.data.time.RegularTimePeriod)month24, (org.jfree.data.time.RegularTimePeriod)month29);
    java.util.Date date33 = month24.getEnd();
    java.util.TimeZone timeZone34 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod35 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz17, date33, timeZone34);
    org.jfree.data.time.Month month36 = new org.jfree.data.time.Month(date16, timeZone34);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day37 = new org.jfree.data.time.Day(date0, timeZone34);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod35);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    org.jfree.data.time.SerialDate serialDate1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.addYears(2, serialDate1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    int i0 = org.jfree.data.time.SerialDate.TUESDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 3);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidMonthCode(7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    org.jfree.data.time.Day day0 = new org.jfree.data.time.Day();
    java.util.Calendar calendar1 = null;
    // The following exception was thrown during execution in test generation
    try {
      day0.peg(calendar1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    int i0 = org.jfree.data.time.SerialDate.FOLLOWING;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    int i0 = org.jfree.data.time.SerialDate.SERIAL_UPPER_BOUND;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2958465);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    int i0 = org.jfree.data.time.SerialDate.MINIMUM_YEAR_SUPPORTED;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1900);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekInMonthCode(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    int i1 = org.jfree.data.time.SerialDate.stringToMonthCode("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 13);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.beans.PropertyChangeListener propertyChangeListener14 = null;
    timeSeries6.removePropertyChangeListener(propertyChangeListener14);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    org.jfree.data.time.Month month33 = new org.jfree.data.time.Month(2, 10);
    boolean b35 = month33.equals((java.lang.Object)(short)10);
    int i36 = month27.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem38 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month27, (java.lang.Number)10L);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries6.add(timeSeriesDataItem38);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    int i20 = month11.compareTo((java.lang.Object)(short)10);
    int i21 = month11.getYearValue();
    java.lang.String str22 = month11.toString();
    long long23 = month11.getFirstMillisecond();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year24 = month11.getYear();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "February 10"+ "'", str22.equals("February 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == (-61849065600000L));

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = org.jfree.data.time.Year.parseYear("");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    org.jfree.data.time.SerialDate serialDate1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.addYears(1900, serialDate1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    timeSeries2.setDescription("");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = null;
    java.lang.Number number11 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(regularTimePeriod10, number11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    timeSeries6.setDescription("February 10");
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    long long31 = month22.getMiddleMillisecond();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries6.add((org.jfree.data.time.RegularTimePeriod)month22, (-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == (-61847856000001L));

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    org.jfree.data.time.SerialDate serialDate1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek((-458), serialDate1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-460));

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = new org.jfree.data.time.Year(9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(13, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.weekInMonthToString(1900);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "SerialDate.weekInMonthToString(): invalid code."+ "'", str1.equals("SerialDate.weekInMonthToString(): invalid code."));

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable8 = timeSeries2.getKey();
    java.lang.Class clazz10 = null;
    org.jfree.data.time.TimeSeries timeSeries11 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz10);
    java.lang.String str12 = timeSeries11.getDescription();
    org.jfree.data.time.Month month15 = new org.jfree.data.time.Month(2, 10);
    boolean b17 = month15.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month20 = new org.jfree.data.time.Month(2, 10);
    boolean b22 = month20.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries23 = timeSeries11.createCopy((org.jfree.data.time.RegularTimePeriod)month15, (org.jfree.data.time.RegularTimePeriod)month20);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem24 = timeSeries2.getDataItem((org.jfree.data.time.RegularTimePeriod)month15);
    java.lang.Class clazz26 = null;
    org.jfree.data.time.TimeSeries timeSeries27 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz26);
    java.lang.String str28 = timeSeries27.getDescription();
    org.jfree.data.time.Month month31 = new org.jfree.data.time.Month(2, 10);
    boolean b33 = month31.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month36 = new org.jfree.data.time.Month(2, 10);
    boolean b38 = month36.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries39 = timeSeries27.createCopy((org.jfree.data.time.RegularTimePeriod)month31, (org.jfree.data.time.RegularTimePeriod)month36);
    java.util.Date date40 = month31.getStart();
    java.lang.Class clazz41 = null;
    java.lang.Class clazz43 = null;
    org.jfree.data.time.TimeSeries timeSeries44 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz43);
    java.lang.String str45 = timeSeries44.getDescription();
    org.jfree.data.time.Month month48 = new org.jfree.data.time.Month(2, 10);
    boolean b50 = month48.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month53 = new org.jfree.data.time.Month(2, 10);
    boolean b55 = month53.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries56 = timeSeries44.createCopy((org.jfree.data.time.RegularTimePeriod)month48, (org.jfree.data.time.RegularTimePeriod)month53);
    java.util.Date date57 = month48.getEnd();
    java.util.TimeZone timeZone58 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod59 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz41, date57, timeZone58);
    org.jfree.data.time.Month month60 = new org.jfree.data.time.Month(date40, timeZone58);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)month60, (java.lang.Number)13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable8 + "' != '" + 0.0d+ "'", comparable8.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod59);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    int i1 = org.jfree.data.time.SerialDate.stringToMonthCode("hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.jfree.data.time.SerialDate.monthCodeToQuarter((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-457));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    org.jfree.data.time.SerialDate serialDate1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.addYears(10, serialDate1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    org.jfree.data.time.Month month0 = new org.jfree.data.time.Month();
    java.util.Calendar calendar1 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long2 = month0.getLastMillisecond(calendar1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.jfree.data.time.SerialDate.lastDayOfMonth(13, (-460));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    java.lang.Class clazz0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Class clazz1 = org.jfree.data.time.RegularTimePeriod.downsize(clazz0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    java.lang.Class clazz7 = null;
    org.jfree.data.time.TimeSeries timeSeries8 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz7);
    java.lang.String str9 = timeSeries8.getDescription();
    timeSeries8.setKey((java.lang.Comparable)10.0f);
    timeSeries8.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable14 = timeSeries8.getKey();
    timeSeries8.clear();
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    long long31 = month22.getMiddleMillisecond();
    java.lang.Number number32 = timeSeries8.getValue((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz34 = null;
    org.jfree.data.time.TimeSeries timeSeries35 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz34);
    java.lang.String str36 = timeSeries35.getDescription();
    org.jfree.data.time.Month month39 = new org.jfree.data.time.Month(2, 10);
    boolean b41 = month39.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month44 = new org.jfree.data.time.Month(2, 10);
    boolean b46 = month44.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries47 = timeSeries35.createCopy((org.jfree.data.time.RegularTimePeriod)month39, (org.jfree.data.time.RegularTimePeriod)month44);
    java.util.Date date48 = month39.getEnd();
    long long49 = month39.getMiddleMillisecond();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod50 = month39.previous();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries51 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, regularTimePeriod50);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable14 + "' != '" + 0.0d+ "'", comparable14.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long49 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod50);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setDescription("Time");
    java.lang.Class clazz7 = null;
    org.jfree.data.time.TimeSeries timeSeries8 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz7);
    java.lang.String str9 = timeSeries8.getDescription();
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(2, 10);
    boolean b14 = month12.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries20 = timeSeries8.createCopy((org.jfree.data.time.RegularTimePeriod)month12, (org.jfree.data.time.RegularTimePeriod)month17);
    java.util.Date date21 = month12.getEnd();
    long long22 = month12.getMiddleMillisecond();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod23 = month12.previous();
    int i24 = timeSeries2.getIndex(regularTimePeriod23);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem26 = timeSeries2.getDataItem(7);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.relativeToString(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ERROR : Relative To String"+ "'", str1.equals("ERROR : Relative To String"));

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.lang.Class clazz14 = timeSeries6.getTimePeriodClass();
    org.jfree.data.time.FixedMillisecond fixedMillisecond16 = new org.jfree.data.time.FixedMillisecond(10L);
    long long17 = fixedMillisecond16.getLastMillisecond();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries6.add((org.jfree.data.time.RegularTimePeriod)fixedMillisecond16, (java.lang.Number)1, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(clazz14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 10L);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(7, 4);
    java.util.Calendar calendar3 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long4 = month2.getLastMillisecond(calendar3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setDescription("Time");
    java.lang.Class clazz7 = null;
    org.jfree.data.time.TimeSeries timeSeries8 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz7);
    java.lang.String str9 = timeSeries8.getDescription();
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(2, 10);
    boolean b14 = month12.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries20 = timeSeries8.createCopy((org.jfree.data.time.RegularTimePeriod)month12, (org.jfree.data.time.RegularTimePeriod)month17);
    org.jfree.data.time.Month month23 = new org.jfree.data.time.Month(2, 10);
    boolean b25 = month23.equals((java.lang.Object)(short)10);
    int i26 = month17.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem28 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month17, (java.lang.Number)10L);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(timeSeriesDataItem28, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    int i0 = org.jfree.data.time.MonthConstants.MARCH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 3);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(7, 4);
    java.util.Calendar calendar3 = null;
    // The following exception was thrown during execution in test generation
    try {
      month2.peg(calendar3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    int i0 = org.jfree.data.time.SerialDate.INCLUDE_BOTH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 3);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(0, 13, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidMonthCode((-458));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getStart();
    java.lang.Class clazz16 = null;
    java.lang.Class clazz18 = null;
    org.jfree.data.time.TimeSeries timeSeries19 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz18);
    java.lang.String str20 = timeSeries19.getDescription();
    org.jfree.data.time.Month month23 = new org.jfree.data.time.Month(2, 10);
    boolean b25 = month23.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month28 = new org.jfree.data.time.Month(2, 10);
    boolean b30 = month28.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries19.createCopy((org.jfree.data.time.RegularTimePeriod)month23, (org.jfree.data.time.RegularTimePeriod)month28);
    java.util.Date date32 = month23.getEnd();
    java.util.TimeZone timeZone33 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod34 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz16, date32, timeZone33);
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(date15, timeZone33);
    java.lang.String str36 = month35.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year37 = month35.getYear();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "February 10"+ "'", str36.equals("February 10"));

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable8 = timeSeries2.getKey();
    timeSeries2.clear();
    java.lang.Class clazz11 = null;
    org.jfree.data.time.TimeSeries timeSeries12 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz11);
    java.lang.String str13 = timeSeries12.getDescription();
    org.jfree.data.time.Month month16 = new org.jfree.data.time.Month(2, 10);
    boolean b18 = month16.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month21 = new org.jfree.data.time.Month(2, 10);
    boolean b23 = month21.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries24 = timeSeries12.createCopy((org.jfree.data.time.RegularTimePeriod)month16, (org.jfree.data.time.RegularTimePeriod)month21);
    long long25 = month16.getMiddleMillisecond();
    java.lang.Number number26 = timeSeries2.getValue((org.jfree.data.time.RegularTimePeriod)month16);
    boolean b28 = month16.equals((java.lang.Object)(short)10);
    java.util.Calendar calendar29 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long30 = month16.getLastMillisecond(calendar29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable8 + "' != '" + 0.0d+ "'", comparable8.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    org.jfree.data.time.Day day1 = org.jfree.data.time.Day.parseDay("Saturday");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(day1);

  }

  @Test
  public void test110() {}
// Defects4J: flaky method
//   @Test
//   public void test110() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }
// 
// 
//     org.jfree.data.time.Day day0 = new org.jfree.data.time.Day();
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod1 = day0.next();
//     java.lang.String str2 = day0.toString();
//     java.util.Calendar calendar3 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       day0.peg(calendar3);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str2 + "' != '" + "21-February-2016"+ "'", str2.equals("21-February-2016"));
// 
//   }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    java.text.DateFormatSymbols dateFormatSymbols0 = org.jfree.data.time.SerialDate.DATE_FORMAT_SYMBOLS;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateFormatSymbols0);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = org.jfree.data.time.Year.parseYear("21-February-2016");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekdayCode(1900);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    java.lang.String str6 = timeSeries2.getDescription();
    java.util.List list7 = timeSeries2.getItems();
    org.jfree.data.time.Year year8 = new org.jfree.data.time.Year();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem9 = timeSeries2.getDataItem((org.jfree.data.time.RegularTimePeriod)year8);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update(regularTimePeriod10, (java.lang.Number)10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem9);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    java.beans.PropertyChangeListener propertyChangeListener56 = null;
    timeSeries2.addPropertyChangeListener(propertyChangeListener56);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod58 = timeSeries2.getNextTimePeriod();
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz2);
    java.lang.String str4 = timeSeries3.getDescription();
    timeSeries3.setNotify(false);
    java.lang.String str7 = timeSeries3.getDescription();
    java.util.List list8 = timeSeries3.getItems();
    org.jfree.data.time.Year year9 = new org.jfree.data.time.Year();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem10 = timeSeries3.getDataItem((org.jfree.data.time.RegularTimePeriod)year9);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month11 = new org.jfree.data.time.Month((-460), year9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem10);

  }

  @Test
  public void test117() {}
// Defects4J: flaky method
//   @Test
//   public void test117() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }
// 
// 
//     org.jfree.data.time.Day day0 = new org.jfree.data.time.Day();
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod1 = day0.next();
//     java.lang.String str2 = day0.toString();
//     java.util.Calendar calendar3 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long4 = day0.getFirstMillisecond(calendar3);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str2 + "' != '" + "21-February-2016"+ "'", str2.equals("21-February-2016"));
// 
//   }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    int i20 = month11.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem22 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month11, (java.lang.Number)100.0d);
    java.util.Calendar calendar23 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long24 = month11.getFirstMillisecond(calendar23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    long long1 = year0.getSerialIndex();
    java.util.Calendar calendar2 = null;
    // The following exception was thrown during execution in test generation
    try {
      year0.peg(calendar2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2016L);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.lang.Class clazz16 = null;
    org.jfree.data.time.TimeSeries timeSeries17 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz16);
    java.lang.String str18 = timeSeries17.getDescription();
    java.lang.Class clazz20 = null;
    org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz20);
    java.lang.String str22 = timeSeries21.getDescription();
    timeSeries21.setKey((java.lang.Comparable)10.0f);
    timeSeries21.setKey((java.lang.Comparable)0.0d);
    java.lang.String str27 = timeSeries21.getDescription();
    java.util.Collection collection28 = timeSeries17.getTimePeriodsUniqueToOtherSeries(timeSeries21);
    org.jfree.data.time.Day day29 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod30 = day29.next();
    org.jfree.data.time.FixedMillisecond fixedMillisecond32 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod33 = fixedMillisecond32.previous();
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries21.createCopy(regularTimePeriod30, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond32);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)fixedMillisecond32, (java.lang.Number)(-1.0f));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    int i20 = month11.compareTo((java.lang.Object)(short)10);
    long long21 = month11.getSerialIndex();
    java.lang.Class clazz23 = null;
    org.jfree.data.time.TimeSeries timeSeries24 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz23);
    java.lang.String str25 = timeSeries24.getDescription();
    org.jfree.data.time.Month month28 = new org.jfree.data.time.Month(2, 10);
    boolean b30 = month28.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month33 = new org.jfree.data.time.Month(2, 10);
    boolean b35 = month33.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries24.createCopy((org.jfree.data.time.RegularTimePeriod)month28, (org.jfree.data.time.RegularTimePeriod)month33);
    org.jfree.data.time.Month month39 = new org.jfree.data.time.Month(2, 10);
    boolean b41 = month39.equals((java.lang.Object)(short)10);
    int i42 = month33.compareTo((java.lang.Object)(short)10);
    int i43 = month33.getYearValue();
    boolean b44 = month11.equals((java.lang.Object)month33);
    java.util.Date date45 = month33.getEnd();
    java.lang.String str46 = month33.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 122L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "February 10"+ "'", str46.equals("February 10"));

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable8 = timeSeries2.getKey();
    timeSeries2.clear();
    org.jfree.data.time.Day day10 = new org.jfree.data.time.Day();
    java.lang.Number number11 = timeSeries2.getValue((org.jfree.data.time.RegularTimePeriod)day10);
    java.util.Calendar calendar12 = null;
    // The following exception was thrown during execution in test generation
    try {
      day10.peg(calendar12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable8 + "' != '" + 0.0d+ "'", comparable8.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);

  }

  @Test
  public void test123() {}
// Defects4J: flaky method
//   @Test
//   public void test123() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }
// 
// 
//     org.jfree.data.time.Day day0 = new org.jfree.data.time.Day();
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day0, clazz1);
//     int i3 = day0.getDayOfMonth();
//     java.util.Calendar calendar4 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long5 = day0.getLastMillisecond(calendar4);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 21);
// 
//   }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    timeSeries2.setKey((java.lang.Comparable)(byte)100);
    java.lang.String str8 = timeSeries2.getDomainDescription();
    org.jfree.data.time.Year year9 = new org.jfree.data.time.Year();
    java.lang.Number number10 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update((org.jfree.data.time.RegularTimePeriod)year9, number10);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException");
    } catch (org.jfree.data.general.SeriesException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.general.SeriesException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Time"+ "'", str8.equals("Time"));

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    int i0 = org.jfree.data.time.SerialDate.THURSDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 5);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    org.jfree.data.time.Day day14 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod15 = day14.next();
    org.jfree.data.time.FixedMillisecond fixedMillisecond17 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod18 = fixedMillisecond17.previous();
    org.jfree.data.time.TimeSeries timeSeries19 = timeSeries6.createCopy(regularTimePeriod15, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond17);
    java.lang.Class clazz21 = null;
    org.jfree.data.time.TimeSeries timeSeries22 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz21);
    java.lang.String str23 = timeSeries22.getDescription();
    timeSeries22.setKey((java.lang.Comparable)10.0f);
    timeSeries22.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable28 = timeSeries22.getKey();
    timeSeries22.clear();
    java.lang.Class clazz31 = null;
    org.jfree.data.time.TimeSeries timeSeries32 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz31);
    java.lang.String str33 = timeSeries32.getDescription();
    org.jfree.data.time.Month month36 = new org.jfree.data.time.Month(2, 10);
    boolean b38 = month36.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month41 = new org.jfree.data.time.Month(2, 10);
    boolean b43 = month41.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries44 = timeSeries32.createCopy((org.jfree.data.time.RegularTimePeriod)month36, (org.jfree.data.time.RegularTimePeriod)month41);
    long long45 = month36.getMiddleMillisecond();
    java.lang.Number number46 = timeSeries22.getValue((org.jfree.data.time.RegularTimePeriod)month36);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries6.add((org.jfree.data.time.RegularTimePeriod)month36, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable28 + "' != '" + 0.0d+ "'", comparable28.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long45 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number46);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    int i0 = org.jfree.data.time.SerialDate.MONDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    org.jfree.data.general.SeriesChangeListener seriesChangeListener3 = null;
    timeSeries2.removeChangeListener(seriesChangeListener3);
    java.lang.Comparable comparable5 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.setKey(comparable5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    int i0 = org.jfree.data.time.SerialDate.SATURDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 7);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    int i0 = org.jfree.data.time.MonthConstants.DECEMBER;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 12);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    int i1 = org.jfree.data.time.SerialDate.monthCodeToQuarter(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    org.jfree.data.time.Day day0 = new org.jfree.data.time.Day();
    java.util.Calendar calendar1 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long2 = day0.getLastMillisecond(calendar1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    int i1 = org.jfree.data.time.SerialDate.monthCodeToQuarter(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.weekInMonthToString(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "SerialDate.weekInMonthToString(): invalid code."+ "'", str1.equals("SerialDate.weekInMonthToString(): invalid code."));

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setDescription("Time");
    java.lang.Class clazz7 = null;
    org.jfree.data.time.TimeSeries timeSeries8 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz7);
    java.lang.String str9 = timeSeries8.getDescription();
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(2, 10);
    boolean b14 = month12.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries20 = timeSeries8.createCopy((org.jfree.data.time.RegularTimePeriod)month12, (org.jfree.data.time.RegularTimePeriod)month17);
    java.util.Date date21 = month12.getEnd();
    long long22 = month12.getMiddleMillisecond();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod23 = month12.previous();
    int i24 = timeSeries2.getIndex(regularTimePeriod23);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    int i30 = month27.getMonth();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)month27, 100.0d, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 2);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getStart();
    java.util.Calendar calendar16 = null;
    // The following exception was thrown during execution in test generation
    try {
      month6.peg(calendar16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.jfree.data.time.SerialDate.weekdayCodeToString(2147483647);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    int i0 = org.jfree.data.time.MonthConstants.OCTOBER;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 10);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    org.jfree.data.time.Day day1 = org.jfree.data.time.Day.parseDay("Following");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(day1);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    timeSeries2.setDescription("");
    org.jfree.data.time.FixedMillisecond fixedMillisecond11 = new org.jfree.data.time.FixedMillisecond(10L);
    long long12 = fixedMillisecond11.getLastMillisecond();
    long long13 = fixedMillisecond11.getMiddleMillisecond();
    java.util.Calendar calendar14 = null;
    long long15 = fixedMillisecond11.getFirstMillisecond(calendar14);
    long long16 = fixedMillisecond11.getFirstMillisecond();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update((org.jfree.data.time.RegularTimePeriod)fixedMillisecond11, (java.lang.Number)1);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException");
    } catch (org.jfree.data.general.SeriesException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.general.SeriesException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 10L);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = org.jfree.data.time.Year.parseYear("Saturday");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.relativeToString((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "Preceding"+ "'", str1.equals("Preceding"));

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    int i20 = month11.compareTo((java.lang.Object)(short)10);
    java.util.Date date21 = month11.getEnd();
    java.lang.Class clazz23 = null;
    org.jfree.data.time.TimeSeries timeSeries24 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz23);
    java.lang.String str25 = timeSeries24.getDescription();
    org.jfree.data.time.Month month28 = new org.jfree.data.time.Month(2, 10);
    boolean b30 = month28.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month33 = new org.jfree.data.time.Month(2, 10);
    boolean b35 = month33.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries24.createCopy((org.jfree.data.time.RegularTimePeriod)month28, (org.jfree.data.time.RegularTimePeriod)month33);
    java.util.Date date37 = month28.getStart();
    java.lang.Class clazz38 = null;
    java.lang.Class clazz40 = null;
    org.jfree.data.time.TimeSeries timeSeries41 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz40);
    java.lang.String str42 = timeSeries41.getDescription();
    org.jfree.data.time.Month month45 = new org.jfree.data.time.Month(2, 10);
    boolean b47 = month45.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month50 = new org.jfree.data.time.Month(2, 10);
    boolean b52 = month50.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries53 = timeSeries41.createCopy((org.jfree.data.time.RegularTimePeriod)month45, (org.jfree.data.time.RegularTimePeriod)month50);
    java.util.Date date54 = month45.getEnd();
    java.util.TimeZone timeZone55 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod56 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz38, date54, timeZone55);
    org.jfree.data.time.Month month57 = new org.jfree.data.time.Month(date37, timeZone55);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day58 = new org.jfree.data.time.Day(date21, timeZone55);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod56);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidMonthCode(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    org.jfree.data.time.RegularTimePeriod regularTimePeriod0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem2 = new org.jfree.data.time.TimeSeriesDataItem(regularTimePeriod0, 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getStart();
    org.jfree.data.time.FixedMillisecond fixedMillisecond16 = new org.jfree.data.time.FixedMillisecond(date15);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate17 = org.jfree.data.time.SerialDate.createInstance(date15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getEnd();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate16 = org.jfree.data.time.SerialDate.createInstance(date15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.jfree.data.time.Year year1 = new org.jfree.data.time.Year();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod2 = year1.previous();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod3 = year1.previous();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month4 = new org.jfree.data.time.Month(0, year1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod3);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.relativeToString(9999);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ERROR : Relative To String"+ "'", str1.equals("ERROR : Relative To String"));

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    java.lang.String str6 = timeSeries2.getDomainDescription();
    timeSeries2.clear();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.removeAgedItems(1456070549521L, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Time"+ "'", str6.equals("Time"));

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.beans.PropertyChangeListener propertyChangeListener14 = null;
    timeSeries6.removePropertyChangeListener(propertyChangeListener14);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    java.util.Date date31 = month22.getEnd();
    long long32 = month22.getMiddleMillisecond();
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(2, 10);
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month35);
    timeSeries6.setNotify(false);
    org.jfree.data.time.Year year39 = new org.jfree.data.time.Year();
    long long40 = year39.getSerialIndex();
    long long41 = year39.getFirstMillisecond();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries6.add((org.jfree.data.time.RegularTimePeriod)year39, (java.lang.Number)(short)100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 2016L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long41 == 1451635200000L);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getEnd();
    long long16 = month6.getMiddleMillisecond();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod17 = month6.previous();
    int i18 = month6.getYearValue();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year19 = month6.getYear();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 10);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getStart();
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)month6);
    timeSeries16.setDescription("hi!");
    org.jfree.data.time.Month month21 = new org.jfree.data.time.Month(2, 10);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries16.add((org.jfree.data.time.RegularTimePeriod)month21, (-1.0d));
      org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException");
    } catch (org.jfree.data.general.SeriesException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.general.SeriesException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    int i20 = month11.compareTo((java.lang.Object)(short)10);
    java.util.Date date21 = month11.getEnd();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day22 = new org.jfree.data.time.Day(date21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    java.lang.Class clazz3 = null;
    org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz3);
    java.lang.String str5 = timeSeries4.getDescription();
    timeSeries4.setKey((java.lang.Comparable)10.0f);
    timeSeries4.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable10 = timeSeries4.getKey();
    timeSeries4.clear();
    org.jfree.data.time.Day day12 = new org.jfree.data.time.Day();
    java.lang.Number number13 = timeSeries4.getValue((org.jfree.data.time.RegularTimePeriod)day12);
    org.jfree.data.time.SerialDate serialDate14 = day12.getSerialDate();
    org.jfree.data.time.SerialDate serialDate15 = org.jfree.data.time.SerialDate.addDays(9999, serialDate14);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate16 = org.jfree.data.time.SerialDate.addDays(2147483647, serialDate14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable10 + "' != '" + 0.0d+ "'", comparable10.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate15);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.jfree.data.time.SerialDate.lastDayOfMonth(100, 12);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    int i1 = org.jfree.data.time.SerialDate.stringToWeekdayCode("SerialDate.weekInMonthToString(): invalid code.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    int i0 = org.jfree.data.time.SerialDate.WEDNESDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 4);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getEnd();
    long long16 = month6.getMiddleMillisecond();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod17 = month6.previous();
    int i18 = month6.getYearValue();
    java.util.Date date19 = month6.getStart();
    java.lang.Class clazz20 = null;
    java.lang.Class clazz22 = null;
    org.jfree.data.time.TimeSeries timeSeries23 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz22);
    java.lang.String str24 = timeSeries23.getDescription();
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month32 = new org.jfree.data.time.Month(2, 10);
    boolean b34 = month32.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries35 = timeSeries23.createCopy((org.jfree.data.time.RegularTimePeriod)month27, (org.jfree.data.time.RegularTimePeriod)month32);
    java.util.Date date36 = month27.getEnd();
    java.util.TimeZone timeZone37 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod38 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz20, date36, timeZone37);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day39 = new org.jfree.data.time.Day(date19, timeZone37);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod38);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekInMonthCode(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    java.lang.String[] str_array0 = org.jfree.data.time.SerialDate.getMonths();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array0);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    org.jfree.data.time.Day day1 = new org.jfree.data.time.Day();
    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day1, clazz2);
    org.jfree.data.time.SerialDate serialDate4 = day1.getSerialDate();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek((-460), serialDate4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate4);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    java.lang.Class clazz3 = null;
    org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz3);
    java.lang.String str5 = timeSeries4.getDescription();
    timeSeries4.setKey((java.lang.Comparable)10.0f);
    timeSeries4.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable10 = timeSeries4.getKey();
    timeSeries4.clear();
    org.jfree.data.time.Day day12 = new org.jfree.data.time.Day();
    java.lang.Number number13 = timeSeries4.getValue((org.jfree.data.time.RegularTimePeriod)day12);
    org.jfree.data.time.SerialDate serialDate14 = day12.getSerialDate();
    org.jfree.data.time.SerialDate serialDate15 = org.jfree.data.time.SerialDate.addDays(9999, serialDate14);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate16 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(10, serialDate14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable10 + "' != '" + 0.0d+ "'", comparable10.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate15);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getStart();
    java.lang.Class clazz16 = null;
    java.lang.Class clazz18 = null;
    org.jfree.data.time.TimeSeries timeSeries19 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz18);
    java.lang.String str20 = timeSeries19.getDescription();
    org.jfree.data.time.Month month23 = new org.jfree.data.time.Month(2, 10);
    boolean b25 = month23.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month28 = new org.jfree.data.time.Month(2, 10);
    boolean b30 = month28.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries19.createCopy((org.jfree.data.time.RegularTimePeriod)month23, (org.jfree.data.time.RegularTimePeriod)month28);
    java.util.Date date32 = month23.getEnd();
    java.util.TimeZone timeZone33 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod34 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz16, date32, timeZone33);
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(date15, timeZone33);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day36 = new org.jfree.data.time.Day(date15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod34);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = org.jfree.data.time.SerialDate.createInstance(12, 0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    int i0 = org.jfree.data.time.SerialDate.INCLUDE_SECOND;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    org.jfree.data.time.Day day1 = new org.jfree.data.time.Day();
    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day1, clazz2);
    org.jfree.data.time.SerialDate serialDate4 = day1.getSerialDate();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.addYears(2958465, serialDate4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate4);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    org.jfree.data.time.Day day0 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod1 = day0.next();
    java.util.Calendar calendar2 = null;
    // The following exception was thrown during execution in test generation
    try {
      day0.peg(calendar2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod1);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number15 = timeSeries2.getValue((-457));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.beans.PropertyChangeListener propertyChangeListener14 = null;
    timeSeries6.removePropertyChangeListener(propertyChangeListener14);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    java.util.Date date31 = month22.getEnd();
    long long32 = month22.getMiddleMillisecond();
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(2, 10);
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month35);
    java.lang.Comparable comparable37 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries6.setKey(comparable37);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    int i1 = org.jfree.data.time.SerialDate.stringToMonthCode("Saturday");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    java.lang.Class clazz3 = null;
    org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz3);
    java.lang.String str5 = timeSeries4.getDescription();
    timeSeries4.setKey((java.lang.Comparable)10.0f);
    timeSeries4.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable10 = timeSeries4.getKey();
    timeSeries4.clear();
    org.jfree.data.time.Day day12 = new org.jfree.data.time.Day();
    java.lang.Number number13 = timeSeries4.getValue((org.jfree.data.time.RegularTimePeriod)day12);
    org.jfree.data.time.SerialDate serialDate14 = day12.getSerialDate();
    org.jfree.data.time.SerialDate serialDate15 = org.jfree.data.time.SerialDate.addDays(9999, serialDate14);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate16 = org.jfree.data.time.SerialDate.addDays(2958465, serialDate15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable10 + "' != '" + 0.0d+ "'", comparable10.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate15);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    java.lang.String str6 = timeSeries2.getDomainDescription();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update(2, (java.lang.Number)(-460));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Time"+ "'", str6.equals("Time"));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    java.lang.String str6 = timeSeries2.getDescription();
    java.util.List list7 = timeSeries2.getItems();
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setKey((java.lang.Comparable)10.0f);
    timeSeries10.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable16 = timeSeries10.getKey();
    timeSeries10.clear();
    org.jfree.data.time.Day day18 = new org.jfree.data.time.Day();
    java.lang.Number number19 = timeSeries10.getValue((org.jfree.data.time.RegularTimePeriod)day18);
    org.jfree.data.time.SerialDate serialDate20 = day18.getSerialDate();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod21 = day18.previous();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)day18, (java.lang.Number)100.0f, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable16 + "' != '" + 0.0d+ "'", comparable16.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod21);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    java.lang.Class clazz3 = null;
    org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz3);
    java.lang.String str5 = timeSeries4.getDescription();
    timeSeries4.setKey((java.lang.Comparable)10.0f);
    timeSeries4.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable10 = timeSeries4.getKey();
    timeSeries4.clear();
    org.jfree.data.time.Day day12 = new org.jfree.data.time.Day();
    java.lang.Number number13 = timeSeries4.getValue((org.jfree.data.time.RegularTimePeriod)day12);
    org.jfree.data.time.SerialDate serialDate14 = day12.getSerialDate();
    org.jfree.data.time.SerialDate serialDate15 = org.jfree.data.time.SerialDate.addDays(9999, serialDate14);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate16 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(10, serialDate15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable10 + "' != '" + 0.0d+ "'", comparable10.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate15);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidMonthCode(21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    java.lang.Class clazz0 = null;
    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz2);
    java.lang.String str4 = timeSeries3.getDescription();
    org.jfree.data.time.Month month7 = new org.jfree.data.time.Month(2, 10);
    boolean b9 = month7.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(2, 10);
    boolean b14 = month12.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries15 = timeSeries3.createCopy((org.jfree.data.time.RegularTimePeriod)month7, (org.jfree.data.time.RegularTimePeriod)month12);
    java.util.Date date16 = month7.getEnd();
    java.util.TimeZone timeZone17 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod18 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date16, timeZone17);
    java.lang.Class clazz19 = null;
    org.jfree.data.time.TimeSeries timeSeries20 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)date16, clazz19);
    java.lang.String str21 = timeSeries20.getDescription();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem22 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries20.add(timeSeriesDataItem22);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str21);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    org.jfree.data.time.FixedMillisecond fixedMillisecond15 = new org.jfree.data.time.FixedMillisecond(10L);
    long long16 = fixedMillisecond15.getLastMillisecond();
    java.lang.Class clazz18 = null;
    org.jfree.data.time.TimeSeries timeSeries19 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz18);
    java.lang.String str20 = timeSeries19.getDescription();
    java.lang.Class clazz22 = null;
    org.jfree.data.time.TimeSeries timeSeries23 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz22);
    java.lang.String str24 = timeSeries23.getDescription();
    timeSeries23.setKey((java.lang.Comparable)10.0f);
    timeSeries23.setKey((java.lang.Comparable)0.0d);
    java.lang.String str29 = timeSeries23.getDescription();
    java.util.Collection collection30 = timeSeries19.getTimePeriodsUniqueToOtherSeries(timeSeries23);
    java.beans.PropertyChangeListener propertyChangeListener31 = null;
    timeSeries23.removePropertyChangeListener(propertyChangeListener31);
    java.lang.Class clazz34 = null;
    org.jfree.data.time.TimeSeries timeSeries35 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz34);
    java.lang.String str36 = timeSeries35.getDescription();
    org.jfree.data.time.Month month39 = new org.jfree.data.time.Month(2, 10);
    boolean b41 = month39.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month44 = new org.jfree.data.time.Month(2, 10);
    boolean b46 = month44.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries47 = timeSeries35.createCopy((org.jfree.data.time.RegularTimePeriod)month39, (org.jfree.data.time.RegularTimePeriod)month44);
    java.util.Date date48 = month39.getEnd();
    long long49 = month39.getMiddleMillisecond();
    org.jfree.data.time.Month month52 = new org.jfree.data.time.Month(2, 10);
    org.jfree.data.time.TimeSeries timeSeries53 = timeSeries23.createCopy((org.jfree.data.time.RegularTimePeriod)month39, (org.jfree.data.time.RegularTimePeriod)month52);
    boolean b54 = fixedMillisecond15.equals((java.lang.Object)timeSeries23);
    long long55 = fixedMillisecond15.getMiddleMillisecond();
    int i56 = timeSeries2.getIndex((org.jfree.data.time.RegularTimePeriod)fixedMillisecond15);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.delete(9999, 12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long49 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long55 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == (-1));

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    int i0 = org.jfree.data.time.MonthConstants.NOVEMBER;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 11);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.relativeToString(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ERROR : Relative To String"+ "'", str1.equals("ERROR : Relative To String"));

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    int i0 = org.jfree.data.time.SerialDate.INCLUDE_FIRST;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    java.lang.String[] str_array1 = org.jfree.data.time.SerialDate.getMonths(false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekInMonthCode(9999);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    int i0 = org.jfree.data.time.MonthConstants.MAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 5);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    boolean b7 = timeSeries2.equals((java.lang.Object)(-61847856000001L));
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    java.lang.Class clazz13 = null;
    org.jfree.data.time.TimeSeries timeSeries14 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz13);
    java.lang.String str15 = timeSeries14.getDescription();
    timeSeries14.setKey((java.lang.Comparable)10.0f);
    timeSeries14.setKey((java.lang.Comparable)0.0d);
    java.lang.String str20 = timeSeries14.getDescription();
    java.util.Collection collection21 = timeSeries10.getTimePeriodsUniqueToOtherSeries(timeSeries14);
    java.util.List list22 = timeSeries10.getItems();
    org.jfree.data.time.TimeSeries timeSeries23 = timeSeries2.addAndOrUpdate(timeSeries10);
    timeSeries2.setNotify(true);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update((-457), (java.lang.Number)1900);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries23);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number9 = timeSeries2.getValue(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod1 = year0.previous();
    java.util.Calendar calendar2 = null;
    // The following exception was thrown during execution in test generation
    try {
      year0.peg(calendar2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod1);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.jfree.data.time.SerialDate.monthCodeToString(1900);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getStart();
    org.jfree.data.time.FixedMillisecond fixedMillisecond16 = new org.jfree.data.time.FixedMillisecond(date15);
    org.jfree.data.time.FixedMillisecond fixedMillisecond17 = new org.jfree.data.time.FixedMillisecond(date15);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day18 = new org.jfree.data.time.Day(date15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz2);
    java.lang.String str4 = timeSeries3.getDescription();
    timeSeries3.setKey((java.lang.Comparable)10.0f);
    timeSeries3.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable9 = timeSeries3.getKey();
    timeSeries3.clear();
    org.jfree.data.time.Day day11 = new org.jfree.data.time.Day();
    java.lang.Number number12 = timeSeries3.getValue((org.jfree.data.time.RegularTimePeriod)day11);
    org.jfree.data.time.SerialDate serialDate13 = day11.getSerialDate();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate14 = org.jfree.data.time.SerialDate.addDays(2958465, serialDate13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable9 + "' != '" + 0.0d+ "'", comparable9.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate13);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    timeSeries2.setKey((java.lang.Comparable)(byte)100);
    timeSeries2.fireSeriesChanged();
    java.lang.Comparable comparable9 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.setKey(comparable9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setDescription("Time");
    java.lang.Object obj6 = timeSeries2.clone();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod7 = timeSeries2.getNextTimePeriod();
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj6);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    java.lang.String str6 = timeSeries2.getDescription();
    java.util.List list7 = timeSeries2.getItems();
    org.jfree.data.time.Year year8 = new org.jfree.data.time.Year();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem9 = timeSeries2.getDataItem((org.jfree.data.time.RegularTimePeriod)year8);
    java.util.Calendar calendar10 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long11 = year8.getFirstMillisecond(calendar10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem9);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(21, 10, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    boolean b1 = org.jfree.data.time.SerialDate.isLeapYear(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    boolean b7 = timeSeries2.equals((java.lang.Object)(-61847856000001L));
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    java.lang.Class clazz13 = null;
    org.jfree.data.time.TimeSeries timeSeries14 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz13);
    java.lang.String str15 = timeSeries14.getDescription();
    timeSeries14.setKey((java.lang.Comparable)10.0f);
    timeSeries14.setKey((java.lang.Comparable)0.0d);
    java.lang.String str20 = timeSeries14.getDescription();
    java.util.Collection collection21 = timeSeries10.getTimePeriodsUniqueToOtherSeries(timeSeries14);
    java.util.List list22 = timeSeries10.getItems();
    org.jfree.data.time.TimeSeries timeSeries23 = timeSeries2.addAndOrUpdate(timeSeries10);
    timeSeries2.setNotify(true);
    org.jfree.data.time.FixedMillisecond fixedMillisecond27 = new org.jfree.data.time.FixedMillisecond(10L);
    long long28 = fixedMillisecond27.getLastMillisecond();
    long long29 = fixedMillisecond27.getMiddleMillisecond();
    java.util.Calendar calendar30 = null;
    long long31 = fixedMillisecond27.getFirstMillisecond(calendar30);
    java.util.Date date32 = fixedMillisecond27.getEnd();
    timeSeries2.setKey((java.lang.Comparable)fixedMillisecond27);
    java.lang.String str34 = timeSeries2.getRangeDescription();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries37 = timeSeries2.createCopy((-458), 9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "Value"+ "'", str34.equals("Value"));

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.weekdayCodeToString(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "Wednesday"+ "'", str1.equals("Wednesday"));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    boolean b1 = org.jfree.data.time.SerialDate.isLeapYear(1900);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(2, 2016, 1900);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    int i1 = org.jfree.data.time.SerialDate.monthCodeToQuarter(7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    long long1 = year0.getSerialIndex();
    java.util.Calendar calendar2 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long3 = year0.getFirstMillisecond(calendar2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2016L);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    java.beans.PropertyChangeListener propertyChangeListener56 = null;
    timeSeries2.addPropertyChangeListener(propertyChangeListener56);
    org.jfree.data.time.FixedMillisecond fixedMillisecond59 = new org.jfree.data.time.FixedMillisecond(10L);
    long long60 = fixedMillisecond59.getLastMillisecond();
    long long61 = fixedMillisecond59.getMiddleMillisecond();
    boolean b63 = fixedMillisecond59.equals((java.lang.Object)6);
    long long64 = fixedMillisecond59.getLastMillisecond();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod65 = fixedMillisecond59.previous();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)fixedMillisecond59, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long60 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long61 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long64 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod65);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    org.jfree.data.time.Day day1 = org.jfree.data.time.Day.parseDay("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(day1);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    timeSeries2.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    org.jfree.data.time.Month month14 = new org.jfree.data.time.Month(2, 10);
    boolean b16 = month14.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month19 = new org.jfree.data.time.Month(2, 10);
    boolean b21 = month19.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries22 = timeSeries10.createCopy((org.jfree.data.time.RegularTimePeriod)month14, (org.jfree.data.time.RegularTimePeriod)month19);
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)month14);
    java.lang.Class clazz25 = null;
    org.jfree.data.time.TimeSeries timeSeries26 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz25);
    java.lang.String str27 = timeSeries26.getDescription();
    java.lang.Class clazz29 = null;
    org.jfree.data.time.TimeSeries timeSeries30 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz29);
    java.lang.String str31 = timeSeries30.getDescription();
    timeSeries30.setKey((java.lang.Comparable)10.0f);
    timeSeries30.setKey((java.lang.Comparable)0.0d);
    java.lang.String str36 = timeSeries30.getDescription();
    java.util.Collection collection37 = timeSeries26.getTimePeriodsUniqueToOtherSeries(timeSeries30);
    org.jfree.data.time.FixedMillisecond fixedMillisecond39 = new org.jfree.data.time.FixedMillisecond(10L);
    long long40 = fixedMillisecond39.getLastMillisecond();
    java.lang.Class clazz42 = null;
    org.jfree.data.time.TimeSeries timeSeries43 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz42);
    java.lang.String str44 = timeSeries43.getDescription();
    java.lang.Class clazz46 = null;
    org.jfree.data.time.TimeSeries timeSeries47 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz46);
    java.lang.String str48 = timeSeries47.getDescription();
    timeSeries47.setKey((java.lang.Comparable)10.0f);
    timeSeries47.setKey((java.lang.Comparable)0.0d);
    java.lang.String str53 = timeSeries47.getDescription();
    java.util.Collection collection54 = timeSeries43.getTimePeriodsUniqueToOtherSeries(timeSeries47);
    java.beans.PropertyChangeListener propertyChangeListener55 = null;
    timeSeries47.removePropertyChangeListener(propertyChangeListener55);
    java.lang.Class clazz58 = null;
    org.jfree.data.time.TimeSeries timeSeries59 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz58);
    java.lang.String str60 = timeSeries59.getDescription();
    org.jfree.data.time.Month month63 = new org.jfree.data.time.Month(2, 10);
    boolean b65 = month63.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month68 = new org.jfree.data.time.Month(2, 10);
    boolean b70 = month68.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries71 = timeSeries59.createCopy((org.jfree.data.time.RegularTimePeriod)month63, (org.jfree.data.time.RegularTimePeriod)month68);
    java.util.Date date72 = month63.getEnd();
    long long73 = month63.getMiddleMillisecond();
    org.jfree.data.time.Month month76 = new org.jfree.data.time.Month(2, 10);
    org.jfree.data.time.TimeSeries timeSeries77 = timeSeries47.createCopy((org.jfree.data.time.RegularTimePeriod)month63, (org.jfree.data.time.RegularTimePeriod)month76);
    boolean b78 = fixedMillisecond39.equals((java.lang.Object)timeSeries47);
    long long79 = fixedMillisecond39.getMiddleMillisecond();
    int i80 = timeSeries26.getIndex((org.jfree.data.time.RegularTimePeriod)fixedMillisecond39);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update((org.jfree.data.time.RegularTimePeriod)fixedMillisecond39, (java.lang.Number)(short)10);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException");
    } catch (org.jfree.data.general.SeriesException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.general.SeriesException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long73 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long79 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == (-1));

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    java.lang.String str6 = timeSeries2.getDomainDescription();
    timeSeries2.clear();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.delete(4, 2147483647);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Time"+ "'", str6.equals("Time"));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    int i1 = org.jfree.data.time.SerialDate.stringToWeekdayCode("2016");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    int i20 = month11.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem22 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month11, (java.lang.Number)10L);
    timeSeriesDataItem22.setValue((java.lang.Number)0.0d);
    timeSeriesDataItem22.setValue((java.lang.Number)0.0d);
    java.lang.Object obj27 = timeSeriesDataItem22.clone();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj27);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = org.jfree.data.time.Year.parseYear("org.jfree.data.general.SeriesChangeEvent[source=21-February-2016]");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = org.jfree.data.time.SerialDate.createInstance(0, 2147483647, 9999);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    java.lang.String str6 = timeSeries2.getDomainDescription();
    timeSeries2.clear();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem9 = timeSeries2.getDataItem(regularTimePeriod8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Time"+ "'", str6.equals("Time"));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    int i0 = org.jfree.data.time.SerialDate.FRIDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 6);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getEnd();
    long long16 = month6.getMiddleMillisecond();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod17 = month6.previous();
    int i18 = month6.getYearValue();
    java.util.Calendar calendar19 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long20 = month6.getLastMillisecond(calendar19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 10);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    java.lang.Class clazz3 = null;
    org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz3);
    java.lang.String str5 = timeSeries4.getDescription();
    timeSeries4.setKey((java.lang.Comparable)10.0f);
    timeSeries4.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable10 = timeSeries4.getKey();
    timeSeries4.clear();
    org.jfree.data.time.Day day12 = new org.jfree.data.time.Day();
    java.lang.Number number13 = timeSeries4.getValue((org.jfree.data.time.RegularTimePeriod)day12);
    org.jfree.data.time.SerialDate serialDate14 = day12.getSerialDate();
    org.jfree.data.time.SerialDate serialDate15 = org.jfree.data.time.SerialDate.addDays(9999, serialDate14);
    org.jfree.data.time.SerialDate serialDate16 = org.jfree.data.time.SerialDate.getFollowingDayOfWeek(5, serialDate15);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate18 = serialDate16.getFollowingDayOfWeek(2147483647);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable10 + "' != '" + 0.0d+ "'", comparable10.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate16);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod1 = year0.previous();
    java.util.Calendar calendar2 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long3 = year0.getFirstMillisecond(calendar2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod1);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getEnd();
    long long16 = month6.getMiddleMillisecond();
    java.lang.Class clazz18 = null;
    org.jfree.data.time.TimeSeries timeSeries19 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz18);
    java.lang.String str20 = timeSeries19.getDescription();
    timeSeries19.setKey((java.lang.Comparable)10.0f);
    timeSeries19.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz26 = null;
    org.jfree.data.time.TimeSeries timeSeries27 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz26);
    java.lang.String str28 = timeSeries27.getDescription();
    timeSeries27.setNotify(false);
    timeSeries27.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz34 = null;
    org.jfree.data.time.TimeSeries timeSeries35 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz34);
    java.lang.String str36 = timeSeries35.getDescription();
    org.jfree.data.time.Month month39 = new org.jfree.data.time.Month(2, 10);
    boolean b41 = month39.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month44 = new org.jfree.data.time.Month(2, 10);
    boolean b46 = month44.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries47 = timeSeries35.createCopy((org.jfree.data.time.RegularTimePeriod)month39, (org.jfree.data.time.RegularTimePeriod)month44);
    timeSeries27.delete((org.jfree.data.time.RegularTimePeriod)month39);
    java.lang.Class clazz50 = null;
    org.jfree.data.time.TimeSeries timeSeries51 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz50);
    java.lang.String str52 = timeSeries51.getDescription();
    org.jfree.data.time.Month month55 = new org.jfree.data.time.Month(2, 10);
    boolean b57 = month55.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month60 = new org.jfree.data.time.Month(2, 10);
    boolean b62 = month60.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries63 = timeSeries51.createCopy((org.jfree.data.time.RegularTimePeriod)month55, (org.jfree.data.time.RegularTimePeriod)month60);
    org.jfree.data.time.Month month66 = new org.jfree.data.time.Month(2, 10);
    boolean b68 = month66.equals((java.lang.Object)(short)10);
    int i69 = month60.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem71 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month60, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries72 = timeSeries19.createCopy((org.jfree.data.time.RegularTimePeriod)month39, (org.jfree.data.time.RegularTimePeriod)month60);
    boolean b73 = month6.equals((java.lang.Object)month60);
    long long74 = month6.getLastMillisecond();
    java.util.Calendar calendar75 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long76 = month6.getLastMillisecond(calendar75);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long74 == (-61846646400001L));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.TimeSeries timeSeries58 = timeSeries55.createCopy(10, 9999);
    java.lang.Class clazz60 = null;
    org.jfree.data.time.TimeSeries timeSeries61 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz60);
    java.lang.String str62 = timeSeries61.getDescription();
    timeSeries61.setNotify(false);
    timeSeries61.setKey((java.lang.Comparable)(byte)100);
    timeSeries61.fireSeriesChanged();
    org.jfree.data.general.SeriesChangeListener seriesChangeListener68 = null;
    timeSeries61.removeChangeListener(seriesChangeListener68);
    boolean b70 = timeSeries58.equals((java.lang.Object)timeSeries61);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod71 = timeSeries61.getNextTimePeriod();
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.String str8 = timeSeries2.getDescription();
    org.jfree.data.time.FixedMillisecond fixedMillisecond10 = new org.jfree.data.time.FixedMillisecond(10L);
    long long11 = fixedMillisecond10.getLastMillisecond();
    long long12 = fixedMillisecond10.getMiddleMillisecond();
    boolean b14 = fixedMillisecond10.equals((java.lang.Object)6);
    java.util.Calendar calendar15 = null;
    long long16 = fixedMillisecond10.getLastMillisecond(calendar15);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)fixedMillisecond10, 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 10L);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.TimeSeries timeSeries58 = timeSeries55.createCopy(10, 9999);
    java.lang.Class clazz60 = null;
    org.jfree.data.time.TimeSeries timeSeries61 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz60);
    java.lang.String str62 = timeSeries61.getDescription();
    timeSeries61.setNotify(false);
    timeSeries61.setKey((java.lang.Comparable)(byte)100);
    timeSeries61.fireSeriesChanged();
    org.jfree.data.general.SeriesChangeListener seriesChangeListener68 = null;
    timeSeries61.removeChangeListener(seriesChangeListener68);
    boolean b70 = timeSeries58.equals((java.lang.Object)timeSeries61);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod71 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries61.add(regularTimePeriod71, (java.lang.Number)(-460));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    org.jfree.data.general.SeriesChangeListener seriesChangeListener3 = null;
    timeSeries2.removeChangeListener(seriesChangeListener3);
    timeSeries2.fireSeriesChanged();
    java.lang.Class clazz6 = timeSeries2.getTimePeriodClass();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update(2, (java.lang.Number)11);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(clazz6);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.weekdayCodeToString(5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "Thursday"+ "'", str1.equals("Thursday"));

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    boolean b7 = timeSeries2.equals((java.lang.Object)(-61847856000001L));
    java.lang.String str8 = timeSeries2.getDescription();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod9 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(regularTimePeriod9, (java.lang.Number)(-457), true);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str8);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.beans.PropertyChangeListener propertyChangeListener14 = null;
    timeSeries6.removePropertyChangeListener(propertyChangeListener14);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries6.update(100, (java.lang.Number)1456070548807L);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setDescription("Time");
    java.lang.String str6 = timeSeries2.getDescription();
    java.beans.PropertyChangeListener propertyChangeListener7 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener7);
    java.lang.Class clazz10 = null;
    org.jfree.data.time.TimeSeries timeSeries11 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz10);
    java.lang.String str12 = timeSeries11.getDescription();
    java.lang.Class clazz14 = null;
    org.jfree.data.time.TimeSeries timeSeries15 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz14);
    java.lang.String str16 = timeSeries15.getDescription();
    timeSeries15.setKey((java.lang.Comparable)10.0f);
    timeSeries15.setKey((java.lang.Comparable)0.0d);
    java.lang.String str21 = timeSeries15.getDescription();
    java.util.Collection collection22 = timeSeries11.getTimePeriodsUniqueToOtherSeries(timeSeries15);
    org.jfree.data.time.Day day23 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod24 = day23.next();
    org.jfree.data.time.FixedMillisecond fixedMillisecond26 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod27 = fixedMillisecond26.previous();
    org.jfree.data.time.TimeSeries timeSeries28 = timeSeries15.createCopy(regularTimePeriod24, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond26);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)fixedMillisecond26, (java.lang.Number)1900, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Time"+ "'", str6.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries28);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    long long1 = year0.getSerialIndex();
    long long2 = year0.getFirstMillisecond();
    long long3 = year0.getLastMillisecond();
    java.util.Calendar calendar4 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long5 = year0.getLastMillisecond(calendar4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2016L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1451635200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 1483257599999L);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    java.lang.String[] str_array1 = org.jfree.data.time.SerialDate.getMonths(true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond(10L);
    long long2 = fixedMillisecond1.getLastMillisecond();
    long long3 = fixedMillisecond1.getMiddleMillisecond();
    java.util.Calendar calendar4 = null;
    long long5 = fixedMillisecond1.getFirstMillisecond(calendar4);
    java.util.Date date6 = fixedMillisecond1.getEnd();
    org.jfree.data.time.Year year7 = new org.jfree.data.time.Year(date6);
    long long8 = year7.getLastMillisecond();
    java.util.Calendar calendar9 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long10 = year7.getLastMillisecond(calendar9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 28799999L);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    java.lang.Class clazz4 = null;
    org.jfree.data.time.TimeSeries timeSeries5 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz4);
    java.lang.String str6 = timeSeries5.getDescription();
    timeSeries5.setKey((java.lang.Comparable)10.0f);
    timeSeries5.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable11 = timeSeries5.getKey();
    timeSeries5.clear();
    org.jfree.data.time.Day day13 = new org.jfree.data.time.Day();
    java.lang.Number number14 = timeSeries5.getValue((org.jfree.data.time.RegularTimePeriod)day13);
    org.jfree.data.time.SerialDate serialDate15 = day13.getSerialDate();
    org.jfree.data.time.SerialDate serialDate16 = org.jfree.data.time.SerialDate.addDays(9999, serialDate15);
    org.jfree.data.time.SerialDate serialDate17 = org.jfree.data.time.SerialDate.getFollowingDayOfWeek(5, serialDate16);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate18 = org.jfree.data.time.SerialDate.getNearestDayOfWeek((-460), serialDate16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable11 + "' != '" + 0.0d+ "'", comparable11.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate17);

  }

  @Test
  public void test229() {}
// Defects4J: flaky method
//   @Test
//   public void test229() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }
// 
// 
//     org.jfree.data.time.Day day0 = new org.jfree.data.time.Day();
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day0, clazz1);
//     int i3 = day0.getDayOfMonth();
//     int i4 = day0.getYear();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 2016);
// 
//   }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod1 = year0.previous();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod2 = year0.previous();
    java.util.Calendar calendar3 = null;
    // The following exception was thrown during execution in test generation
    try {
      year0.peg(calendar3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod2);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    java.lang.String str56 = timeSeries55.getDescription();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number58 = timeSeries55.getValue((-458));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str56);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.jfree.data.time.SerialDate.monthCodeToString((-457));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    java.lang.Comparable comparable0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries1 = new org.jfree.data.time.TimeSeries(comparable0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getStart();
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)month6);
    boolean b17 = timeSeries16.getNotify();
    java.lang.Comparable comparable18 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries16.setKey(comparable18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    timeSeries6.setDescription("February 10");
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    java.util.Date date31 = month22.getStart();
    org.jfree.data.time.FixedMillisecond fixedMillisecond32 = new org.jfree.data.time.FixedMillisecond(date31);
    int i33 = timeSeries6.getIndex((org.jfree.data.time.RegularTimePeriod)fixedMillisecond32);
    java.lang.Class clazz35 = null;
    org.jfree.data.time.TimeSeries timeSeries36 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz35);
    java.lang.String str37 = timeSeries36.getDescription();
    org.jfree.data.time.Month month40 = new org.jfree.data.time.Month(2, 10);
    boolean b42 = month40.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month45 = new org.jfree.data.time.Month(2, 10);
    boolean b47 = month45.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries48 = timeSeries36.createCopy((org.jfree.data.time.RegularTimePeriod)month40, (org.jfree.data.time.RegularTimePeriod)month45);
    org.jfree.data.time.Month month51 = new org.jfree.data.time.Month(2, 10);
    boolean b53 = month51.equals((java.lang.Object)(short)10);
    int i54 = month45.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem56 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month45, (java.lang.Number)100.0d);
    java.lang.Number number57 = timeSeriesDataItem56.getValue();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod58 = timeSeriesDataItem56.getPeriod();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem60 = new org.jfree.data.time.TimeSeriesDataItem(regularTimePeriod58, 1.0d);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries6.add(timeSeriesDataItem60);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number57 + "' != '" + 100.0d+ "'", number57.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod58);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.relativeToString(2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ERROR : Relative To String"+ "'", str1.equals("ERROR : Relative To String"));

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    long long1 = year0.getSerialIndex();
    java.lang.String str2 = year0.toString();
    java.lang.Class clazz4 = null;
    org.jfree.data.time.TimeSeries timeSeries5 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz4);
    java.lang.String str6 = timeSeries5.getDescription();
    org.jfree.data.time.Month month9 = new org.jfree.data.time.Month(2, 10);
    boolean b11 = month9.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month14 = new org.jfree.data.time.Month(2, 10);
    boolean b16 = month14.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries17 = timeSeries5.createCopy((org.jfree.data.time.RegularTimePeriod)month9, (org.jfree.data.time.RegularTimePeriod)month14);
    boolean b18 = year0.equals((java.lang.Object)timeSeries17);
    java.util.Calendar calendar19 = null;
    // The following exception was thrown during execution in test generation
    try {
      year0.peg(calendar19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2016L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "2016"+ "'", str2.equals("2016"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.monthCodeToString(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "June"+ "'", str1.equals("June"));

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    int i1 = org.jfree.data.time.SerialDate.stringToMonthCode("June");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.relativeToString(1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ERROR : Relative To String"+ "'", str1.equals("ERROR : Relative To String"));

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    java.beans.PropertyChangeListener propertyChangeListener56 = null;
    timeSeries2.addPropertyChangeListener(propertyChangeListener56);
    java.lang.Class clazz59 = null;
    org.jfree.data.time.TimeSeries timeSeries60 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz59);
    java.lang.String str61 = timeSeries60.getDescription();
    org.jfree.data.time.Month month64 = new org.jfree.data.time.Month(2, 10);
    boolean b66 = month64.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month69 = new org.jfree.data.time.Month(2, 10);
    boolean b71 = month69.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries72 = timeSeries60.createCopy((org.jfree.data.time.RegularTimePeriod)month64, (org.jfree.data.time.RegularTimePeriod)month69);
    org.jfree.data.time.Month month75 = new org.jfree.data.time.Month(2, 10);
    boolean b77 = month75.equals((java.lang.Object)(short)10);
    int i78 = month69.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem80 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month69, (java.lang.Number)100.0d);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)month69, (java.lang.Number)(-61849065600000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 1);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = org.jfree.data.time.SerialDate.createInstance((-457), (-458), 2147483647);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    org.jfree.data.time.Day day1 = org.jfree.data.time.Day.parseDay("Value");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(day1);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(true);
    java.util.List list6 = timeSeries2.getItems();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod8 = timeSeries2.getTimePeriod(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = new org.jfree.data.time.Year(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    org.jfree.data.time.Year year1 = new org.jfree.data.time.Year();
    long long2 = year1.getSerialIndex();
    java.lang.String str3 = year1.toString();
    long long4 = year1.getFirstMillisecond();
    org.jfree.data.time.Month month5 = new org.jfree.data.time.Month(2, year1);
    java.util.Calendar calendar6 = null;
    // The following exception was thrown during execution in test generation
    try {
      year1.peg(calendar6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2016L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "2016"+ "'", str3.equals("2016"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 1451635200000L);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    int i0 = org.jfree.data.time.MonthConstants.AUGUST;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 8);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    org.jfree.data.general.SeriesChangeListener seriesChangeListener3 = null;
    timeSeries2.removeChangeListener(seriesChangeListener3);
    timeSeries2.fireSeriesChanged();
    java.lang.Class clazz6 = timeSeries2.getTimePeriodClass();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod7 = timeSeries2.getNextTimePeriod();
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(clazz6);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-458));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    int i20 = month11.compareTo((java.lang.Object)(short)10);
    int i21 = month11.getYearValue();
    java.lang.String str22 = month11.toString();
    long long23 = month11.getFirstMillisecond();
    java.util.Calendar calendar24 = null;
    // The following exception was thrown during execution in test generation
    try {
      month11.peg(calendar24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "February 10"+ "'", str22.equals("February 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == (-61849065600000L));

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount(2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 520764324);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.beans.PropertyChangeListener propertyChangeListener14 = null;
    timeSeries6.removePropertyChangeListener(propertyChangeListener14);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    java.util.Date date31 = month22.getEnd();
    long long32 = month22.getMiddleMillisecond();
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(2, 10);
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month35);
    java.util.Date date37 = month35.getStart();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate38 = org.jfree.data.time.SerialDate.createInstance(date37);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date37);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekdayCode((-457));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    boolean b7 = timeSeries2.equals((java.lang.Object)(-61847856000001L));
    java.lang.String str8 = timeSeries2.getDescription();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = timeSeries2.getTimePeriod(13);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str8);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month1 = org.jfree.data.time.Month.parseMonth("Preceding");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.beans.PropertyChangeListener propertyChangeListener14 = null;
    timeSeries6.removePropertyChangeListener(propertyChangeListener14);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    java.util.Date date31 = month22.getEnd();
    long long32 = month22.getMiddleMillisecond();
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(2, 10);
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month35);
    boolean b37 = timeSeries6.getNotify();
    java.lang.Class clazz39 = null;
    org.jfree.data.time.TimeSeries timeSeries40 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz39);
    java.lang.String str41 = timeSeries40.getDescription();
    org.jfree.data.time.Month month44 = new org.jfree.data.time.Month(2, 10);
    boolean b46 = month44.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries52 = timeSeries40.createCopy((org.jfree.data.time.RegularTimePeriod)month44, (org.jfree.data.time.RegularTimePeriod)month49);
    org.jfree.data.time.Month month55 = new org.jfree.data.time.Month(2, 10);
    boolean b57 = month55.equals((java.lang.Object)(short)10);
    int i58 = month49.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem60 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month49, (java.lang.Number)10L);
    timeSeriesDataItem60.setValue((java.lang.Number)0.0d);
    java.lang.Number number63 = timeSeriesDataItem60.getValue();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries6.add(timeSeriesDataItem60);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number63 + "' != '" + 0.0d+ "'", number63.equals(0.0d));

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(true);
    timeSeries2.setRangeDescription("Value");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    java.util.Calendar calendar56 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long57 = month43.getFirstMillisecond(calendar56);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    int i20 = month11.compareTo((java.lang.Object)(short)10);
    int i21 = month11.getYearValue();
    java.lang.String str22 = month11.toString();
    org.jfree.data.time.Day day23 = new org.jfree.data.time.Day();
    java.lang.Class clazz24 = null;
    org.jfree.data.time.TimeSeries timeSeries25 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day23, clazz24);
    org.jfree.data.time.SerialDate serialDate26 = day23.getSerialDate();
    boolean b27 = month11.equals((java.lang.Object)serialDate26);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate29 = serialDate26.getPreviousDayOfWeek((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "February 10"+ "'", str22.equals("February 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate((-457));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable8 = timeSeries2.getKey();
    java.beans.PropertyChangeListener propertyChangeListener9 = null;
    timeSeries2.addPropertyChangeListener(propertyChangeListener9);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod12 = timeSeries2.getTimePeriod((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable8 + "' != '" + 0.0d+ "'", comparable8.equals(0.0d));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    java.lang.Class clazz3 = null;
    org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz3);
    java.lang.String str5 = timeSeries4.getDescription();
    org.jfree.data.time.Month month8 = new org.jfree.data.time.Month(2, 10);
    boolean b10 = month8.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month13 = new org.jfree.data.time.Month(2, 10);
    boolean b15 = month13.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries16 = timeSeries4.createCopy((org.jfree.data.time.RegularTimePeriod)month8, (org.jfree.data.time.RegularTimePeriod)month13);
    org.jfree.data.time.Month month19 = new org.jfree.data.time.Month(2, 10);
    boolean b21 = month19.equals((java.lang.Object)(short)10);
    int i22 = month13.compareTo((java.lang.Object)(short)10);
    int i23 = month13.getYearValue();
    java.lang.String str24 = month13.toString();
    org.jfree.data.time.Day day25 = new org.jfree.data.time.Day();
    java.lang.Class clazz26 = null;
    org.jfree.data.time.TimeSeries timeSeries27 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day25, clazz26);
    org.jfree.data.time.SerialDate serialDate28 = day25.getSerialDate();
    boolean b29 = month13.equals((java.lang.Object)serialDate28);
    org.jfree.data.time.SerialDate serialDate30 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(3, serialDate28);
    org.jfree.data.time.SerialDate serialDate31 = org.jfree.data.time.SerialDate.addYears(6, serialDate30);
    serialDate31.setDescription("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "February 10"+ "'", str24.equals("February 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate31);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    org.jfree.data.general.SeriesChangeListener seriesChangeListener3 = null;
    timeSeries2.removeChangeListener(seriesChangeListener3);
    timeSeries2.fireSeriesChanged();
    java.lang.Class clazz6 = timeSeries2.getTimePeriodClass();
    java.lang.Class clazz8 = null;
    org.jfree.data.time.TimeSeries timeSeries9 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz8);
    java.lang.String str10 = timeSeries9.getDescription();
    org.jfree.data.time.Month month13 = new org.jfree.data.time.Month(2, 10);
    boolean b15 = month13.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month18 = new org.jfree.data.time.Month(2, 10);
    boolean b20 = month18.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries21 = timeSeries9.createCopy((org.jfree.data.time.RegularTimePeriod)month13, (org.jfree.data.time.RegularTimePeriod)month18);
    java.util.Date date22 = month13.getStart();
    java.lang.Class clazz23 = null;
    java.lang.Class clazz25 = null;
    org.jfree.data.time.TimeSeries timeSeries26 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz25);
    java.lang.String str27 = timeSeries26.getDescription();
    org.jfree.data.time.Month month30 = new org.jfree.data.time.Month(2, 10);
    boolean b32 = month30.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(2, 10);
    boolean b37 = month35.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries38 = timeSeries26.createCopy((org.jfree.data.time.RegularTimePeriod)month30, (org.jfree.data.time.RegularTimePeriod)month35);
    java.util.Date date39 = month30.getEnd();
    java.util.TimeZone timeZone40 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod41 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz23, date39, timeZone40);
    org.jfree.data.time.Month month42 = new org.jfree.data.time.Month(date22, timeZone40);
    java.lang.String str43 = month42.toString();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)month42, (java.lang.Number)0, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(clazz6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "February 10"+ "'", str43.equals("February 10"));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount(9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-457));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = new org.jfree.data.time.Year(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    int i0 = org.jfree.data.time.SerialDate.INCLUDE_NONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 0);

  }

  @Test
  public void test267() {}
// Defects4J: flaky method
//   @Test
//   public void test267() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }
// 
// 
//     java.lang.Class clazz3 = null;
//     org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz3);
//     java.lang.String str5 = timeSeries4.getDescription();
//     timeSeries4.setKey((java.lang.Comparable)10.0f);
//     timeSeries4.setKey((java.lang.Comparable)0.0d);
//     java.lang.Comparable comparable10 = timeSeries4.getKey();
//     timeSeries4.clear();
//     org.jfree.data.time.Day day12 = new org.jfree.data.time.Day();
//     java.lang.Number number13 = timeSeries4.getValue((org.jfree.data.time.RegularTimePeriod)day12);
//     org.jfree.data.time.SerialDate serialDate14 = day12.getSerialDate();
//     org.jfree.data.time.SerialDate serialDate15 = org.jfree.data.time.SerialDate.addDays(9999, serialDate14);
//     org.jfree.data.time.Day day17 = new org.jfree.data.time.Day();
//     org.jfree.data.time.SerialDate serialDate18 = day17.getSerialDate();
//     org.jfree.data.time.SerialDate serialDate19 = org.jfree.data.time.SerialDate.addMonths(13, serialDate18);
//     org.jfree.data.time.SerialDate serialDate20 = serialDate15.getEndOfCurrentMonth(serialDate19);
//     org.jfree.data.time.SerialDate serialDate21 = org.jfree.data.time.SerialDate.addMonths(10, serialDate15);
//     java.lang.String str22 = serialDate21.toString();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + comparable10 + "' != '" + 0.0d+ "'", comparable10.equals(0.0d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(number13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "8-May-2044"+ "'", str22.equals("8-May-2044"));
// 
//   }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.weekInMonthToString(2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "SerialDate.weekInMonthToString(): invalid code."+ "'", str1.equals("SerialDate.weekInMonthToString(): invalid code."));

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.jfree.data.time.SerialDate.weekdayCodeToString(21);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    java.beans.PropertyChangeListener propertyChangeListener56 = null;
    timeSeries2.addPropertyChangeListener(propertyChangeListener56);
    java.lang.Class clazz59 = null;
    org.jfree.data.time.TimeSeries timeSeries60 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz59);
    java.lang.String str61 = timeSeries60.getDescription();
    timeSeries60.setDescription("Time");
    java.lang.String str64 = timeSeries60.getDescription();
    boolean b65 = timeSeries2.equals((java.lang.Object)str64);
    java.lang.Class clazz67 = null;
    org.jfree.data.time.TimeSeries timeSeries68 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz67);
    java.lang.String str69 = timeSeries68.getDescription();
    org.jfree.data.time.Month month72 = new org.jfree.data.time.Month(2, 10);
    boolean b74 = month72.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month77 = new org.jfree.data.time.Month(2, 10);
    boolean b79 = month77.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries80 = timeSeries68.createCopy((org.jfree.data.time.RegularTimePeriod)month72, (org.jfree.data.time.RegularTimePeriod)month77);
    org.jfree.data.time.Month month83 = new org.jfree.data.time.Month(2, 10);
    boolean b85 = month83.equals((java.lang.Object)(short)10);
    int i86 = month77.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem88 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month77, (java.lang.Number)10L);
    timeSeriesDataItem88.setValue((java.lang.Number)0.0d);
    java.lang.Number number91 = timeSeriesDataItem88.getValue();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod92 = timeSeriesDataItem88.getPeriod();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(timeSeriesDataItem88, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "Time"+ "'", str64.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i86 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number91 + "' != '" + 0.0d+ "'", number91.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod92);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    org.jfree.data.time.Year year1 = new org.jfree.data.time.Year();
    long long2 = year1.getSerialIndex();
    long long3 = year1.getFirstMillisecond();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod4 = year1.next();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month5 = new org.jfree.data.time.Month(0, year1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2016L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 1451635200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod4);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable8 = timeSeries2.getKey();
    java.lang.Class clazz10 = null;
    org.jfree.data.time.TimeSeries timeSeries11 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz10);
    java.lang.String str12 = timeSeries11.getDescription();
    timeSeries11.setNotify(true);
    java.util.List list15 = timeSeries11.getItems();
    org.jfree.data.time.TimeSeries timeSeries16 = timeSeries2.addAndOrUpdate(timeSeries11);
    java.lang.Class clazz18 = null;
    org.jfree.data.time.TimeSeries timeSeries19 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz18);
    java.lang.String str20 = timeSeries19.getDescription();
    org.jfree.data.time.Month month23 = new org.jfree.data.time.Month(2, 10);
    boolean b25 = month23.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month28 = new org.jfree.data.time.Month(2, 10);
    boolean b30 = month28.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries19.createCopy((org.jfree.data.time.RegularTimePeriod)month23, (org.jfree.data.time.RegularTimePeriod)month28);
    java.util.Date date32 = month23.getStart();
    org.jfree.data.time.FixedMillisecond fixedMillisecond33 = new org.jfree.data.time.FixedMillisecond(date32);
    org.jfree.data.time.FixedMillisecond fixedMillisecond34 = new org.jfree.data.time.FixedMillisecond(date32);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem36 = timeSeries2.addOrUpdate((org.jfree.data.time.RegularTimePeriod)fixedMillisecond34, (java.lang.Number)(short)10);
    timeSeries2.clear();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.setMaximumItemCount((-457));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable8 + "' != '" + 0.0d+ "'", comparable8.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem36);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getStart();
    java.lang.Class clazz16 = null;
    java.lang.Class clazz18 = null;
    org.jfree.data.time.TimeSeries timeSeries19 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz18);
    java.lang.String str20 = timeSeries19.getDescription();
    org.jfree.data.time.Month month23 = new org.jfree.data.time.Month(2, 10);
    boolean b25 = month23.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month28 = new org.jfree.data.time.Month(2, 10);
    boolean b30 = month28.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries19.createCopy((org.jfree.data.time.RegularTimePeriod)month23, (org.jfree.data.time.RegularTimePeriod)month28);
    java.util.Date date32 = month23.getEnd();
    java.util.TimeZone timeZone33 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod34 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz16, date32, timeZone33);
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(date15, timeZone33);
    long long36 = month35.getFirstMillisecond();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year37 = month35.getYear();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long36 == (-61849065600000L));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month1 = org.jfree.data.time.Month.parseMonth("SerialDate.weekInMonthToString(): invalid code.");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    int i2 = org.jfree.data.time.SerialDate.lastDayOfMonth(0, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.TimeSeries timeSeries58 = timeSeries55.createCopy(10, 9999);
    java.lang.Class clazz60 = null;
    org.jfree.data.time.TimeSeries timeSeries61 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz60);
    java.lang.String str62 = timeSeries61.getDescription();
    timeSeries61.setNotify(false);
    timeSeries61.setKey((java.lang.Comparable)(byte)100);
    timeSeries61.fireSeriesChanged();
    org.jfree.data.general.SeriesChangeListener seriesChangeListener68 = null;
    timeSeries61.removeChangeListener(seriesChangeListener68);
    boolean b70 = timeSeries58.equals((java.lang.Object)timeSeries61);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries61.delete(3, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.monthCodeToString(2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "February"+ "'", str1.equals("February"));

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    int i20 = month11.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem22 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month11, (java.lang.Number)10L);
    timeSeriesDataItem22.setValue((java.lang.Number)0.0d);
    java.lang.Number number25 = timeSeriesDataItem22.getValue();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod26 = timeSeriesDataItem22.getPeriod();
    java.lang.Number number27 = timeSeriesDataItem22.getValue();
    org.jfree.data.time.TimeSeries timeSeries28 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)timeSeriesDataItem22);
    java.lang.Class clazz30 = null;
    org.jfree.data.time.TimeSeries timeSeries31 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz30);
    java.lang.String str32 = timeSeries31.getDescription();
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(2, 10);
    boolean b37 = month35.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month40 = new org.jfree.data.time.Month(2, 10);
    boolean b42 = month40.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries43 = timeSeries31.createCopy((org.jfree.data.time.RegularTimePeriod)month35, (org.jfree.data.time.RegularTimePeriod)month40);
    org.jfree.data.time.Month month46 = new org.jfree.data.time.Month(2, 10);
    boolean b48 = month46.equals((java.lang.Object)(short)10);
    int i49 = month40.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem51 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month40, (java.lang.Number)10L);
    timeSeriesDataItem51.setValue((java.lang.Number)0.0d);
    java.lang.Number number54 = timeSeriesDataItem51.getValue();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod55 = timeSeriesDataItem51.getPeriod();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries28.add(timeSeriesDataItem51, true);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException");
    } catch (org.jfree.data.general.SeriesException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.general.SeriesException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + 0.0d+ "'", number25.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + 0.0d+ "'", number27.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number54 + "' != '" + 0.0d+ "'", number54.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod55);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.jfree.data.time.SerialDate.lastDayOfMonth(520764324, 13);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(2147483647);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    java.lang.String str6 = timeSeries2.getDomainDescription();
    java.lang.Class clazz8 = null;
    org.jfree.data.time.TimeSeries timeSeries9 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz8);
    java.lang.String str10 = timeSeries9.getDescription();
    timeSeries9.setKey((java.lang.Comparable)10.0f);
    timeSeries9.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz16 = null;
    org.jfree.data.time.TimeSeries timeSeries17 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz16);
    java.lang.String str18 = timeSeries17.getDescription();
    timeSeries17.setNotify(false);
    timeSeries17.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz24 = null;
    org.jfree.data.time.TimeSeries timeSeries25 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz24);
    java.lang.String str26 = timeSeries25.getDescription();
    org.jfree.data.time.Month month29 = new org.jfree.data.time.Month(2, 10);
    boolean b31 = month29.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month34 = new org.jfree.data.time.Month(2, 10);
    boolean b36 = month34.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries37 = timeSeries25.createCopy((org.jfree.data.time.RegularTimePeriod)month29, (org.jfree.data.time.RegularTimePeriod)month34);
    timeSeries17.delete((org.jfree.data.time.RegularTimePeriod)month29);
    java.lang.Class clazz40 = null;
    org.jfree.data.time.TimeSeries timeSeries41 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz40);
    java.lang.String str42 = timeSeries41.getDescription();
    org.jfree.data.time.Month month45 = new org.jfree.data.time.Month(2, 10);
    boolean b47 = month45.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month50 = new org.jfree.data.time.Month(2, 10);
    boolean b52 = month50.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries53 = timeSeries41.createCopy((org.jfree.data.time.RegularTimePeriod)month45, (org.jfree.data.time.RegularTimePeriod)month50);
    org.jfree.data.time.Month month56 = new org.jfree.data.time.Month(2, 10);
    boolean b58 = month56.equals((java.lang.Object)(short)10);
    int i59 = month50.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem61 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month50, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries62 = timeSeries9.createCopy((org.jfree.data.time.RegularTimePeriod)month29, (org.jfree.data.time.RegularTimePeriod)month50);
    org.jfree.data.time.TimeSeries timeSeries65 = timeSeries62.createCopy(10, 9999);
    java.lang.Class clazz67 = null;
    org.jfree.data.time.TimeSeries timeSeries68 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz67);
    java.lang.String str69 = timeSeries68.getDescription();
    timeSeries68.setNotify(false);
    timeSeries68.setKey((java.lang.Comparable)(byte)100);
    timeSeries68.fireSeriesChanged();
    org.jfree.data.general.SeriesChangeListener seriesChangeListener75 = null;
    timeSeries68.removeChangeListener(seriesChangeListener75);
    boolean b77 = timeSeries65.equals((java.lang.Object)timeSeries68);
    boolean b79 = timeSeries68.equals((java.lang.Object)0);
    java.util.Collection collection80 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries68);
    java.beans.PropertyChangeListener propertyChangeListener81 = null;
    timeSeries2.addPropertyChangeListener(propertyChangeListener81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Time"+ "'", str6.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection80);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.beans.PropertyChangeListener propertyChangeListener14 = null;
    timeSeries6.removePropertyChangeListener(propertyChangeListener14);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    java.util.Date date31 = month22.getEnd();
    long long32 = month22.getMiddleMillisecond();
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(2, 10);
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month35);
    long long37 = month35.getSerialIndex();
    java.util.Calendar calendar38 = null;
    // The following exception was thrown during execution in test generation
    try {
      month35.peg(calendar38);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long37 == 122L);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    java.lang.String str56 = timeSeries55.getDescription();
    java.lang.Class clazz58 = null;
    org.jfree.data.time.TimeSeries timeSeries59 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz58);
    java.lang.String str60 = timeSeries59.getDescription();
    java.lang.Class clazz62 = null;
    org.jfree.data.time.TimeSeries timeSeries63 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz62);
    java.lang.String str64 = timeSeries63.getDescription();
    timeSeries63.setKey((java.lang.Comparable)10.0f);
    timeSeries63.setKey((java.lang.Comparable)0.0d);
    java.lang.String str69 = timeSeries63.getDescription();
    java.util.Collection collection70 = timeSeries59.getTimePeriodsUniqueToOtherSeries(timeSeries63);
    org.jfree.data.time.Day day71 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod72 = day71.next();
    org.jfree.data.time.FixedMillisecond fixedMillisecond74 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod75 = fixedMillisecond74.previous();
    org.jfree.data.time.TimeSeries timeSeries76 = timeSeries63.createCopy(regularTimePeriod72, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond74);
    org.jfree.data.time.FixedMillisecond fixedMillisecond78 = new org.jfree.data.time.FixedMillisecond(10L);
    long long79 = fixedMillisecond78.getLastMillisecond();
    long long80 = fixedMillisecond78.getMiddleMillisecond();
    java.util.Calendar calendar81 = null;
    long long82 = fixedMillisecond78.getFirstMillisecond(calendar81);
    java.util.Date date83 = fixedMillisecond78.getEnd();
    org.jfree.data.time.Year year84 = new org.jfree.data.time.Year(date83);
    long long85 = year84.getLastMillisecond();
    org.jfree.data.time.FixedMillisecond fixedMillisecond87 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod88 = fixedMillisecond87.previous();
    org.jfree.data.time.TimeSeries timeSeries89 = timeSeries63.createCopy((org.jfree.data.time.RegularTimePeriod)year84, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond87);
    org.jfree.data.time.TimeSeries timeSeries90 = timeSeries55.addAndOrUpdate(timeSeries89);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries90.delete(0, 1969);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long79 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long80 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long82 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long85 == 28799999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries90);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.jfree.data.time.SerialDate.monthCodeToString((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    org.jfree.data.general.SeriesChangeEvent seriesChangeEvent1 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)true);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day3 = new org.jfree.data.time.Day((-460), 9999, 21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    org.jfree.data.time.Month month10 = new org.jfree.data.time.Month(2, 10);
    boolean b12 = month10.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month15 = new org.jfree.data.time.Month(2, 10);
    boolean b17 = month15.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries18 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)month10, (org.jfree.data.time.RegularTimePeriod)month15);
    org.jfree.data.time.Month month21 = new org.jfree.data.time.Month(2, 10);
    boolean b23 = month21.equals((java.lang.Object)(short)10);
    int i24 = month15.compareTo((java.lang.Object)(short)10);
    int i25 = month15.getYearValue();
    java.lang.String str26 = month15.toString();
    org.jfree.data.time.Day day27 = new org.jfree.data.time.Day();
    java.lang.Class clazz28 = null;
    org.jfree.data.time.TimeSeries timeSeries29 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day27, clazz28);
    org.jfree.data.time.SerialDate serialDate30 = day27.getSerialDate();
    boolean b31 = month15.equals((java.lang.Object)serialDate30);
    org.jfree.data.time.SerialDate serialDate32 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(3, serialDate30);
    org.jfree.data.time.SerialDate serialDate33 = org.jfree.data.time.SerialDate.addYears(6, serialDate32);
    org.jfree.data.time.SerialDate serialDate34 = org.jfree.data.time.SerialDate.addYears(2, serialDate33);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate35 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(0, serialDate33);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "February 10"+ "'", str26.equals("February 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate34);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = org.jfree.data.time.SerialDate.createInstance(2958465, 10, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year56 = month22.getYear();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getStart();
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)month6);
    timeSeries16.setDescription("ERROR : Relative To String");
    // The following exception was thrown during execution in test generation
    try {
      timeSeries16.setMaximumItemAge((-61846646400001L));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    org.jfree.data.time.TimePeriodFormatException timePeriodFormatException1 = new org.jfree.data.time.TimePeriodFormatException("June");
    java.lang.Throwable[] throwable_array2 = timePeriodFormatException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    org.jfree.data.general.SeriesChangeListener seriesChangeListener3 = null;
    timeSeries2.removeChangeListener(seriesChangeListener3);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = timeSeries2.getTimePeriod(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable8 = timeSeries2.getKey();
    timeSeries2.clear();
    org.jfree.data.time.Day day10 = new org.jfree.data.time.Day();
    java.lang.Number number11 = timeSeries2.getValue((org.jfree.data.time.RegularTimePeriod)day10);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod12 = day10.previous();
    java.lang.Class clazz14 = null;
    org.jfree.data.time.TimeSeries timeSeries15 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz14);
    java.lang.String str16 = timeSeries15.getDescription();
    timeSeries15.setKey((java.lang.Comparable)10.0f);
    boolean b20 = timeSeries15.equals((java.lang.Object)(-61847856000001L));
    int i21 = day10.compareTo((java.lang.Object)timeSeries15);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries15.delete((-1), 1900);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable8 + "' != '" + 0.0d+ "'", comparable8.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);

  }

  @Test
  public void test294() {}
// Defects4J: flaky method
//   @Test
//   public void test294() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
//     java.lang.String str3 = timeSeries2.getDescription();
//     timeSeries2.setDescription("Time");
//     java.lang.String str6 = timeSeries2.getDescription();
//     org.jfree.data.time.Day day7 = new org.jfree.data.time.Day();
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod8 = day7.next();
//     java.lang.String str9 = day7.toString();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem11 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)day7, 0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries2.add(timeSeriesDataItem11);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Time"+ "'", str6.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "21-February-2016"+ "'", str9.equals("21-February-2016"));
// 
//   }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekdayCode(1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(2, 10);
    boolean b4 = month2.equals((java.lang.Object)(short)10);
    int i5 = month2.getMonth();
    long long6 = month2.getSerialIndex();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year7 = month2.getYear();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 122L);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    int i1 = org.jfree.data.time.SerialDate.stringToMonthCode("Following");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    timeSeries6.setDescription("February 10");
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    java.util.Date date31 = month22.getEnd();
    long long32 = month22.getMiddleMillisecond();
    java.lang.Class clazz34 = null;
    org.jfree.data.time.TimeSeries timeSeries35 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz34);
    java.lang.String str36 = timeSeries35.getDescription();
    timeSeries35.setKey((java.lang.Comparable)10.0f);
    timeSeries35.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz42 = null;
    org.jfree.data.time.TimeSeries timeSeries43 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz42);
    java.lang.String str44 = timeSeries43.getDescription();
    timeSeries43.setNotify(false);
    timeSeries43.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz50 = null;
    org.jfree.data.time.TimeSeries timeSeries51 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz50);
    java.lang.String str52 = timeSeries51.getDescription();
    org.jfree.data.time.Month month55 = new org.jfree.data.time.Month(2, 10);
    boolean b57 = month55.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month60 = new org.jfree.data.time.Month(2, 10);
    boolean b62 = month60.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries63 = timeSeries51.createCopy((org.jfree.data.time.RegularTimePeriod)month55, (org.jfree.data.time.RegularTimePeriod)month60);
    timeSeries43.delete((org.jfree.data.time.RegularTimePeriod)month55);
    java.lang.Class clazz66 = null;
    org.jfree.data.time.TimeSeries timeSeries67 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz66);
    java.lang.String str68 = timeSeries67.getDescription();
    org.jfree.data.time.Month month71 = new org.jfree.data.time.Month(2, 10);
    boolean b73 = month71.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month76 = new org.jfree.data.time.Month(2, 10);
    boolean b78 = month76.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries79 = timeSeries67.createCopy((org.jfree.data.time.RegularTimePeriod)month71, (org.jfree.data.time.RegularTimePeriod)month76);
    org.jfree.data.time.Month month82 = new org.jfree.data.time.Month(2, 10);
    boolean b84 = month82.equals((java.lang.Object)(short)10);
    int i85 = month76.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem87 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month76, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries88 = timeSeries35.createCopy((org.jfree.data.time.RegularTimePeriod)month55, (org.jfree.data.time.RegularTimePeriod)month76);
    boolean b89 = month22.equals((java.lang.Object)month76);
    timeSeries6.setKey((java.lang.Comparable)month76);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod91 = month76.next();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year92 = month76.getYear();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod91);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond(10L);
    long long2 = fixedMillisecond1.getLastMillisecond();
    long long3 = fixedMillisecond1.getMiddleMillisecond();
    java.util.Calendar calendar4 = null;
    long long5 = fixedMillisecond1.getFirstMillisecond(calendar4);
    java.util.Date date6 = fixedMillisecond1.getEnd();
    org.jfree.data.time.Year year7 = new org.jfree.data.time.Year(date6);
    long long8 = year7.getLastMillisecond();
    java.lang.Class clazz10 = null;
    org.jfree.data.time.TimeSeries timeSeries11 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz10);
    java.lang.String str12 = timeSeries11.getDescription();
    org.jfree.data.time.Month month15 = new org.jfree.data.time.Month(2, 10);
    boolean b17 = month15.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month20 = new org.jfree.data.time.Month(2, 10);
    boolean b22 = month20.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries23 = timeSeries11.createCopy((org.jfree.data.time.RegularTimePeriod)month15, (org.jfree.data.time.RegularTimePeriod)month20);
    org.jfree.data.time.Month month26 = new org.jfree.data.time.Month(2, 10);
    boolean b28 = month26.equals((java.lang.Object)(short)10);
    int i29 = month20.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem31 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month20, (java.lang.Number)100.0d);
    java.lang.Object obj32 = null;
    int i33 = timeSeriesDataItem31.compareTo(obj32);
    boolean b34 = year7.equals((java.lang.Object)timeSeriesDataItem31);
    java.util.Calendar calendar35 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long36 = year7.getLastMillisecond(calendar35);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 28799999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    timeSeries2.setKey((java.lang.Comparable)(byte)100);
    java.lang.String str8 = timeSeries2.getDomainDescription();
    timeSeries2.setRangeDescription("Following");
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem12 = timeSeries2.getDataItem((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Time"+ "'", str8.equals("Time"));

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(1969, 9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    int i1 = org.jfree.data.time.SerialDate.stringToWeekdayCode("June");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setDescription("Time");
    int i6 = timeSeries2.getMaximumItemCount();
    java.lang.String str7 = timeSeries2.getDomainDescription();
    org.jfree.data.time.Month month8 = new org.jfree.data.time.Month();
    java.lang.Class clazz10 = null;
    org.jfree.data.time.TimeSeries timeSeries11 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz10);
    java.lang.String str12 = timeSeries11.getDescription();
    org.jfree.data.time.Month month15 = new org.jfree.data.time.Month(2, 10);
    boolean b17 = month15.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month20 = new org.jfree.data.time.Month(2, 10);
    boolean b22 = month20.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries23 = timeSeries11.createCopy((org.jfree.data.time.RegularTimePeriod)month15, (org.jfree.data.time.RegularTimePeriod)month20);
    java.util.Date date24 = month15.getEnd();
    long long25 = month15.getMiddleMillisecond();
    java.lang.Class clazz27 = null;
    org.jfree.data.time.TimeSeries timeSeries28 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz27);
    java.lang.String str29 = timeSeries28.getDescription();
    timeSeries28.setKey((java.lang.Comparable)10.0f);
    timeSeries28.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz35 = null;
    org.jfree.data.time.TimeSeries timeSeries36 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz35);
    java.lang.String str37 = timeSeries36.getDescription();
    timeSeries36.setNotify(false);
    timeSeries36.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz43 = null;
    org.jfree.data.time.TimeSeries timeSeries44 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz43);
    java.lang.String str45 = timeSeries44.getDescription();
    org.jfree.data.time.Month month48 = new org.jfree.data.time.Month(2, 10);
    boolean b50 = month48.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month53 = new org.jfree.data.time.Month(2, 10);
    boolean b55 = month53.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries56 = timeSeries44.createCopy((org.jfree.data.time.RegularTimePeriod)month48, (org.jfree.data.time.RegularTimePeriod)month53);
    timeSeries36.delete((org.jfree.data.time.RegularTimePeriod)month48);
    java.lang.Class clazz59 = null;
    org.jfree.data.time.TimeSeries timeSeries60 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz59);
    java.lang.String str61 = timeSeries60.getDescription();
    org.jfree.data.time.Month month64 = new org.jfree.data.time.Month(2, 10);
    boolean b66 = month64.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month69 = new org.jfree.data.time.Month(2, 10);
    boolean b71 = month69.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries72 = timeSeries60.createCopy((org.jfree.data.time.RegularTimePeriod)month64, (org.jfree.data.time.RegularTimePeriod)month69);
    org.jfree.data.time.Month month75 = new org.jfree.data.time.Month(2, 10);
    boolean b77 = month75.equals((java.lang.Object)(short)10);
    int i78 = month69.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem80 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month69, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries81 = timeSeries28.createCopy((org.jfree.data.time.RegularTimePeriod)month48, (org.jfree.data.time.RegularTimePeriod)month69);
    boolean b82 = month15.equals((java.lang.Object)month69);
    long long83 = month15.getMiddleMillisecond();
    int i84 = month15.getYearValue();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries85 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month8, (org.jfree.data.time.RegularTimePeriod)month15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Time"+ "'", str7.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long83 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 10);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getEnd();
    long long16 = month6.getMiddleMillisecond();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod17 = month6.previous();
    int i18 = month6.getYearValue();
    java.util.Date date19 = month6.getStart();
    java.util.TimeZone timeZone20 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month21 = new org.jfree.data.time.Month(date19, timeZone20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    org.jfree.data.time.Day day0 = new org.jfree.data.time.Day();
    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day0, clazz1);
    timeSeries2.setNotify(false);
    org.jfree.data.time.Year year5 = new org.jfree.data.time.Year();
    long long6 = year5.getSerialIndex();
    java.lang.String str7 = year5.toString();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)year5, (java.lang.Number)100.0d, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 2016L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "2016"+ "'", str7.equals("2016"));

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getStart();
    java.lang.Class clazz16 = null;
    java.lang.Class clazz18 = null;
    org.jfree.data.time.TimeSeries timeSeries19 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz18);
    java.lang.String str20 = timeSeries19.getDescription();
    org.jfree.data.time.Month month23 = new org.jfree.data.time.Month(2, 10);
    boolean b25 = month23.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month28 = new org.jfree.data.time.Month(2, 10);
    boolean b30 = month28.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries19.createCopy((org.jfree.data.time.RegularTimePeriod)month23, (org.jfree.data.time.RegularTimePeriod)month28);
    java.util.Date date32 = month23.getEnd();
    java.util.TimeZone timeZone33 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod34 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz16, date32, timeZone33);
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(date15, timeZone33);
    java.lang.String str36 = month35.toString();
    long long37 = month35.getFirstMillisecond();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year38 = month35.getYear();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "February 10"+ "'", str36.equals("February 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long37 == (-61849065600000L));

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    org.jfree.data.time.FixedMillisecond fixedMillisecond2 = new org.jfree.data.time.FixedMillisecond(10L);
    long long3 = fixedMillisecond2.getLastMillisecond();
    long long4 = fixedMillisecond2.getMiddleMillisecond();
    java.util.Calendar calendar5 = null;
    long long6 = fixedMillisecond2.getFirstMillisecond(calendar5);
    java.util.Date date7 = fixedMillisecond2.getEnd();
    org.jfree.data.time.SerialDate serialDate8 = org.jfree.data.time.SerialDate.createInstance(date7);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek((-460), serialDate8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate8);

  }

  @Test
  public void test308() {}
// Defects4J: flaky method
//   @Test
//   public void test308() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }
// 
// 
//     org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(7);
//     java.lang.Class clazz3 = null;
//     org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz3);
//     java.lang.String str5 = timeSeries4.getDescription();
//     java.lang.Class clazz7 = null;
//     org.jfree.data.time.TimeSeries timeSeries8 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz7);
//     java.lang.String str9 = timeSeries8.getDescription();
//     timeSeries8.setKey((java.lang.Comparable)10.0f);
//     timeSeries8.setKey((java.lang.Comparable)0.0d);
//     java.lang.String str14 = timeSeries8.getDescription();
//     java.util.Collection collection15 = timeSeries4.getTimePeriodsUniqueToOtherSeries(timeSeries8);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond17 = new org.jfree.data.time.FixedMillisecond(10L);
//     long long18 = fixedMillisecond17.getLastMillisecond();
//     java.lang.Class clazz20 = null;
//     org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz20);
//     java.lang.String str22 = timeSeries21.getDescription();
//     java.lang.Class clazz24 = null;
//     org.jfree.data.time.TimeSeries timeSeries25 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz24);
//     java.lang.String str26 = timeSeries25.getDescription();
//     timeSeries25.setKey((java.lang.Comparable)10.0f);
//     timeSeries25.setKey((java.lang.Comparable)0.0d);
//     java.lang.String str31 = timeSeries25.getDescription();
//     java.util.Collection collection32 = timeSeries21.getTimePeriodsUniqueToOtherSeries(timeSeries25);
//     java.beans.PropertyChangeListener propertyChangeListener33 = null;
//     timeSeries25.removePropertyChangeListener(propertyChangeListener33);
//     java.lang.Class clazz36 = null;
//     org.jfree.data.time.TimeSeries timeSeries37 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz36);
//     java.lang.String str38 = timeSeries37.getDescription();
//     org.jfree.data.time.Month month41 = new org.jfree.data.time.Month(2, 10);
//     boolean b43 = month41.equals((java.lang.Object)(short)10);
//     org.jfree.data.time.Month month46 = new org.jfree.data.time.Month(2, 10);
//     boolean b48 = month46.equals((java.lang.Object)(short)10);
//     org.jfree.data.time.TimeSeries timeSeries49 = timeSeries37.createCopy((org.jfree.data.time.RegularTimePeriod)month41, (org.jfree.data.time.RegularTimePeriod)month46);
//     java.util.Date date50 = month41.getEnd();
//     long long51 = month41.getMiddleMillisecond();
//     org.jfree.data.time.Month month54 = new org.jfree.data.time.Month(2, 10);
//     org.jfree.data.time.TimeSeries timeSeries55 = timeSeries25.createCopy((org.jfree.data.time.RegularTimePeriod)month41, (org.jfree.data.time.RegularTimePeriod)month54);
//     boolean b56 = fixedMillisecond17.equals((java.lang.Object)timeSeries25);
//     long long57 = fixedMillisecond17.getMiddleMillisecond();
//     int i58 = timeSeries4.getIndex((org.jfree.data.time.RegularTimePeriod)fixedMillisecond17);
//     org.jfree.data.time.Day day59 = new org.jfree.data.time.Day();
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod60 = day59.next();
//     java.lang.String str61 = day59.toString();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem63 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)day59, 0.0d);
//     long long64 = day59.getFirstMillisecond();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem66 = timeSeries4.addOrUpdate((org.jfree.data.time.RegularTimePeriod)day59, (java.lang.Number)11);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i67 = spreadsheetDate1.compareTo((java.lang.Object)day59);
//       org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
//     } catch (java.lang.ClassCastException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(collection15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long18 == 10L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(collection32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b43 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b48 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long51 == (-61847856000001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b56 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long57 == 10L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str61 + "' != '" + "21-February-2016"+ "'", str61.equals("21-February-2016"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long64 == 1456041600000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(timeSeriesDataItem66);
// 
//   }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    java.lang.String str2 = org.jfree.data.time.SerialDate.monthCodeToString(2, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Feb"+ "'", str2.equals("Feb"));

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.weekInMonthToString(11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "SerialDate.weekInMonthToString(): invalid code."+ "'", str1.equals("SerialDate.weekInMonthToString(): invalid code."));

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount(5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-458));

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.TimeSeries timeSeries58 = timeSeries55.createCopy(10, 9999);
    java.lang.Class clazz60 = null;
    org.jfree.data.time.TimeSeries timeSeries61 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz60);
    java.lang.String str62 = timeSeries61.getDescription();
    timeSeries61.setNotify(false);
    timeSeries61.setKey((java.lang.Comparable)(byte)100);
    timeSeries61.fireSeriesChanged();
    org.jfree.data.general.SeriesChangeListener seriesChangeListener68 = null;
    timeSeries61.removeChangeListener(seriesChangeListener68);
    boolean b70 = timeSeries58.equals((java.lang.Object)timeSeries61);
    java.beans.PropertyChangeListener propertyChangeListener71 = null;
    timeSeries58.removePropertyChangeListener(propertyChangeListener71);
    org.jfree.data.time.Day day73 = new org.jfree.data.time.Day();
    org.jfree.data.time.SerialDate serialDate74 = day73.getSerialDate();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod75 = day73.next();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod76 = day73.previous();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries58.add((org.jfree.data.time.RegularTimePeriod)day73, 1.0d, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod76);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(2147483647, 0, 12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = org.jfree.data.time.SerialDate.createInstance(13, 1900, 9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.FixedMillisecond fixedMillisecond3 = new org.jfree.data.time.FixedMillisecond(10L);
    long long4 = fixedMillisecond3.getLastMillisecond();
    long long5 = fixedMillisecond3.getMiddleMillisecond();
    java.util.Calendar calendar6 = null;
    long long7 = fixedMillisecond3.getFirstMillisecond(calendar6);
    java.util.Date date8 = fixedMillisecond3.getEnd();
    org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.createInstance(date8);
    boolean b10 = spreadsheetDate1.isAfter(serialDate9);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate12 = spreadsheetDate1.getPreviousDayOfWeek(2016);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    java.lang.String str56 = timeSeries55.getDescription();
    org.jfree.data.time.TimeSeries timeSeries59 = timeSeries55.createCopy(4, 5);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries59.setMaximumItemCount((-460));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries59);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    int i1 = org.jfree.data.time.SerialDate.stringToMonthCode("org.jfree.data.general.SeriesException: hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    timeSeries2.setKey((java.lang.Comparable)(byte)100);
    timeSeries2.fireSeriesChanged();
    java.beans.PropertyChangeListener propertyChangeListener9 = null;
    timeSeries2.addPropertyChangeListener(propertyChangeListener9);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update(0, (java.lang.Number)(short)10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable8 = timeSeries2.getKey();
    timeSeries2.clear();
    org.jfree.data.time.Day day10 = new org.jfree.data.time.Day();
    java.lang.Number number11 = timeSeries2.getValue((org.jfree.data.time.RegularTimePeriod)day10);
    org.jfree.data.time.SerialDate serialDate12 = day10.getSerialDate();
    org.jfree.data.time.SerialDate serialDate13 = day10.getSerialDate();
    java.lang.String str14 = serialDate13.getDescription();
    org.jfree.data.time.TimeSeries timeSeries15 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)serialDate13);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    java.util.Date date31 = month22.getStart();
    org.jfree.data.time.FixedMillisecond fixedMillisecond32 = new org.jfree.data.time.FixedMillisecond(date31);
    org.jfree.data.time.FixedMillisecond fixedMillisecond33 = new org.jfree.data.time.FixedMillisecond(date31);
    long long34 = fixedMillisecond33.getSerialIndex();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem35 = timeSeries15.getDataItem((org.jfree.data.time.RegularTimePeriod)fixedMillisecond33);
    java.lang.Class clazz37 = null;
    org.jfree.data.time.TimeSeries timeSeries38 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz37);
    java.lang.String str39 = timeSeries38.getDescription();
    timeSeries38.setNotify(false);
    timeSeries38.setKey((java.lang.Comparable)(byte)100);
    java.lang.String str44 = timeSeries38.getDomainDescription();
    timeSeries38.setRangeDescription("Following");
    int i47 = fixedMillisecond33.compareTo((java.lang.Object)timeSeries38);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number49 = timeSeries38.getValue(12);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable8 + "' != '" + 0.0d+ "'", comparable8.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long34 == (-61849065600000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "Time"+ "'", str44.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(7);
    java.lang.Class clazz3 = null;
    org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz3);
    java.lang.String str5 = timeSeries4.getDescription();
    org.jfree.data.time.Month month8 = new org.jfree.data.time.Month(2, 10);
    boolean b10 = month8.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month13 = new org.jfree.data.time.Month(2, 10);
    boolean b15 = month13.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries16 = timeSeries4.createCopy((org.jfree.data.time.RegularTimePeriod)month8, (org.jfree.data.time.RegularTimePeriod)month13);
    org.jfree.data.time.Month month19 = new org.jfree.data.time.Month(2, 10);
    boolean b21 = month19.equals((java.lang.Object)(short)10);
    int i22 = month13.compareTo((java.lang.Object)(short)10);
    int i23 = month13.getYearValue();
    java.lang.String str24 = month13.toString();
    org.jfree.data.time.Day day25 = new org.jfree.data.time.Day();
    java.lang.Class clazz26 = null;
    org.jfree.data.time.TimeSeries timeSeries27 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day25, clazz26);
    org.jfree.data.time.SerialDate serialDate28 = day25.getSerialDate();
    boolean b29 = month13.equals((java.lang.Object)serialDate28);
    java.lang.String str30 = serialDate28.getDescription();
    java.lang.Class clazz34 = null;
    org.jfree.data.time.TimeSeries timeSeries35 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz34);
    java.lang.String str36 = timeSeries35.getDescription();
    timeSeries35.setKey((java.lang.Comparable)10.0f);
    timeSeries35.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable41 = timeSeries35.getKey();
    timeSeries35.clear();
    org.jfree.data.time.Day day43 = new org.jfree.data.time.Day();
    java.lang.Number number44 = timeSeries35.getValue((org.jfree.data.time.RegularTimePeriod)day43);
    org.jfree.data.time.SerialDate serialDate45 = day43.getSerialDate();
    org.jfree.data.time.SerialDate serialDate46 = org.jfree.data.time.SerialDate.addDays(9999, serialDate45);
    org.jfree.data.time.SerialDate serialDate47 = org.jfree.data.time.SerialDate.addDays(9999, serialDate45);
    java.lang.Class clazz51 = null;
    org.jfree.data.time.TimeSeries timeSeries52 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz51);
    java.lang.String str53 = timeSeries52.getDescription();
    org.jfree.data.time.Month month56 = new org.jfree.data.time.Month(2, 10);
    boolean b58 = month56.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month61 = new org.jfree.data.time.Month(2, 10);
    boolean b63 = month61.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries64 = timeSeries52.createCopy((org.jfree.data.time.RegularTimePeriod)month56, (org.jfree.data.time.RegularTimePeriod)month61);
    org.jfree.data.time.Month month67 = new org.jfree.data.time.Month(2, 10);
    boolean b69 = month67.equals((java.lang.Object)(short)10);
    int i70 = month61.compareTo((java.lang.Object)(short)10);
    int i71 = month61.getYearValue();
    java.lang.String str72 = month61.toString();
    org.jfree.data.time.Day day73 = new org.jfree.data.time.Day();
    java.lang.Class clazz74 = null;
    org.jfree.data.time.TimeSeries timeSeries75 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day73, clazz74);
    org.jfree.data.time.SerialDate serialDate76 = day73.getSerialDate();
    boolean b77 = month61.equals((java.lang.Object)serialDate76);
    org.jfree.data.time.SerialDate serialDate78 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(3, serialDate76);
    org.jfree.data.time.SerialDate serialDate79 = org.jfree.data.time.SerialDate.addYears(6, serialDate78);
    org.jfree.data.time.SerialDate serialDate80 = serialDate45.getEndOfCurrentMonth(serialDate78);
    boolean b81 = spreadsheetDate1.isInRange(serialDate28, serialDate80);
    int i82 = spreadsheetDate1.getYYYY();
    java.lang.Class clazz85 = null;
    org.jfree.data.time.TimeSeries timeSeries86 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz85);
    java.lang.String str87 = timeSeries86.getDescription();
    timeSeries86.setKey((java.lang.Comparable)10.0f);
    timeSeries86.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable92 = timeSeries86.getKey();
    timeSeries86.clear();
    org.jfree.data.time.Day day94 = new org.jfree.data.time.Day();
    java.lang.Number number95 = timeSeries86.getValue((org.jfree.data.time.RegularTimePeriod)day94);
    org.jfree.data.time.SerialDate serialDate96 = day94.getSerialDate();
    org.jfree.data.time.SerialDate serialDate97 = day94.getSerialDate();
    org.jfree.data.time.SerialDate serialDate98 = org.jfree.data.time.SerialDate.addYears(0, serialDate97);
    boolean b99 = spreadsheetDate1.isOnOrBefore(serialDate98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "February 10"+ "'", str24.equals("February 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable41 + "' != '" + 0.0d+ "'", comparable41.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "February 10"+ "'", str72.equals("February 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == 1900);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable92 + "' != '" + 0.0d+ "'", comparable92.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b99 == true);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    int i1 = org.jfree.data.time.SerialDate.stringToMonthCode("Feb");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance((-458));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    boolean b7 = timeSeries2.equals((java.lang.Object)(-61847856000001L));
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    java.lang.Class clazz13 = null;
    org.jfree.data.time.TimeSeries timeSeries14 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz13);
    java.lang.String str15 = timeSeries14.getDescription();
    timeSeries14.setKey((java.lang.Comparable)10.0f);
    timeSeries14.setKey((java.lang.Comparable)0.0d);
    java.lang.String str20 = timeSeries14.getDescription();
    java.util.Collection collection21 = timeSeries10.getTimePeriodsUniqueToOtherSeries(timeSeries14);
    java.util.List list22 = timeSeries10.getItems();
    org.jfree.data.time.TimeSeries timeSeries23 = timeSeries2.addAndOrUpdate(timeSeries10);
    timeSeries2.setNotify(true);
    org.jfree.data.time.FixedMillisecond fixedMillisecond27 = new org.jfree.data.time.FixedMillisecond(10L);
    long long28 = fixedMillisecond27.getLastMillisecond();
    long long29 = fixedMillisecond27.getMiddleMillisecond();
    java.util.Calendar calendar30 = null;
    long long31 = fixedMillisecond27.getFirstMillisecond(calendar30);
    java.util.Date date32 = fixedMillisecond27.getEnd();
    timeSeries2.setKey((java.lang.Comparable)fixedMillisecond27);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod34 = timeSeries2.getNextTimePeriod();
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(520764324);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.SerialDate serialDate2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = spreadsheetDate1.isAfter(serialDate2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    java.lang.Class clazz0 = null;
    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz2);
    java.lang.String str4 = timeSeries3.getDescription();
    org.jfree.data.time.Month month7 = new org.jfree.data.time.Month(2, 10);
    boolean b9 = month7.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(2, 10);
    boolean b14 = month12.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries15 = timeSeries3.createCopy((org.jfree.data.time.RegularTimePeriod)month7, (org.jfree.data.time.RegularTimePeriod)month12);
    java.util.Date date16 = month7.getEnd();
    java.util.TimeZone timeZone17 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod18 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date16, timeZone17);
    org.jfree.data.time.Month month19 = new org.jfree.data.time.Month(date16);
    java.util.Calendar calendar20 = null;
    // The following exception was thrown during execution in test generation
    try {
      month19.peg(calendar20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod18);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    int i1 = org.jfree.data.time.SerialDate.stringToWeekdayCode("Feb");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    int i0 = org.jfree.data.time.SerialDate.SECOND_WEEK_IN_MONTH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day3 = new org.jfree.data.time.Day(11, (-458), 8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test330() {}
// Defects4J: flaky method
//   @Test
//   public void test330() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }
// 
// 
//     org.jfree.data.time.Day day0 = new org.jfree.data.time.Day();
//     org.jfree.data.time.SerialDate serialDate1 = day0.getSerialDate();
//     long long2 = day0.getLastMillisecond();
//     java.lang.Class clazz3 = null;
//     org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day0, clazz3);
//     java.util.Calendar calendar5 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       day0.peg(calendar5);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long2 == 1456127999999L);
// 
//   }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    timeSeries6.setDescription("February 10");
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    java.util.Date date31 = month22.getStart();
    org.jfree.data.time.FixedMillisecond fixedMillisecond32 = new org.jfree.data.time.FixedMillisecond(date31);
    int i33 = timeSeries6.getIndex((org.jfree.data.time.RegularTimePeriod)fixedMillisecond32);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem34 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries6.add(timeSeriesDataItem34);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == (-1));

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    boolean b7 = timeSeries2.equals((java.lang.Object)(-61847856000001L));
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    java.lang.Class clazz13 = null;
    org.jfree.data.time.TimeSeries timeSeries14 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz13);
    java.lang.String str15 = timeSeries14.getDescription();
    timeSeries14.setKey((java.lang.Comparable)10.0f);
    timeSeries14.setKey((java.lang.Comparable)0.0d);
    java.lang.String str20 = timeSeries14.getDescription();
    java.util.Collection collection21 = timeSeries10.getTimePeriodsUniqueToOtherSeries(timeSeries14);
    java.util.List list22 = timeSeries10.getItems();
    org.jfree.data.time.TimeSeries timeSeries23 = timeSeries2.addAndOrUpdate(timeSeries10);
    int i24 = timeSeries2.getItemCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    java.lang.String str2 = org.jfree.data.time.SerialDate.monthCodeToString(12, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "December"+ "'", str2.equals("December"));

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    timeSeries14.removeAgedItems(false);
    timeSeries14.clear();
    java.lang.String str18 = timeSeries14.getDescription();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.general.SeriesChangeEvent seriesChangeEvent19 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)str18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str18);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    int i1 = org.jfree.data.time.SerialDate.stringToMonthCode("8-May-2044");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    org.jfree.data.time.Day day2 = new org.jfree.data.time.Day();
    org.jfree.data.time.SerialDate serialDate3 = day2.getSerialDate();
    org.jfree.data.time.SerialDate serialDate4 = org.jfree.data.time.SerialDate.addMonths(13, serialDate3);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.getFollowingDayOfWeek(9999, serialDate4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate4);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day3 = new org.jfree.data.time.Day(1, 13, 2147483647);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(4, 2147483647, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.FixedMillisecond fixedMillisecond3 = new org.jfree.data.time.FixedMillisecond(10L);
    long long4 = fixedMillisecond3.getLastMillisecond();
    long long5 = fixedMillisecond3.getMiddleMillisecond();
    java.util.Calendar calendar6 = null;
    long long7 = fixedMillisecond3.getFirstMillisecond(calendar6);
    java.util.Date date8 = fixedMillisecond3.getEnd();
    org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.createInstance(date8);
    boolean b10 = spreadsheetDate1.isAfter(serialDate9);
    java.lang.Object obj11 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i12 = spreadsheetDate1.compareTo(obj11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    timeSeries2.setKey((java.lang.Comparable)(byte)100);
    java.lang.String str8 = timeSeries2.getDomainDescription();
    java.lang.Object obj9 = timeSeries2.clone();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy((-458), (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Time"+ "'", str8.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    timeSeries2.setKey((java.lang.Comparable)(byte)100);
    java.lang.String str8 = timeSeries2.getDomainDescription();
    timeSeries2.setRangeDescription("Following");
    boolean b11 = timeSeries2.getNotify();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Time"+ "'", str8.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz2);
    java.lang.String str4 = timeSeries3.getDescription();
    timeSeries3.setNotify(false);
    java.lang.String str7 = timeSeries3.getDescription();
    java.util.List list8 = timeSeries3.getItems();
    org.jfree.data.time.Year year9 = new org.jfree.data.time.Year();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem10 = timeSeries3.getDataItem((org.jfree.data.time.RegularTimePeriod)year9);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod11 = year9.next();
    java.lang.Class clazz13 = null;
    org.jfree.data.time.TimeSeries timeSeries14 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz13);
    java.lang.String str15 = timeSeries14.getDescription();
    timeSeries14.setDescription("Time");
    java.lang.Object obj18 = timeSeries14.clone();
    boolean b19 = year9.equals((java.lang.Object)timeSeries14);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month20 = new org.jfree.data.time.Month(0, year9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    int i20 = month11.compareTo((java.lang.Object)(short)10);
    long long21 = month11.getSerialIndex();
    java.lang.Class clazz23 = null;
    org.jfree.data.time.TimeSeries timeSeries24 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz23);
    java.lang.String str25 = timeSeries24.getDescription();
    org.jfree.data.time.Month month28 = new org.jfree.data.time.Month(2, 10);
    boolean b30 = month28.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month33 = new org.jfree.data.time.Month(2, 10);
    boolean b35 = month33.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries24.createCopy((org.jfree.data.time.RegularTimePeriod)month28, (org.jfree.data.time.RegularTimePeriod)month33);
    org.jfree.data.time.Month month39 = new org.jfree.data.time.Month(2, 10);
    boolean b41 = month39.equals((java.lang.Object)(short)10);
    int i42 = month33.compareTo((java.lang.Object)(short)10);
    int i43 = month33.getYearValue();
    boolean b44 = month11.equals((java.lang.Object)month33);
    java.util.Date date45 = month33.getEnd();
    long long46 = month33.getFirstMillisecond();
    java.util.Calendar calendar47 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long48 = month33.getMiddleMillisecond(calendar47);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 122L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long46 == (-61849065600000L));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekdayCode(21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    java.lang.String str6 = timeSeries2.getDescription();
    java.util.List list7 = timeSeries2.getItems();
    org.jfree.data.time.Year year8 = new org.jfree.data.time.Year();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem9 = timeSeries2.getDataItem((org.jfree.data.time.RegularTimePeriod)year8);
    java.lang.Class clazz11 = null;
    org.jfree.data.time.TimeSeries timeSeries12 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz11);
    java.lang.String str13 = timeSeries12.getDescription();
    timeSeries12.setNotify(false);
    timeSeries12.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz19 = null;
    org.jfree.data.time.TimeSeries timeSeries20 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz19);
    java.lang.String str21 = timeSeries20.getDescription();
    org.jfree.data.time.Month month24 = new org.jfree.data.time.Month(2, 10);
    boolean b26 = month24.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month29 = new org.jfree.data.time.Month(2, 10);
    boolean b31 = month29.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries32 = timeSeries20.createCopy((org.jfree.data.time.RegularTimePeriod)month24, (org.jfree.data.time.RegularTimePeriod)month29);
    timeSeries12.delete((org.jfree.data.time.RegularTimePeriod)month24);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem35 = timeSeries2.addOrUpdate((org.jfree.data.time.RegularTimePeriod)month24, 0.0d);
    java.lang.Class clazz36 = timeSeries2.getTimePeriodClass();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod38 = timeSeries2.getTimePeriod(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(clazz36);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.jfree.data.time.SerialDate.monthCodeToString(1900, false);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekInMonthCode((-458));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod1 = year0.previous();
    java.util.Calendar calendar2 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long3 = year0.getLastMillisecond(calendar2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod1);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    java.lang.String str6 = timeSeries2.getDescription();
    java.util.List list7 = timeSeries2.getItems();
    org.jfree.data.time.Year year8 = new org.jfree.data.time.Year();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem9 = timeSeries2.getDataItem((org.jfree.data.time.RegularTimePeriod)year8);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = year8.next();
    long long11 = year8.getFirstMillisecond();
    java.util.Calendar calendar12 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long13 = year8.getLastMillisecond(calendar12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 1451635200000L);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.jfree.data.time.SerialDate.monthCodeToQuarter(2147483647);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    int i2 = org.jfree.data.time.SerialDate.lastDayOfMonth(4, (-458));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 30);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(7);
    java.lang.Class clazz3 = null;
    org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz3);
    java.lang.String str5 = timeSeries4.getDescription();
    java.lang.Class clazz7 = null;
    org.jfree.data.time.TimeSeries timeSeries8 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz7);
    java.lang.String str9 = timeSeries8.getDescription();
    timeSeries8.setKey((java.lang.Comparable)10.0f);
    timeSeries8.setKey((java.lang.Comparable)0.0d);
    java.lang.String str14 = timeSeries8.getDescription();
    java.util.Collection collection15 = timeSeries4.getTimePeriodsUniqueToOtherSeries(timeSeries8);
    java.util.List list16 = timeSeries4.getItems();
    boolean b17 = timeSeries4.isEmpty();
    int i18 = timeSeries4.getMaximumItemCount();
    timeSeries4.setRangeDescription("Wednesday");
    boolean b21 = spreadsheetDate1.equals((java.lang.Object)timeSeries4);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries4.removeAgedItems(28799999L, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getEnd();
    long long16 = month6.getMiddleMillisecond();
    java.lang.Class clazz18 = null;
    org.jfree.data.time.TimeSeries timeSeries19 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz18);
    java.lang.String str20 = timeSeries19.getDescription();
    timeSeries19.setKey((java.lang.Comparable)10.0f);
    timeSeries19.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz26 = null;
    org.jfree.data.time.TimeSeries timeSeries27 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz26);
    java.lang.String str28 = timeSeries27.getDescription();
    timeSeries27.setNotify(false);
    timeSeries27.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz34 = null;
    org.jfree.data.time.TimeSeries timeSeries35 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz34);
    java.lang.String str36 = timeSeries35.getDescription();
    org.jfree.data.time.Month month39 = new org.jfree.data.time.Month(2, 10);
    boolean b41 = month39.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month44 = new org.jfree.data.time.Month(2, 10);
    boolean b46 = month44.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries47 = timeSeries35.createCopy((org.jfree.data.time.RegularTimePeriod)month39, (org.jfree.data.time.RegularTimePeriod)month44);
    timeSeries27.delete((org.jfree.data.time.RegularTimePeriod)month39);
    java.lang.Class clazz50 = null;
    org.jfree.data.time.TimeSeries timeSeries51 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz50);
    java.lang.String str52 = timeSeries51.getDescription();
    org.jfree.data.time.Month month55 = new org.jfree.data.time.Month(2, 10);
    boolean b57 = month55.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month60 = new org.jfree.data.time.Month(2, 10);
    boolean b62 = month60.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries63 = timeSeries51.createCopy((org.jfree.data.time.RegularTimePeriod)month55, (org.jfree.data.time.RegularTimePeriod)month60);
    org.jfree.data.time.Month month66 = new org.jfree.data.time.Month(2, 10);
    boolean b68 = month66.equals((java.lang.Object)(short)10);
    int i69 = month60.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem71 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month60, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries72 = timeSeries19.createCopy((org.jfree.data.time.RegularTimePeriod)month39, (org.jfree.data.time.RegularTimePeriod)month60);
    boolean b73 = month6.equals((java.lang.Object)month60);
    java.lang.Class clazz75 = null;
    org.jfree.data.time.TimeSeries timeSeries76 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz75);
    java.lang.String str77 = timeSeries76.getDescription();
    org.jfree.data.time.Month month80 = new org.jfree.data.time.Month(2, 10);
    boolean b82 = month80.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month85 = new org.jfree.data.time.Month(2, 10);
    boolean b87 = month85.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries88 = timeSeries76.createCopy((org.jfree.data.time.RegularTimePeriod)month80, (org.jfree.data.time.RegularTimePeriod)month85);
    org.jfree.data.time.Month month91 = new org.jfree.data.time.Month(2, 10);
    boolean b93 = month91.equals((java.lang.Object)(short)10);
    int i94 = month85.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem96 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month85, (java.lang.Number)100.0d);
    boolean b97 = month60.equals((java.lang.Object)100.0d);
    long long98 = month60.getSerialIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i94 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b97 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long98 == 122L);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidMonthCode(5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.lang.Class clazz14 = timeSeries6.getTimePeriodClass();
    org.jfree.data.general.SeriesChangeListener seriesChangeListener15 = null;
    timeSeries6.removeChangeListener(seriesChangeListener15);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries19 = timeSeries6.createCopy(9999, 12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(clazz14);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    int i1 = org.jfree.data.time.SerialDate.stringToWeekdayCode("Wednesday");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond(10L);
    long long2 = fixedMillisecond1.getLastMillisecond();
    long long3 = fixedMillisecond1.getMiddleMillisecond();
    java.util.Calendar calendar4 = null;
    long long5 = fixedMillisecond1.getFirstMillisecond(calendar4);
    java.util.Date date6 = fixedMillisecond1.getEnd();
    org.jfree.data.time.Year year7 = new org.jfree.data.time.Year(date6);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod8 = year7.next();
    java.util.Calendar calendar9 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long10 = year7.getFirstMillisecond(calendar9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod8);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    org.jfree.data.time.Day day14 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod15 = day14.next();
    org.jfree.data.time.FixedMillisecond fixedMillisecond17 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod18 = fixedMillisecond17.previous();
    org.jfree.data.time.TimeSeries timeSeries19 = timeSeries6.createCopy(regularTimePeriod15, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond17);
    org.jfree.data.time.Year year20 = new org.jfree.data.time.Year();
    long long21 = year20.getSerialIndex();
    java.lang.String str22 = year20.toString();
    org.jfree.data.time.FixedMillisecond fixedMillisecond24 = new org.jfree.data.time.FixedMillisecond(10L);
    long long25 = fixedMillisecond24.getLastMillisecond();
    java.lang.Class clazz27 = null;
    org.jfree.data.time.TimeSeries timeSeries28 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz27);
    java.lang.String str29 = timeSeries28.getDescription();
    java.lang.Class clazz31 = null;
    org.jfree.data.time.TimeSeries timeSeries32 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz31);
    java.lang.String str33 = timeSeries32.getDescription();
    timeSeries32.setKey((java.lang.Comparable)10.0f);
    timeSeries32.setKey((java.lang.Comparable)0.0d);
    java.lang.String str38 = timeSeries32.getDescription();
    java.util.Collection collection39 = timeSeries28.getTimePeriodsUniqueToOtherSeries(timeSeries32);
    java.beans.PropertyChangeListener propertyChangeListener40 = null;
    timeSeries32.removePropertyChangeListener(propertyChangeListener40);
    java.lang.Class clazz43 = null;
    org.jfree.data.time.TimeSeries timeSeries44 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz43);
    java.lang.String str45 = timeSeries44.getDescription();
    org.jfree.data.time.Month month48 = new org.jfree.data.time.Month(2, 10);
    boolean b50 = month48.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month53 = new org.jfree.data.time.Month(2, 10);
    boolean b55 = month53.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries56 = timeSeries44.createCopy((org.jfree.data.time.RegularTimePeriod)month48, (org.jfree.data.time.RegularTimePeriod)month53);
    java.util.Date date57 = month48.getEnd();
    long long58 = month48.getMiddleMillisecond();
    org.jfree.data.time.Month month61 = new org.jfree.data.time.Month(2, 10);
    org.jfree.data.time.TimeSeries timeSeries62 = timeSeries32.createCopy((org.jfree.data.time.RegularTimePeriod)month48, (org.jfree.data.time.RegularTimePeriod)month61);
    boolean b63 = fixedMillisecond24.equals((java.lang.Object)timeSeries32);
    long long64 = fixedMillisecond24.getMiddleMillisecond();
    java.util.Calendar calendar65 = null;
    long long66 = fixedMillisecond24.getFirstMillisecond(calendar65);
    java.util.Date date67 = fixedMillisecond24.getEnd();
    org.jfree.data.time.Month month68 = new org.jfree.data.time.Month(date67);
    org.jfree.data.time.TimeSeries timeSeries69 = timeSeries19.createCopy((org.jfree.data.time.RegularTimePeriod)year20, (org.jfree.data.time.RegularTimePeriod)month68);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem71 = timeSeries69.getDataItem(1900);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 2016L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "2016"+ "'", str22.equals("2016"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long58 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long64 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long66 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries69);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(2958465);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = serialDate1.getNearestDayOfWeek((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate1);

  }

  @Test
  public void test360() {}
// Defects4J: flaky method
//   @Test
//   public void test360() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
//     java.lang.String str3 = timeSeries2.getDescription();
//     java.lang.Class clazz5 = null;
//     org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
//     java.lang.String str7 = timeSeries6.getDescription();
//     timeSeries6.setKey((java.lang.Comparable)10.0f);
//     timeSeries6.setKey((java.lang.Comparable)0.0d);
//     java.lang.String str12 = timeSeries6.getDescription();
//     java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
//     org.jfree.data.time.Day day14 = new org.jfree.data.time.Day();
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod15 = day14.next();
//     org.jfree.data.time.FixedMillisecond fixedMillisecond17 = new org.jfree.data.time.FixedMillisecond(10L);
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod18 = fixedMillisecond17.previous();
//     org.jfree.data.time.TimeSeries timeSeries19 = timeSeries6.createCopy(regularTimePeriod15, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond17);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond21 = new org.jfree.data.time.FixedMillisecond(10L);
//     long long22 = fixedMillisecond21.getLastMillisecond();
//     long long23 = fixedMillisecond21.getMiddleMillisecond();
//     java.util.Calendar calendar24 = null;
//     long long25 = fixedMillisecond21.getFirstMillisecond(calendar24);
//     java.util.Date date26 = fixedMillisecond21.getEnd();
//     org.jfree.data.time.Year year27 = new org.jfree.data.time.Year(date26);
//     long long28 = year27.getLastMillisecond();
//     org.jfree.data.time.FixedMillisecond fixedMillisecond30 = new org.jfree.data.time.FixedMillisecond(10L);
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod31 = fixedMillisecond30.previous();
//     org.jfree.data.time.TimeSeries timeSeries32 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)year27, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond30);
//     java.lang.Class clazz34 = null;
//     org.jfree.data.time.TimeSeries timeSeries35 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz34);
//     java.lang.String str36 = timeSeries35.getDescription();
//     java.lang.Class clazz38 = null;
//     org.jfree.data.time.TimeSeries timeSeries39 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz38);
//     java.lang.String str40 = timeSeries39.getDescription();
//     timeSeries39.setKey((java.lang.Comparable)10.0f);
//     timeSeries39.setKey((java.lang.Comparable)0.0d);
//     java.lang.String str45 = timeSeries39.getDescription();
//     java.util.Collection collection46 = timeSeries35.getTimePeriodsUniqueToOtherSeries(timeSeries39);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond48 = new org.jfree.data.time.FixedMillisecond(10L);
//     long long49 = fixedMillisecond48.getLastMillisecond();
//     java.lang.Class clazz51 = null;
//     org.jfree.data.time.TimeSeries timeSeries52 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz51);
//     java.lang.String str53 = timeSeries52.getDescription();
//     java.lang.Class clazz55 = null;
//     org.jfree.data.time.TimeSeries timeSeries56 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz55);
//     java.lang.String str57 = timeSeries56.getDescription();
//     timeSeries56.setKey((java.lang.Comparable)10.0f);
//     timeSeries56.setKey((java.lang.Comparable)0.0d);
//     java.lang.String str62 = timeSeries56.getDescription();
//     java.util.Collection collection63 = timeSeries52.getTimePeriodsUniqueToOtherSeries(timeSeries56);
//     java.beans.PropertyChangeListener propertyChangeListener64 = null;
//     timeSeries56.removePropertyChangeListener(propertyChangeListener64);
//     java.lang.Class clazz67 = null;
//     org.jfree.data.time.TimeSeries timeSeries68 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz67);
//     java.lang.String str69 = timeSeries68.getDescription();
//     org.jfree.data.time.Month month72 = new org.jfree.data.time.Month(2, 10);
//     boolean b74 = month72.equals((java.lang.Object)(short)10);
//     org.jfree.data.time.Month month77 = new org.jfree.data.time.Month(2, 10);
//     boolean b79 = month77.equals((java.lang.Object)(short)10);
//     org.jfree.data.time.TimeSeries timeSeries80 = timeSeries68.createCopy((org.jfree.data.time.RegularTimePeriod)month72, (org.jfree.data.time.RegularTimePeriod)month77);
//     java.util.Date date81 = month72.getEnd();
//     long long82 = month72.getMiddleMillisecond();
//     org.jfree.data.time.Month month85 = new org.jfree.data.time.Month(2, 10);
//     org.jfree.data.time.TimeSeries timeSeries86 = timeSeries56.createCopy((org.jfree.data.time.RegularTimePeriod)month72, (org.jfree.data.time.RegularTimePeriod)month85);
//     boolean b87 = fixedMillisecond48.equals((java.lang.Object)timeSeries56);
//     long long88 = fixedMillisecond48.getMiddleMillisecond();
//     int i89 = timeSeries35.getIndex((org.jfree.data.time.RegularTimePeriod)fixedMillisecond48);
//     org.jfree.data.time.Day day90 = new org.jfree.data.time.Day();
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod91 = day90.next();
//     java.lang.String str92 = day90.toString();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem94 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)day90, 0.0d);
//     long long95 = day90.getFirstMillisecond();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem97 = timeSeries35.addOrUpdate((org.jfree.data.time.RegularTimePeriod)day90, (java.lang.Number)11);
//     boolean b98 = timeSeries35.isEmpty();
//     org.jfree.data.time.TimeSeries timeSeries99 = timeSeries32.addAndOrUpdate(timeSeries35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(collection13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long22 == 10L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long23 == 10L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long25 == 10L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long28 == 28799999L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(collection46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long49 == 10L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(collection63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b74 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b79 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date81);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long82 == (-61847856000001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b87 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long88 == 10L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i89 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod91);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str92 + "' != '" + "21-February-2016"+ "'", str92.equals("21-February-2016"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long95 == 1456041600000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(timeSeriesDataItem97);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b98 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries99);
// 
//   }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    org.jfree.data.general.SeriesChangeListener seriesChangeListener3 = null;
    timeSeries2.removeChangeListener(seriesChangeListener3);
    timeSeries2.fireSeriesChanged();
    timeSeries2.setMaximumItemAge(0L);
    org.jfree.data.time.Year year8 = new org.jfree.data.time.Year();
    long long9 = year8.getSerialIndex();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)year8);
    java.util.Calendar calendar11 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long12 = year8.getFirstMillisecond(calendar11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 2016L);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.jfree.data.time.Year year1 = new org.jfree.data.time.Year();
    long long2 = year1.getSerialIndex();
    java.lang.String str3 = year1.toString();
    long long4 = year1.getFirstMillisecond();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month5 = new org.jfree.data.time.Month(30, year1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2016L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "2016"+ "'", str3.equals("2016"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 1451635200000L);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    int i1 = org.jfree.data.time.SerialDate.stringToMonthCode("December");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 12);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = org.jfree.data.time.Year.parseYear("Following");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = new org.jfree.data.time.Year((-460));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.relativeToString(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "Nearest"+ "'", str1.equals("Nearest"));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    org.jfree.data.time.Day day1 = org.jfree.data.time.Day.parseDay("org.jfree.data.general.SeriesChangeEvent[source=Wed Dec 31 16:00:00 PST 1969]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(day1);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond(10L);
    long long2 = fixedMillisecond1.getLastMillisecond();
    long long3 = fixedMillisecond1.getMiddleMillisecond();
    boolean b5 = fixedMillisecond1.equals((java.lang.Object)6);
    long long6 = fixedMillisecond1.getSerialIndex();
    java.util.Calendar calendar7 = null;
    long long8 = fixedMillisecond1.getMiddleMillisecond(calendar7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 10L);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(7);
    java.lang.Class clazz3 = null;
    org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz3);
    java.lang.String str5 = timeSeries4.getDescription();
    org.jfree.data.time.Month month8 = new org.jfree.data.time.Month(2, 10);
    boolean b10 = month8.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month13 = new org.jfree.data.time.Month(2, 10);
    boolean b15 = month13.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries16 = timeSeries4.createCopy((org.jfree.data.time.RegularTimePeriod)month8, (org.jfree.data.time.RegularTimePeriod)month13);
    org.jfree.data.time.Month month19 = new org.jfree.data.time.Month(2, 10);
    boolean b21 = month19.equals((java.lang.Object)(short)10);
    int i22 = month13.compareTo((java.lang.Object)(short)10);
    int i23 = month13.getYearValue();
    java.lang.String str24 = month13.toString();
    org.jfree.data.time.Day day25 = new org.jfree.data.time.Day();
    java.lang.Class clazz26 = null;
    org.jfree.data.time.TimeSeries timeSeries27 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day25, clazz26);
    org.jfree.data.time.SerialDate serialDate28 = day25.getSerialDate();
    boolean b29 = month13.equals((java.lang.Object)serialDate28);
    java.lang.String str30 = serialDate28.getDescription();
    java.lang.Class clazz34 = null;
    org.jfree.data.time.TimeSeries timeSeries35 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz34);
    java.lang.String str36 = timeSeries35.getDescription();
    timeSeries35.setKey((java.lang.Comparable)10.0f);
    timeSeries35.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable41 = timeSeries35.getKey();
    timeSeries35.clear();
    org.jfree.data.time.Day day43 = new org.jfree.data.time.Day();
    java.lang.Number number44 = timeSeries35.getValue((org.jfree.data.time.RegularTimePeriod)day43);
    org.jfree.data.time.SerialDate serialDate45 = day43.getSerialDate();
    org.jfree.data.time.SerialDate serialDate46 = org.jfree.data.time.SerialDate.addDays(9999, serialDate45);
    org.jfree.data.time.SerialDate serialDate47 = org.jfree.data.time.SerialDate.addDays(9999, serialDate45);
    java.lang.Class clazz51 = null;
    org.jfree.data.time.TimeSeries timeSeries52 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz51);
    java.lang.String str53 = timeSeries52.getDescription();
    org.jfree.data.time.Month month56 = new org.jfree.data.time.Month(2, 10);
    boolean b58 = month56.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month61 = new org.jfree.data.time.Month(2, 10);
    boolean b63 = month61.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries64 = timeSeries52.createCopy((org.jfree.data.time.RegularTimePeriod)month56, (org.jfree.data.time.RegularTimePeriod)month61);
    org.jfree.data.time.Month month67 = new org.jfree.data.time.Month(2, 10);
    boolean b69 = month67.equals((java.lang.Object)(short)10);
    int i70 = month61.compareTo((java.lang.Object)(short)10);
    int i71 = month61.getYearValue();
    java.lang.String str72 = month61.toString();
    org.jfree.data.time.Day day73 = new org.jfree.data.time.Day();
    java.lang.Class clazz74 = null;
    org.jfree.data.time.TimeSeries timeSeries75 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day73, clazz74);
    org.jfree.data.time.SerialDate serialDate76 = day73.getSerialDate();
    boolean b77 = month61.equals((java.lang.Object)serialDate76);
    org.jfree.data.time.SerialDate serialDate78 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(3, serialDate76);
    org.jfree.data.time.SerialDate serialDate79 = org.jfree.data.time.SerialDate.addYears(6, serialDate78);
    org.jfree.data.time.SerialDate serialDate80 = serialDate45.getEndOfCurrentMonth(serialDate78);
    boolean b81 = spreadsheetDate1.isInRange(serialDate28, serialDate80);
    org.jfree.data.time.SerialDate serialDate83 = org.jfree.data.time.SerialDate.createInstance(2958465);
    boolean b84 = spreadsheetDate1.isOn(serialDate83);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate86 = serialDate83.getPreviousDayOfWeek(12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "February 10"+ "'", str24.equals("February 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable41 + "' != '" + 0.0d+ "'", comparable41.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "February 10"+ "'", str72.equals("February 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz2);
    java.lang.String str4 = timeSeries3.getDescription();
    timeSeries3.setKey((java.lang.Comparable)10.0f);
    timeSeries3.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable9 = timeSeries3.getKey();
    timeSeries3.clear();
    org.jfree.data.time.Day day11 = new org.jfree.data.time.Day();
    java.lang.Number number12 = timeSeries3.getValue((org.jfree.data.time.RegularTimePeriod)day11);
    org.jfree.data.time.SerialDate serialDate13 = day11.getSerialDate();
    org.jfree.data.time.SerialDate serialDate14 = day11.getSerialDate();
    org.jfree.data.time.SerialDate serialDate15 = org.jfree.data.time.SerialDate.addYears(0, serialDate14);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate17 = serialDate14.getFollowingDayOfWeek(30);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable9 + "' != '" + 0.0d+ "'", comparable9.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate15);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    org.jfree.data.time.Day day14 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod15 = day14.next();
    org.jfree.data.time.FixedMillisecond fixedMillisecond17 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod18 = fixedMillisecond17.previous();
    org.jfree.data.time.TimeSeries timeSeries19 = timeSeries6.createCopy(regularTimePeriod15, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond17);
    org.jfree.data.time.FixedMillisecond fixedMillisecond21 = new org.jfree.data.time.FixedMillisecond(10L);
    long long22 = fixedMillisecond21.getLastMillisecond();
    long long23 = fixedMillisecond21.getMiddleMillisecond();
    java.util.Calendar calendar24 = null;
    long long25 = fixedMillisecond21.getFirstMillisecond(calendar24);
    java.util.Date date26 = fixedMillisecond21.getEnd();
    org.jfree.data.time.Year year27 = new org.jfree.data.time.Year(date26);
    long long28 = year27.getLastMillisecond();
    org.jfree.data.time.FixedMillisecond fixedMillisecond30 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod31 = fixedMillisecond30.previous();
    org.jfree.data.time.TimeSeries timeSeries32 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)year27, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond30);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod34 = timeSeries6.getTimePeriod(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 28799999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries32);

  }

  @Test
  public void test372() {}
// Defects4J: flaky method
//   @Test
//   public void test372() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }
// 
// 
//     org.jfree.data.time.Day day0 = new org.jfree.data.time.Day();
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day0, clazz1);
//     int i3 = day0.getDayOfMonth();
//     int i4 = day0.getMonth();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 2);
// 
//   }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond(10L);
    long long2 = fixedMillisecond1.getLastMillisecond();
    long long3 = fixedMillisecond1.getMiddleMillisecond();
    java.util.Calendar calendar4 = null;
    long long5 = fixedMillisecond1.getFirstMillisecond(calendar4);
    java.util.Date date6 = fixedMillisecond1.getEnd();
    org.jfree.data.time.Year year7 = new org.jfree.data.time.Year(date6);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod8 = year7.next();
    java.util.Calendar calendar9 = null;
    // The following exception was thrown during execution in test generation
    try {
      year7.peg(calendar9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod8);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.lang.String str15 = timeSeries2.getDescription();
    org.jfree.data.time.FixedMillisecond fixedMillisecond17 = new org.jfree.data.time.FixedMillisecond(10L);
    long long18 = fixedMillisecond17.getLastMillisecond();
    long long19 = fixedMillisecond17.getMiddleMillisecond();
    java.util.Calendar calendar20 = null;
    long long21 = fixedMillisecond17.getFirstMillisecond(calendar20);
    java.util.Date date22 = fixedMillisecond17.getEnd();
    org.jfree.data.time.Year year23 = new org.jfree.data.time.Year(date22);
    long long24 = year23.getLastMillisecond();
    java.lang.Class clazz26 = null;
    org.jfree.data.time.TimeSeries timeSeries27 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz26);
    java.lang.String str28 = timeSeries27.getDescription();
    org.jfree.data.time.Month month31 = new org.jfree.data.time.Month(2, 10);
    boolean b33 = month31.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month36 = new org.jfree.data.time.Month(2, 10);
    boolean b38 = month36.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries39 = timeSeries27.createCopy((org.jfree.data.time.RegularTimePeriod)month31, (org.jfree.data.time.RegularTimePeriod)month36);
    org.jfree.data.time.Month month42 = new org.jfree.data.time.Month(2, 10);
    boolean b44 = month42.equals((java.lang.Object)(short)10);
    int i45 = month36.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem47 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month36, (java.lang.Number)100.0d);
    java.lang.Object obj48 = null;
    int i49 = timeSeriesDataItem47.compareTo(obj48);
    boolean b50 = year23.equals((java.lang.Object)timeSeriesDataItem47);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)year23, 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == 28799999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    boolean b7 = timeSeries2.equals((java.lang.Object)(-61847856000001L));
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    java.lang.Class clazz13 = null;
    org.jfree.data.time.TimeSeries timeSeries14 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz13);
    java.lang.String str15 = timeSeries14.getDescription();
    timeSeries14.setKey((java.lang.Comparable)10.0f);
    timeSeries14.setKey((java.lang.Comparable)0.0d);
    java.lang.String str20 = timeSeries14.getDescription();
    java.util.Collection collection21 = timeSeries10.getTimePeriodsUniqueToOtherSeries(timeSeries14);
    java.util.List list22 = timeSeries10.getItems();
    org.jfree.data.time.TimeSeries timeSeries23 = timeSeries2.addAndOrUpdate(timeSeries10);
    boolean b24 = timeSeries10.isEmpty();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries10.delete(11, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount(11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-457));

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.jfree.data.time.Day day0 = new org.jfree.data.time.Day();
    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day0, clazz1);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod3 = day0.next();
    java.util.Calendar calendar4 = null;
    // The following exception was thrown during execution in test generation
    try {
      day0.peg(calendar4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod3);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    boolean b7 = timeSeries2.equals((java.lang.Object)(-61847856000001L));
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    java.lang.Class clazz13 = null;
    org.jfree.data.time.TimeSeries timeSeries14 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz13);
    java.lang.String str15 = timeSeries14.getDescription();
    timeSeries14.setKey((java.lang.Comparable)10.0f);
    timeSeries14.setKey((java.lang.Comparable)0.0d);
    java.lang.String str20 = timeSeries14.getDescription();
    java.util.Collection collection21 = timeSeries10.getTimePeriodsUniqueToOtherSeries(timeSeries14);
    java.util.List list22 = timeSeries10.getItems();
    org.jfree.data.time.TimeSeries timeSeries23 = timeSeries2.addAndOrUpdate(timeSeries10);
    boolean b24 = timeSeries10.isEmpty();
    org.jfree.data.time.FixedMillisecond fixedMillisecond26 = new org.jfree.data.time.FixedMillisecond(10L);
    long long27 = fixedMillisecond26.getLastMillisecond();
    long long28 = fixedMillisecond26.getMiddleMillisecond();
    boolean b30 = fixedMillisecond26.equals((java.lang.Object)6);
    long long31 = fixedMillisecond26.getLastMillisecond();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod32 = fixedMillisecond26.previous();
    long long33 = fixedMillisecond26.getSerialIndex();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries10.add((org.jfree.data.time.RegularTimePeriod)fixedMillisecond26, (java.lang.Number)(-1.0f), false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long33 == 10L);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    java.lang.Class clazz4 = null;
    org.jfree.data.time.TimeSeries timeSeries5 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz4);
    java.lang.String str6 = timeSeries5.getDescription();
    timeSeries5.setKey((java.lang.Comparable)10.0f);
    timeSeries5.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable11 = timeSeries5.getKey();
    timeSeries5.clear();
    org.jfree.data.time.Day day13 = new org.jfree.data.time.Day();
    java.lang.Number number14 = timeSeries5.getValue((org.jfree.data.time.RegularTimePeriod)day13);
    org.jfree.data.time.SerialDate serialDate15 = day13.getSerialDate();
    org.jfree.data.time.SerialDate serialDate16 = org.jfree.data.time.SerialDate.addDays(9999, serialDate15);
    org.jfree.data.time.Day day18 = new org.jfree.data.time.Day();
    org.jfree.data.time.SerialDate serialDate19 = day18.getSerialDate();
    org.jfree.data.time.SerialDate serialDate20 = org.jfree.data.time.SerialDate.addMonths(13, serialDate19);
    org.jfree.data.time.SerialDate serialDate21 = serialDate16.getEndOfCurrentMonth(serialDate20);
    org.jfree.data.time.SerialDate serialDate22 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(6, serialDate16);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate23 = org.jfree.data.time.SerialDate.getNearestDayOfWeek(0, serialDate16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable11 + "' != '" + 0.0d+ "'", comparable11.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate22);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    org.jfree.data.general.SeriesChangeListener seriesChangeListener3 = null;
    timeSeries2.removeChangeListener(seriesChangeListener3);
    timeSeries2.fireSeriesChanged();
    java.beans.PropertyChangeListener propertyChangeListener6 = null;
    timeSeries2.addPropertyChangeListener(propertyChangeListener6);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.removeAgedItems(0L, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.weekInMonthToString(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "Last"+ "'", str1.equals("Last"));

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.FixedMillisecond fixedMillisecond3 = new org.jfree.data.time.FixedMillisecond(10L);
    long long4 = fixedMillisecond3.getLastMillisecond();
    long long5 = fixedMillisecond3.getMiddleMillisecond();
    java.util.Calendar calendar6 = null;
    long long7 = fixedMillisecond3.getFirstMillisecond(calendar6);
    java.util.Date date8 = fixedMillisecond3.getEnd();
    org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.createInstance(date8);
    boolean b10 = spreadsheetDate1.isAfter(serialDate9);
    int i11 = spreadsheetDate1.getDayOfMonth();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate13 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.FixedMillisecond fixedMillisecond15 = new org.jfree.data.time.FixedMillisecond(10L);
    long long16 = fixedMillisecond15.getLastMillisecond();
    long long17 = fixedMillisecond15.getMiddleMillisecond();
    java.util.Calendar calendar18 = null;
    long long19 = fixedMillisecond15.getFirstMillisecond(calendar18);
    java.util.Date date20 = fixedMillisecond15.getEnd();
    org.jfree.data.time.SerialDate serialDate21 = org.jfree.data.time.SerialDate.createInstance(date20);
    boolean b22 = spreadsheetDate13.isAfter(serialDate21);
    int i23 = spreadsheetDate13.getDayOfMonth();
    boolean b24 = spreadsheetDate1.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate13);
    org.jfree.data.time.SerialDate serialDate25 = null;
    java.lang.Class clazz28 = null;
    org.jfree.data.time.TimeSeries timeSeries29 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz28);
    java.lang.String str30 = timeSeries29.getDescription();
    timeSeries29.setKey((java.lang.Comparable)10.0f);
    timeSeries29.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable35 = timeSeries29.getKey();
    timeSeries29.clear();
    org.jfree.data.time.Day day37 = new org.jfree.data.time.Day();
    java.lang.Number number38 = timeSeries29.getValue((org.jfree.data.time.RegularTimePeriod)day37);
    org.jfree.data.time.SerialDate serialDate39 = day37.getSerialDate();
    org.jfree.data.time.SerialDate serialDate40 = org.jfree.data.time.SerialDate.addDays(9999, serialDate39);
    serialDate39.setDescription("");
    // The following exception was thrown during execution in test generation
    try {
      boolean b43 = spreadsheetDate13.isInRange(serialDate25, serialDate39);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable35 + "' != '" + 0.0d+ "'", comparable35.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate40);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    org.jfree.data.time.Day day14 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod15 = day14.next();
    org.jfree.data.time.FixedMillisecond fixedMillisecond17 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod18 = fixedMillisecond17.previous();
    org.jfree.data.time.TimeSeries timeSeries19 = timeSeries6.createCopy(regularTimePeriod15, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond17);
    java.lang.Class clazz21 = null;
    org.jfree.data.time.TimeSeries timeSeries22 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz21);
    java.lang.String str23 = timeSeries22.getDescription();
    org.jfree.data.time.Month month26 = new org.jfree.data.time.Month(2, 10);
    boolean b28 = month26.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month31 = new org.jfree.data.time.Month(2, 10);
    boolean b33 = month31.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries22.createCopy((org.jfree.data.time.RegularTimePeriod)month26, (org.jfree.data.time.RegularTimePeriod)month31);
    org.jfree.data.time.Month month37 = new org.jfree.data.time.Month(2, 10);
    boolean b39 = month37.equals((java.lang.Object)(short)10);
    int i40 = month31.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem42 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month31, (java.lang.Number)10L);
    timeSeriesDataItem42.setValue((java.lang.Number)0.0d);
    java.lang.Number number45 = timeSeriesDataItem42.getValue();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod46 = timeSeriesDataItem42.getPeriod();
    java.lang.Number number47 = timeSeriesDataItem42.getValue();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries6.add(timeSeriesDataItem42, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number45 + "' != '" + 0.0d+ "'", number45.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number47 + "' != '" + 0.0d+ "'", number47.equals(0.0d));

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.beans.PropertyChangeListener propertyChangeListener14 = null;
    timeSeries6.removePropertyChangeListener(propertyChangeListener14);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    java.util.Date date31 = month22.getEnd();
    long long32 = month22.getMiddleMillisecond();
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(2, 10);
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month35);
    timeSeries36.fireSeriesChanged();
    timeSeries36.fireSeriesChanged();
    timeSeries36.setDomainDescription("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = org.jfree.data.time.Year.parseYear("8-May-2044");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    org.jfree.data.time.Day day14 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod15 = day14.next();
    org.jfree.data.time.FixedMillisecond fixedMillisecond17 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod18 = fixedMillisecond17.previous();
    org.jfree.data.time.TimeSeries timeSeries19 = timeSeries6.createCopy(regularTimePeriod15, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond17);
    java.lang.Class clazz21 = null;
    org.jfree.data.time.TimeSeries timeSeries22 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz21);
    java.lang.String str23 = timeSeries22.getDescription();
    org.jfree.data.time.Month month26 = new org.jfree.data.time.Month(2, 10);
    boolean b28 = month26.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month31 = new org.jfree.data.time.Month(2, 10);
    boolean b33 = month31.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries22.createCopy((org.jfree.data.time.RegularTimePeriod)month26, (org.jfree.data.time.RegularTimePeriod)month31);
    org.jfree.data.time.Month month37 = new org.jfree.data.time.Month(2, 10);
    boolean b39 = month37.equals((java.lang.Object)(short)10);
    int i40 = month31.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem42 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month31, (java.lang.Number)10L);
    java.lang.String str43 = month31.toString();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries19.add((org.jfree.data.time.RegularTimePeriod)month31, (java.lang.Number)5, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "February 10"+ "'", str43.equals("February 10"));

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    timeSeries2.setKey((java.lang.Comparable)(byte)100);
    java.lang.String str8 = timeSeries2.getDomainDescription();
    timeSeries2.setRangeDescription("Following");
    int i11 = timeSeries2.getMaximumItemCount();
    java.lang.Class clazz13 = null;
    org.jfree.data.time.TimeSeries timeSeries14 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz13);
    java.lang.String str15 = timeSeries14.getDescription();
    org.jfree.data.time.Month month18 = new org.jfree.data.time.Month(2, 10);
    boolean b20 = month18.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month23 = new org.jfree.data.time.Month(2, 10);
    boolean b25 = month23.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries26 = timeSeries14.createCopy((org.jfree.data.time.RegularTimePeriod)month18, (org.jfree.data.time.RegularTimePeriod)month23);
    org.jfree.data.time.Month month29 = new org.jfree.data.time.Month(2, 10);
    boolean b31 = month29.equals((java.lang.Object)(short)10);
    int i32 = month23.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem34 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month23, (java.lang.Number)100.0d);
    java.lang.Object obj35 = null;
    int i36 = timeSeriesDataItem34.compareTo(obj35);
    java.lang.Number number37 = timeSeriesDataItem34.getValue();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(timeSeriesDataItem34);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Time"+ "'", str8.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + 100.0d+ "'", number37.equals(100.0d));

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = org.jfree.data.time.Year.parseYear("Thursday");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.jfree.data.time.SerialDate.lastDayOfMonth((-1), 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable8 = timeSeries2.getKey();
    java.lang.Class clazz10 = null;
    org.jfree.data.time.TimeSeries timeSeries11 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz10);
    java.lang.String str12 = timeSeries11.getDescription();
    org.jfree.data.time.Month month15 = new org.jfree.data.time.Month(2, 10);
    boolean b17 = month15.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month20 = new org.jfree.data.time.Month(2, 10);
    boolean b22 = month20.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries23 = timeSeries11.createCopy((org.jfree.data.time.RegularTimePeriod)month15, (org.jfree.data.time.RegularTimePeriod)month20);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem24 = timeSeries2.getDataItem((org.jfree.data.time.RegularTimePeriod)month15);
    java.lang.Class clazz26 = null;
    org.jfree.data.time.TimeSeries timeSeries27 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz26);
    java.lang.String str28 = timeSeries27.getDescription();
    timeSeries27.setDescription("Time");
    java.lang.Object obj31 = timeSeries27.clone();
    org.jfree.data.time.TimeSeries timeSeries32 = timeSeries2.addAndOrUpdate(timeSeries27);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod33 = timeSeries32.getNextTimePeriod();
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable8 + "' != '" + 0.0d+ "'", comparable8.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries32);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond(10L);
    long long2 = fixedMillisecond1.getLastMillisecond();
    long long3 = fixedMillisecond1.getMiddleMillisecond();
    java.util.Calendar calendar4 = null;
    long long5 = fixedMillisecond1.getFirstMillisecond(calendar4);
    java.util.Date date6 = fixedMillisecond1.getEnd();
    org.jfree.data.time.Year year7 = new org.jfree.data.time.Year(date6);
    java.util.Calendar calendar8 = null;
    // The following exception was thrown during execution in test generation
    try {
      year7.peg(calendar8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    org.jfree.data.time.Day day14 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod15 = day14.next();
    org.jfree.data.time.FixedMillisecond fixedMillisecond17 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod18 = fixedMillisecond17.previous();
    org.jfree.data.time.TimeSeries timeSeries19 = timeSeries6.createCopy(regularTimePeriod15, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond17);
    org.jfree.data.time.FixedMillisecond fixedMillisecond21 = new org.jfree.data.time.FixedMillisecond(10L);
    long long22 = fixedMillisecond21.getLastMillisecond();
    long long23 = fixedMillisecond21.getMiddleMillisecond();
    java.util.Calendar calendar24 = null;
    long long25 = fixedMillisecond21.getFirstMillisecond(calendar24);
    java.util.Date date26 = fixedMillisecond21.getEnd();
    org.jfree.data.time.Year year27 = new org.jfree.data.time.Year(date26);
    long long28 = year27.getLastMillisecond();
    org.jfree.data.time.FixedMillisecond fixedMillisecond30 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod31 = fixedMillisecond30.previous();
    org.jfree.data.time.TimeSeries timeSeries32 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)year27, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond30);
    java.util.Calendar calendar33 = null;
    // The following exception was thrown during execution in test generation
    try {
      year27.peg(calendar33);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 28799999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries32);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekInMonthCode(2958465);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    int i20 = month11.compareTo((java.lang.Object)(short)10);
    java.util.Date date21 = month11.getEnd();
    long long22 = month11.getSerialIndex();
    java.util.Calendar calendar23 = null;
    // The following exception was thrown during execution in test generation
    try {
      month11.peg(calendar23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == 122L);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable8 = timeSeries2.getKey();
    java.lang.Class clazz10 = null;
    org.jfree.data.time.TimeSeries timeSeries11 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz10);
    java.lang.String str12 = timeSeries11.getDescription();
    timeSeries11.setNotify(true);
    java.util.List list15 = timeSeries11.getItems();
    org.jfree.data.time.TimeSeries timeSeries16 = timeSeries2.addAndOrUpdate(timeSeries11);
    java.util.Collection collection17 = timeSeries11.getTimePeriods();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod19 = timeSeries11.getTimePeriod(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable8 + "' != '" + 0.0d+ "'", comparable8.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection17);

  }

  @Test
  public void test396() {}
// Defects4J: flaky method
//   @Test
//   public void test396() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
//     java.lang.String str3 = timeSeries2.getDescription();
//     timeSeries2.setNotify(false);
//     java.lang.String str6 = timeSeries2.getDescription();
//     java.util.List list7 = timeSeries2.getItems();
//     org.jfree.data.time.Year year8 = new org.jfree.data.time.Year();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem9 = timeSeries2.getDataItem((org.jfree.data.time.RegularTimePeriod)year8);
//     org.jfree.data.time.Day day10 = new org.jfree.data.time.Day();
//     java.lang.Class clazz11 = null;
//     org.jfree.data.time.TimeSeries timeSeries12 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day10, clazz11);
//     int i13 = day10.getDayOfMonth();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem15 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)day10, 1.0d);
//     org.jfree.data.general.SeriesChangeEvent seriesChangeEvent16 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)day10);
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod17 = day10.previous();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem19 = timeSeries2.addOrUpdate((org.jfree.data.time.RegularTimePeriod)day10, (java.lang.Number)0L);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.jfree.data.time.RegularTimePeriod regularTimePeriod21 = timeSeries2.getTimePeriod(3);
//       org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
//     } catch (java.lang.IndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(list7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(timeSeriesDataItem9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(timeSeriesDataItem19);
// 
//   }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    java.lang.Class clazz4 = null;
    org.jfree.data.time.TimeSeries timeSeries5 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz4);
    java.lang.String str6 = timeSeries5.getDescription();
    org.jfree.data.time.Month month9 = new org.jfree.data.time.Month(2, 10);
    boolean b11 = month9.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month14 = new org.jfree.data.time.Month(2, 10);
    boolean b16 = month14.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries17 = timeSeries5.createCopy((org.jfree.data.time.RegularTimePeriod)month9, (org.jfree.data.time.RegularTimePeriod)month14);
    org.jfree.data.time.Month month20 = new org.jfree.data.time.Month(2, 10);
    boolean b22 = month20.equals((java.lang.Object)(short)10);
    int i23 = month14.compareTo((java.lang.Object)(short)10);
    int i24 = month14.getYearValue();
    java.lang.String str25 = month14.toString();
    org.jfree.data.time.Day day26 = new org.jfree.data.time.Day();
    java.lang.Class clazz27 = null;
    org.jfree.data.time.TimeSeries timeSeries28 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day26, clazz27);
    org.jfree.data.time.SerialDate serialDate29 = day26.getSerialDate();
    boolean b30 = month14.equals((java.lang.Object)serialDate29);
    org.jfree.data.time.SerialDate serialDate31 = org.jfree.data.time.SerialDate.addMonths((-458), serialDate29);
    org.jfree.data.time.SerialDate serialDate32 = org.jfree.data.time.SerialDate.addDays(2, serialDate31);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate33 = org.jfree.data.time.SerialDate.getNearestDayOfWeek((-457), serialDate32);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "February 10"+ "'", str25.equals("February 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate32);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.weekInMonthToString(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "First"+ "'", str1.equals("First"));

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    java.lang.String str56 = timeSeries55.getDescription();
    java.lang.Class clazz58 = null;
    org.jfree.data.time.TimeSeries timeSeries59 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz58);
    java.lang.String str60 = timeSeries59.getDescription();
    java.lang.Class clazz62 = null;
    org.jfree.data.time.TimeSeries timeSeries63 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz62);
    java.lang.String str64 = timeSeries63.getDescription();
    timeSeries63.setKey((java.lang.Comparable)10.0f);
    timeSeries63.setKey((java.lang.Comparable)0.0d);
    java.lang.String str69 = timeSeries63.getDescription();
    java.util.Collection collection70 = timeSeries59.getTimePeriodsUniqueToOtherSeries(timeSeries63);
    org.jfree.data.time.Day day71 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod72 = day71.next();
    org.jfree.data.time.FixedMillisecond fixedMillisecond74 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod75 = fixedMillisecond74.previous();
    org.jfree.data.time.TimeSeries timeSeries76 = timeSeries63.createCopy(regularTimePeriod72, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond74);
    org.jfree.data.time.FixedMillisecond fixedMillisecond78 = new org.jfree.data.time.FixedMillisecond(10L);
    long long79 = fixedMillisecond78.getLastMillisecond();
    long long80 = fixedMillisecond78.getMiddleMillisecond();
    java.util.Calendar calendar81 = null;
    long long82 = fixedMillisecond78.getFirstMillisecond(calendar81);
    java.util.Date date83 = fixedMillisecond78.getEnd();
    org.jfree.data.time.Year year84 = new org.jfree.data.time.Year(date83);
    long long85 = year84.getLastMillisecond();
    org.jfree.data.time.FixedMillisecond fixedMillisecond87 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod88 = fixedMillisecond87.previous();
    org.jfree.data.time.TimeSeries timeSeries89 = timeSeries63.createCopy((org.jfree.data.time.RegularTimePeriod)year84, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond87);
    org.jfree.data.time.TimeSeries timeSeries90 = timeSeries55.addAndOrUpdate(timeSeries89);
    org.jfree.data.time.FixedMillisecond fixedMillisecond92 = new org.jfree.data.time.FixedMillisecond(10L);
    long long93 = fixedMillisecond92.getLastMillisecond();
    long long94 = fixedMillisecond92.getMiddleMillisecond();
    java.util.Calendar calendar95 = null;
    long long96 = fixedMillisecond92.getFirstMillisecond(calendar95);
    long long97 = fixedMillisecond92.getFirstMillisecond();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod98 = fixedMillisecond92.previous();
    timeSeries90.delete((org.jfree.data.time.RegularTimePeriod)fixedMillisecond92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long79 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long80 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long82 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long85 == 28799999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long93 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long94 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long96 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long97 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod98);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable8 = timeSeries2.getKey();
    timeSeries2.clear();
    org.jfree.data.time.Day day10 = new org.jfree.data.time.Day();
    java.lang.Number number11 = timeSeries2.getValue((org.jfree.data.time.RegularTimePeriod)day10);
    boolean b12 = timeSeries2.getNotify();
    timeSeries2.setDomainDescription("Value");
    java.lang.String str15 = timeSeries2.getDescription();
    org.jfree.data.time.FixedMillisecond fixedMillisecond17 = new org.jfree.data.time.FixedMillisecond(10L);
    long long18 = fixedMillisecond17.getLastMillisecond();
    long long19 = fixedMillisecond17.getMiddleMillisecond();
    java.util.Calendar calendar20 = null;
    long long21 = fixedMillisecond17.getFirstMillisecond(calendar20);
    java.util.Date date22 = fixedMillisecond17.getEnd();
    org.jfree.data.time.Year year23 = new org.jfree.data.time.Year(date22);
    long long24 = year23.getLastMillisecond();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem26 = timeSeries2.addOrUpdate((org.jfree.data.time.RegularTimePeriod)year23, (java.lang.Number)1451635200000L);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries29 = timeSeries2.createCopy(520764324, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable8 + "' != '" + 0.0d+ "'", comparable8.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == 28799999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem26);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    org.jfree.data.time.SerialDate serialDate1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.addYears(9999, serialDate1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    int i1 = org.jfree.data.time.SerialDate.stringToWeekdayCode("Time");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    java.lang.String str6 = timeSeries2.getDescription();
    java.util.List list7 = timeSeries2.getItems();
    org.jfree.data.time.Year year8 = new org.jfree.data.time.Year();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem9 = timeSeries2.getDataItem((org.jfree.data.time.RegularTimePeriod)year8);
    java.lang.Class clazz11 = null;
    org.jfree.data.time.TimeSeries timeSeries12 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz11);
    java.lang.String str13 = timeSeries12.getDescription();
    timeSeries12.setNotify(false);
    timeSeries12.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz19 = null;
    org.jfree.data.time.TimeSeries timeSeries20 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz19);
    java.lang.String str21 = timeSeries20.getDescription();
    org.jfree.data.time.Month month24 = new org.jfree.data.time.Month(2, 10);
    boolean b26 = month24.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month29 = new org.jfree.data.time.Month(2, 10);
    boolean b31 = month29.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries32 = timeSeries20.createCopy((org.jfree.data.time.RegularTimePeriod)month24, (org.jfree.data.time.RegularTimePeriod)month29);
    timeSeries12.delete((org.jfree.data.time.RegularTimePeriod)month24);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem35 = timeSeries2.addOrUpdate((org.jfree.data.time.RegularTimePeriod)month24, 0.0d);
    org.jfree.data.time.FixedMillisecond fixedMillisecond37 = new org.jfree.data.time.FixedMillisecond(10L);
    long long38 = fixedMillisecond37.getLastMillisecond();
    long long39 = fixedMillisecond37.getMiddleMillisecond();
    boolean b41 = fixedMillisecond37.equals((java.lang.Object)6);
    java.util.Calendar calendar42 = null;
    long long43 = fixedMillisecond37.getLastMillisecond(calendar42);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod44 = fixedMillisecond37.next();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(regularTimePeriod44, 100.0d, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long38 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long39 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long43 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod44);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month1 = org.jfree.data.time.Month.parseMonth("1969");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month1 = org.jfree.data.time.Month.parseMonth("Nearest");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.beans.PropertyChangeListener propertyChangeListener14 = null;
    timeSeries6.removePropertyChangeListener(propertyChangeListener14);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    java.util.Date date31 = month22.getEnd();
    long long32 = month22.getMiddleMillisecond();
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(2, 10);
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month35);
    long long37 = month35.getSerialIndex();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year38 = month35.getYear();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long37 == 122L);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.beans.PropertyChangeListener propertyChangeListener14 = null;
    timeSeries6.removePropertyChangeListener(propertyChangeListener14);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    java.util.Date date31 = month22.getEnd();
    long long32 = month22.getMiddleMillisecond();
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(2, 10);
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month35);
    timeSeries6.setNotify(false);
    java.util.List list39 = timeSeries6.getItems();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem40 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries6.add(timeSeriesDataItem40, false);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list39);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    long long1 = year0.getSerialIndex();
    long long2 = year0.getFirstMillisecond();
    long long3 = year0.getMiddleMillisecond();
    java.util.Calendar calendar4 = null;
    // The following exception was thrown during execution in test generation
    try {
      year0.peg(calendar4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2016L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1451635200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 1467446399999L);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    org.jfree.data.time.Month month10 = new org.jfree.data.time.Month(2, 10);
    boolean b12 = month10.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month15 = new org.jfree.data.time.Month(2, 10);
    boolean b17 = month15.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries18 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)month10, (org.jfree.data.time.RegularTimePeriod)month15);
    java.lang.Number number19 = timeSeries2.getValue((org.jfree.data.time.RegularTimePeriod)month15);
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    java.lang.String str25 = month22.toString();
    java.lang.Class clazz27 = null;
    org.jfree.data.time.TimeSeries timeSeries28 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz27);
    java.lang.String str29 = timeSeries28.getDescription();
    timeSeries28.setKey((java.lang.Comparable)10.0f);
    timeSeries28.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz35 = null;
    org.jfree.data.time.TimeSeries timeSeries36 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz35);
    java.lang.String str37 = timeSeries36.getDescription();
    timeSeries36.setNotify(false);
    timeSeries36.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz43 = null;
    org.jfree.data.time.TimeSeries timeSeries44 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz43);
    java.lang.String str45 = timeSeries44.getDescription();
    org.jfree.data.time.Month month48 = new org.jfree.data.time.Month(2, 10);
    boolean b50 = month48.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month53 = new org.jfree.data.time.Month(2, 10);
    boolean b55 = month53.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries56 = timeSeries44.createCopy((org.jfree.data.time.RegularTimePeriod)month48, (org.jfree.data.time.RegularTimePeriod)month53);
    timeSeries36.delete((org.jfree.data.time.RegularTimePeriod)month48);
    java.lang.Class clazz59 = null;
    org.jfree.data.time.TimeSeries timeSeries60 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz59);
    java.lang.String str61 = timeSeries60.getDescription();
    org.jfree.data.time.Month month64 = new org.jfree.data.time.Month(2, 10);
    boolean b66 = month64.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month69 = new org.jfree.data.time.Month(2, 10);
    boolean b71 = month69.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries72 = timeSeries60.createCopy((org.jfree.data.time.RegularTimePeriod)month64, (org.jfree.data.time.RegularTimePeriod)month69);
    org.jfree.data.time.Month month75 = new org.jfree.data.time.Month(2, 10);
    boolean b77 = month75.equals((java.lang.Object)(short)10);
    int i78 = month69.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem80 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month69, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries81 = timeSeries28.createCopy((org.jfree.data.time.RegularTimePeriod)month48, (org.jfree.data.time.RegularTimePeriod)month69);
    boolean b82 = month22.equals((java.lang.Object)timeSeries28);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)month22, (-1.0d), false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "February 10"+ "'", str25.equals("February 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    java.lang.Class clazz4 = null;
    org.jfree.data.time.TimeSeries timeSeries5 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz4);
    java.lang.String str6 = timeSeries5.getDescription();
    timeSeries5.setKey((java.lang.Comparable)10.0f);
    timeSeries5.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable11 = timeSeries5.getKey();
    timeSeries5.clear();
    org.jfree.data.time.Day day13 = new org.jfree.data.time.Day();
    java.lang.Number number14 = timeSeries5.getValue((org.jfree.data.time.RegularTimePeriod)day13);
    org.jfree.data.time.SerialDate serialDate15 = day13.getSerialDate();
    org.jfree.data.time.SerialDate serialDate16 = org.jfree.data.time.SerialDate.addDays(9999, serialDate15);
    org.jfree.data.time.SerialDate serialDate17 = org.jfree.data.time.SerialDate.getFollowingDayOfWeek(5, serialDate16);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate18 = org.jfree.data.time.SerialDate.getFollowingDayOfWeek(9999, serialDate16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable11 + "' != '" + 0.0d+ "'", comparable11.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate17);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = org.jfree.data.time.SerialDate.createInstance(12, (-457), 12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.jfree.data.time.RegularTimePeriod regularTimePeriod0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem2 = new org.jfree.data.time.TimeSeriesDataItem(regularTimePeriod0, (java.lang.Number)1900);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.FixedMillisecond fixedMillisecond5 = new org.jfree.data.time.FixedMillisecond(10L);
    long long6 = fixedMillisecond5.getLastMillisecond();
    long long7 = fixedMillisecond5.getMiddleMillisecond();
    java.util.Calendar calendar8 = null;
    long long9 = fixedMillisecond5.getFirstMillisecond(calendar8);
    java.util.Date date10 = fixedMillisecond5.getEnd();
    org.jfree.data.time.SerialDate serialDate11 = org.jfree.data.time.SerialDate.createInstance(date10);
    boolean b12 = spreadsheetDate3.isAfter(serialDate11);
    int i13 = spreadsheetDate3.getDayOfMonth();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate15 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.FixedMillisecond fixedMillisecond17 = new org.jfree.data.time.FixedMillisecond(10L);
    long long18 = fixedMillisecond17.getLastMillisecond();
    long long19 = fixedMillisecond17.getMiddleMillisecond();
    java.util.Calendar calendar20 = null;
    long long21 = fixedMillisecond17.getFirstMillisecond(calendar20);
    java.util.Date date22 = fixedMillisecond17.getEnd();
    org.jfree.data.time.SerialDate serialDate23 = org.jfree.data.time.SerialDate.createInstance(date22);
    boolean b24 = spreadsheetDate15.isAfter(serialDate23);
    int i25 = spreadsheetDate15.getDayOfMonth();
    boolean b26 = spreadsheetDate3.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate15);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate28 = new org.jfree.data.time.SpreadsheetDate(1969);
    boolean b29 = spreadsheetDate3.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate28);
    boolean b30 = spreadsheetDate1.isOnOrBefore((org.jfree.data.time.SerialDate)spreadsheetDate3);
    int i31 = spreadsheetDate3.getDayOfWeek();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate33 = spreadsheetDate3.getNearestDayOfWeek(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 7);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(1969);
    int i2 = spreadsheetDate1.getDayOfWeek();
    org.jfree.data.time.SerialDate serialDate3 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b4 = spreadsheetDate1.isBefore(serialDate3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test415() {}
// Defects4J: flaky method
//   @Test
//   public void test415() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }
// 
// 
//     org.jfree.data.time.Day day0 = new org.jfree.data.time.Day();
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day0, clazz1);
//     int i3 = day0.getDayOfMonth();
//     long long4 = day0.getLastMillisecond();
//     java.util.Calendar calendar5 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long6 = day0.getMiddleMillisecond(calendar5);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 1456127999999L);
// 
//   }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    timeSeries14.removeAgedItems(false);
    timeSeries14.clear();
    java.lang.Class clazz19 = null;
    org.jfree.data.time.TimeSeries timeSeries20 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz19);
    java.lang.String str21 = timeSeries20.getDescription();
    org.jfree.data.time.Month month24 = new org.jfree.data.time.Month(2, 10);
    boolean b26 = month24.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month29 = new org.jfree.data.time.Month(2, 10);
    boolean b31 = month29.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries32 = timeSeries20.createCopy((org.jfree.data.time.RegularTimePeriod)month24, (org.jfree.data.time.RegularTimePeriod)month29);
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(2, 10);
    boolean b37 = month35.equals((java.lang.Object)(short)10);
    int i38 = month29.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem40 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month29, (java.lang.Number)10L);
    int i42 = timeSeriesDataItem40.compareTo((java.lang.Object)10);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries14.add(timeSeriesDataItem40, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    boolean b7 = timeSeries2.equals((java.lang.Object)(-61847856000001L));
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    java.lang.Class clazz13 = null;
    org.jfree.data.time.TimeSeries timeSeries14 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz13);
    java.lang.String str15 = timeSeries14.getDescription();
    timeSeries14.setKey((java.lang.Comparable)10.0f);
    timeSeries14.setKey((java.lang.Comparable)0.0d);
    java.lang.String str20 = timeSeries14.getDescription();
    java.util.Collection collection21 = timeSeries10.getTimePeriodsUniqueToOtherSeries(timeSeries14);
    java.util.List list22 = timeSeries10.getItems();
    org.jfree.data.time.TimeSeries timeSeries23 = timeSeries2.addAndOrUpdate(timeSeries10);
    timeSeries2.setNotify(true);
    java.beans.PropertyChangeListener propertyChangeListener26 = null;
    timeSeries2.addPropertyChangeListener(propertyChangeListener26);
    java.beans.PropertyChangeListener propertyChangeListener28 = null;
    timeSeries2.addPropertyChangeListener(propertyChangeListener28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries23);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    boolean b7 = timeSeries2.equals((java.lang.Object)(-61847856000001L));
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    java.lang.Class clazz13 = null;
    org.jfree.data.time.TimeSeries timeSeries14 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz13);
    java.lang.String str15 = timeSeries14.getDescription();
    timeSeries14.setKey((java.lang.Comparable)10.0f);
    timeSeries14.setKey((java.lang.Comparable)0.0d);
    java.lang.String str20 = timeSeries14.getDescription();
    java.util.Collection collection21 = timeSeries10.getTimePeriodsUniqueToOtherSeries(timeSeries14);
    java.util.List list22 = timeSeries10.getItems();
    org.jfree.data.time.TimeSeries timeSeries23 = timeSeries2.addAndOrUpdate(timeSeries10);
    boolean b24 = timeSeries10.isEmpty();
    boolean b25 = timeSeries10.isEmpty();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries28 = timeSeries10.createCopy(1, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.jfree.data.time.SerialDate.weekdayCodeToString(11);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    long long1 = year0.getSerialIndex();
    java.lang.String str2 = year0.toString();
    java.lang.Class clazz4 = null;
    org.jfree.data.time.TimeSeries timeSeries5 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz4);
    java.lang.String str6 = timeSeries5.getDescription();
    org.jfree.data.time.Month month9 = new org.jfree.data.time.Month(2, 10);
    boolean b11 = month9.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month14 = new org.jfree.data.time.Month(2, 10);
    boolean b16 = month14.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries17 = timeSeries5.createCopy((org.jfree.data.time.RegularTimePeriod)month9, (org.jfree.data.time.RegularTimePeriod)month14);
    boolean b18 = year0.equals((java.lang.Object)timeSeries17);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem20 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year0, 0.0d);
    timeSeriesDataItem20.setValue((java.lang.Number)520764324);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2016L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "2016"+ "'", str2.equals("2016"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = org.jfree.data.time.SerialDate.createInstance(100, 13, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test422() {}
// Defects4J: flaky method
//   @Test
//   public void test422() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }
// 
// 
//     org.jfree.data.time.Day day0 = new org.jfree.data.time.Day();
//     long long1 = day0.getSerialIndex();
//     java.util.Calendar calendar2 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       day0.peg(calendar2);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long1 == 42421L);
// 
//   }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.TimeSeries timeSeries58 = timeSeries55.createCopy(10, 9999);
    java.lang.Class clazz60 = null;
    org.jfree.data.time.TimeSeries timeSeries61 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz60);
    java.lang.String str62 = timeSeries61.getDescription();
    timeSeries61.setNotify(false);
    timeSeries61.setKey((java.lang.Comparable)(byte)100);
    timeSeries61.fireSeriesChanged();
    org.jfree.data.general.SeriesChangeListener seriesChangeListener68 = null;
    timeSeries61.removeChangeListener(seriesChangeListener68);
    boolean b70 = timeSeries58.equals((java.lang.Object)timeSeries61);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries61.removeAgedItems(1483257599999L, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    int i1 = org.jfree.data.time.SerialDate.stringToWeekdayCode("21-February-2016");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.lang.Class clazz14 = timeSeries6.getTimePeriodClass();
    org.jfree.data.general.SeriesChangeListener seriesChangeListener15 = null;
    timeSeries6.removeChangeListener(seriesChangeListener15);
    timeSeries6.setRangeDescription("Time");
    org.jfree.data.time.FixedMillisecond fixedMillisecond20 = new org.jfree.data.time.FixedMillisecond(10L);
    long long21 = fixedMillisecond20.getLastMillisecond();
    long long22 = fixedMillisecond20.getMiddleMillisecond();
    java.util.Calendar calendar23 = null;
    long long24 = fixedMillisecond20.getFirstMillisecond(calendar23);
    timeSeries6.setKey((java.lang.Comparable)long24);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries28 = timeSeries6.createCopy(2958465, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(clazz14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == 10L);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod1 = year0.previous();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod2 = year0.previous();
    long long3 = year0.getFirstMillisecond();
    org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)year0);
    timeSeries4.setRangeDescription("February 10");
    org.jfree.data.time.Month month9 = new org.jfree.data.time.Month(2, 10);
    boolean b11 = month9.equals((java.lang.Object)(short)10);
    int i12 = month9.getMonth();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries4.add((org.jfree.data.time.RegularTimePeriod)month9, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException");
    } catch (org.jfree.data.general.SeriesException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.general.SeriesException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 1451635200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidMonthCode(2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getEnd();
    long long16 = month6.getMiddleMillisecond();
    java.lang.Class clazz18 = null;
    org.jfree.data.time.TimeSeries timeSeries19 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz18);
    java.lang.String str20 = timeSeries19.getDescription();
    timeSeries19.setKey((java.lang.Comparable)10.0f);
    timeSeries19.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz26 = null;
    org.jfree.data.time.TimeSeries timeSeries27 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz26);
    java.lang.String str28 = timeSeries27.getDescription();
    timeSeries27.setNotify(false);
    timeSeries27.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz34 = null;
    org.jfree.data.time.TimeSeries timeSeries35 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz34);
    java.lang.String str36 = timeSeries35.getDescription();
    org.jfree.data.time.Month month39 = new org.jfree.data.time.Month(2, 10);
    boolean b41 = month39.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month44 = new org.jfree.data.time.Month(2, 10);
    boolean b46 = month44.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries47 = timeSeries35.createCopy((org.jfree.data.time.RegularTimePeriod)month39, (org.jfree.data.time.RegularTimePeriod)month44);
    timeSeries27.delete((org.jfree.data.time.RegularTimePeriod)month39);
    java.lang.Class clazz50 = null;
    org.jfree.data.time.TimeSeries timeSeries51 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz50);
    java.lang.String str52 = timeSeries51.getDescription();
    org.jfree.data.time.Month month55 = new org.jfree.data.time.Month(2, 10);
    boolean b57 = month55.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month60 = new org.jfree.data.time.Month(2, 10);
    boolean b62 = month60.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries63 = timeSeries51.createCopy((org.jfree.data.time.RegularTimePeriod)month55, (org.jfree.data.time.RegularTimePeriod)month60);
    org.jfree.data.time.Month month66 = new org.jfree.data.time.Month(2, 10);
    boolean b68 = month66.equals((java.lang.Object)(short)10);
    int i69 = month60.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem71 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month60, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries72 = timeSeries19.createCopy((org.jfree.data.time.RegularTimePeriod)month39, (org.jfree.data.time.RegularTimePeriod)month60);
    boolean b73 = month6.equals((java.lang.Object)month60);
    java.lang.Class clazz75 = null;
    org.jfree.data.time.TimeSeries timeSeries76 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz75);
    java.lang.String str77 = timeSeries76.getDescription();
    org.jfree.data.time.Month month80 = new org.jfree.data.time.Month(2, 10);
    boolean b82 = month80.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month85 = new org.jfree.data.time.Month(2, 10);
    boolean b87 = month85.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries88 = timeSeries76.createCopy((org.jfree.data.time.RegularTimePeriod)month80, (org.jfree.data.time.RegularTimePeriod)month85);
    org.jfree.data.time.Month month91 = new org.jfree.data.time.Month(2, 10);
    boolean b93 = month91.equals((java.lang.Object)(short)10);
    int i94 = month85.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem96 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month85, (java.lang.Number)100.0d);
    boolean b97 = month60.equals((java.lang.Object)100.0d);
    java.util.Date date98 = month60.getStart();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day99 = new org.jfree.data.time.Day(date98);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i94 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b97 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date98);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount(30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-452));

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month1 = org.jfree.data.time.Month.parseMonth("org.jfree.data.general.SeriesException: hi!");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setNotify(false);
    java.lang.String str6 = timeSeries2.getDomainDescription();
    timeSeries2.fireSeriesChanged();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Time"+ "'", str6.equals("Time"));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    java.lang.String str56 = timeSeries55.getDescription();
    java.util.Collection collection57 = timeSeries55.getTimePeriods();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod58 = timeSeries55.getNextTimePeriod();
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection57);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.jfree.data.time.SerialDate.weekdayCodeToString(12);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    timeSeries2.setDescription("");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem12 = timeSeries2.addOrUpdate(regularTimePeriod10, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    boolean b7 = timeSeries2.equals((java.lang.Object)(-61847856000001L));
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    java.lang.Class clazz13 = null;
    org.jfree.data.time.TimeSeries timeSeries14 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz13);
    java.lang.String str15 = timeSeries14.getDescription();
    timeSeries14.setKey((java.lang.Comparable)10.0f);
    timeSeries14.setKey((java.lang.Comparable)0.0d);
    java.lang.String str20 = timeSeries14.getDescription();
    java.util.Collection collection21 = timeSeries10.getTimePeriodsUniqueToOtherSeries(timeSeries14);
    java.util.List list22 = timeSeries10.getItems();
    org.jfree.data.time.TimeSeries timeSeries23 = timeSeries2.addAndOrUpdate(timeSeries10);
    java.beans.PropertyChangeListener propertyChangeListener24 = null;
    timeSeries2.addPropertyChangeListener(propertyChangeListener24);
    java.util.List list26 = timeSeries2.getItems();
    org.jfree.data.general.SeriesChangeListener seriesChangeListener27 = null;
    timeSeries2.addChangeListener(seriesChangeListener27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list26);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    timeSeries2.setDescription("");
    org.jfree.data.time.FixedMillisecond fixedMillisecond17 = new org.jfree.data.time.FixedMillisecond(10L);
    long long18 = fixedMillisecond17.getLastMillisecond();
    long long19 = fixedMillisecond17.getMiddleMillisecond();
    java.util.Calendar calendar20 = null;
    long long21 = fixedMillisecond17.getFirstMillisecond(calendar20);
    java.util.Date date22 = fixedMillisecond17.getEnd();
    org.jfree.data.time.Year year23 = new org.jfree.data.time.Year(date22);
    long long24 = year23.getLastMillisecond();
    java.lang.Class clazz26 = null;
    org.jfree.data.time.TimeSeries timeSeries27 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz26);
    java.lang.String str28 = timeSeries27.getDescription();
    org.jfree.data.time.Month month31 = new org.jfree.data.time.Month(2, 10);
    boolean b33 = month31.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month36 = new org.jfree.data.time.Month(2, 10);
    boolean b38 = month36.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries39 = timeSeries27.createCopy((org.jfree.data.time.RegularTimePeriod)month31, (org.jfree.data.time.RegularTimePeriod)month36);
    org.jfree.data.time.Month month42 = new org.jfree.data.time.Month(2, 10);
    boolean b44 = month42.equals((java.lang.Object)(short)10);
    int i45 = month36.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem47 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month36, (java.lang.Number)100.0d);
    java.lang.Object obj48 = null;
    int i49 = timeSeriesDataItem47.compareTo(obj48);
    boolean b50 = year23.equals((java.lang.Object)timeSeriesDataItem47);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(timeSeriesDataItem47, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == 28799999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    org.jfree.data.time.Day day1 = org.jfree.data.time.Day.parseDay("org.jfree.data.time.TimePeriodFormatException: ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(day1);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable8 = timeSeries2.getKey();
    timeSeries2.clear();
    org.jfree.data.time.Day day10 = new org.jfree.data.time.Day();
    java.lang.Number number11 = timeSeries2.getValue((org.jfree.data.time.RegularTimePeriod)day10);
    org.jfree.data.time.SerialDate serialDate12 = day10.getSerialDate();
    org.jfree.data.time.SerialDate serialDate13 = day10.getSerialDate();
    java.lang.String str14 = serialDate13.getDescription();
    org.jfree.data.time.TimeSeries timeSeries15 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)serialDate13);
    timeSeries15.removeAgedItems(true);
    java.lang.String str18 = timeSeries15.getRangeDescription();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable8 + "' != '" + 0.0d+ "'", comparable8.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "Value"+ "'", str18.equals("Value"));

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate2 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate4 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.FixedMillisecond fixedMillisecond6 = new org.jfree.data.time.FixedMillisecond(10L);
    long long7 = fixedMillisecond6.getLastMillisecond();
    long long8 = fixedMillisecond6.getMiddleMillisecond();
    java.util.Calendar calendar9 = null;
    long long10 = fixedMillisecond6.getFirstMillisecond(calendar9);
    java.util.Date date11 = fixedMillisecond6.getEnd();
    org.jfree.data.time.SerialDate serialDate12 = org.jfree.data.time.SerialDate.createInstance(date11);
    boolean b13 = spreadsheetDate4.isAfter(serialDate12);
    int i14 = spreadsheetDate4.getDayOfMonth();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate16 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.FixedMillisecond fixedMillisecond18 = new org.jfree.data.time.FixedMillisecond(10L);
    long long19 = fixedMillisecond18.getLastMillisecond();
    long long20 = fixedMillisecond18.getMiddleMillisecond();
    java.util.Calendar calendar21 = null;
    long long22 = fixedMillisecond18.getFirstMillisecond(calendar21);
    java.util.Date date23 = fixedMillisecond18.getEnd();
    org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(date23);
    boolean b25 = spreadsheetDate16.isAfter(serialDate24);
    int i26 = spreadsheetDate16.getDayOfMonth();
    boolean b27 = spreadsheetDate4.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate16);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate29 = new org.jfree.data.time.SpreadsheetDate(1969);
    boolean b30 = spreadsheetDate4.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate29);
    boolean b31 = spreadsheetDate2.isOnOrBefore((org.jfree.data.time.SerialDate)spreadsheetDate4);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate32 = org.jfree.data.time.SerialDate.addYears((-452), (org.jfree.data.time.SerialDate)spreadsheetDate2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.beans.PropertyChangeListener propertyChangeListener14 = null;
    timeSeries6.removePropertyChangeListener(propertyChangeListener14);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    java.util.Date date31 = month22.getEnd();
    long long32 = month22.getMiddleMillisecond();
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(2, 10);
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month35);
    timeSeries36.fireSeriesChanged();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod39 = timeSeries36.getTimePeriod(7);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.FixedMillisecond fixedMillisecond3 = new org.jfree.data.time.FixedMillisecond(10L);
    long long4 = fixedMillisecond3.getLastMillisecond();
    long long5 = fixedMillisecond3.getMiddleMillisecond();
    java.util.Calendar calendar6 = null;
    long long7 = fixedMillisecond3.getFirstMillisecond(calendar6);
    java.util.Date date8 = fixedMillisecond3.getEnd();
    org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.createInstance(date8);
    boolean b10 = spreadsheetDate1.isAfter(serialDate9);
    int i11 = spreadsheetDate1.getDayOfMonth();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate13 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.FixedMillisecond fixedMillisecond15 = new org.jfree.data.time.FixedMillisecond(10L);
    long long16 = fixedMillisecond15.getLastMillisecond();
    long long17 = fixedMillisecond15.getMiddleMillisecond();
    java.util.Calendar calendar18 = null;
    long long19 = fixedMillisecond15.getFirstMillisecond(calendar18);
    java.util.Date date20 = fixedMillisecond15.getEnd();
    org.jfree.data.time.SerialDate serialDate21 = org.jfree.data.time.SerialDate.createInstance(date20);
    boolean b22 = spreadsheetDate13.isAfter(serialDate21);
    int i23 = spreadsheetDate13.getDayOfMonth();
    boolean b24 = spreadsheetDate1.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate13);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate26 = new org.jfree.data.time.SpreadsheetDate(1969);
    boolean b27 = spreadsheetDate1.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate26);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate29 = spreadsheetDate26.getFollowingDayOfWeek(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    int i20 = month11.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem22 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month11, (java.lang.Number)100.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year23 = month11.getYear();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.TimeSeries timeSeries58 = timeSeries55.createCopy(10, 9999);
    java.beans.PropertyChangeListener propertyChangeListener59 = null;
    timeSeries58.removePropertyChangeListener(propertyChangeListener59);
    java.lang.Class clazz62 = null;
    org.jfree.data.time.TimeSeries timeSeries63 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz62);
    java.lang.String str64 = timeSeries63.getDescription();
    org.jfree.data.time.Month month67 = new org.jfree.data.time.Month(2, 10);
    boolean b69 = month67.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month72 = new org.jfree.data.time.Month(2, 10);
    boolean b74 = month72.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries75 = timeSeries63.createCopy((org.jfree.data.time.RegularTimePeriod)month67, (org.jfree.data.time.RegularTimePeriod)month72);
    java.util.Date date76 = month67.getStart();
    org.jfree.data.time.TimeSeries timeSeries77 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)month67);
    org.jfree.data.time.TimeSeries timeSeries78 = timeSeries58.addAndOrUpdate(timeSeries77);
    java.beans.PropertyChangeListener propertyChangeListener79 = null;
    timeSeries77.removePropertyChangeListener(propertyChangeListener79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries78);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekdayCode(7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    int i1 = org.jfree.data.time.SerialDate.stringToWeekdayCode("1969");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    org.jfree.data.time.Day day14 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod15 = day14.next();
    org.jfree.data.time.FixedMillisecond fixedMillisecond17 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod18 = fixedMillisecond17.previous();
    org.jfree.data.time.TimeSeries timeSeries19 = timeSeries6.createCopy(regularTimePeriod15, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond17);
    org.jfree.data.time.FixedMillisecond fixedMillisecond21 = new org.jfree.data.time.FixedMillisecond(10L);
    long long22 = fixedMillisecond21.getLastMillisecond();
    long long23 = fixedMillisecond21.getMiddleMillisecond();
    java.util.Calendar calendar24 = null;
    long long25 = fixedMillisecond21.getFirstMillisecond(calendar24);
    java.util.Date date26 = fixedMillisecond21.getEnd();
    org.jfree.data.time.Year year27 = new org.jfree.data.time.Year(date26);
    long long28 = year27.getLastMillisecond();
    org.jfree.data.time.FixedMillisecond fixedMillisecond30 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod31 = fixedMillisecond30.previous();
    org.jfree.data.time.TimeSeries timeSeries32 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)year27, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond30);
    java.lang.Class clazz34 = null;
    org.jfree.data.time.TimeSeries timeSeries35 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz34);
    java.lang.String str36 = timeSeries35.getDescription();
    org.jfree.data.time.Month month39 = new org.jfree.data.time.Month(2, 10);
    boolean b41 = month39.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month44 = new org.jfree.data.time.Month(2, 10);
    boolean b46 = month44.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries47 = timeSeries35.createCopy((org.jfree.data.time.RegularTimePeriod)month39, (org.jfree.data.time.RegularTimePeriod)month44);
    org.jfree.data.time.Month month50 = new org.jfree.data.time.Month(2, 10);
    boolean b52 = month50.equals((java.lang.Object)(short)10);
    int i53 = month44.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem55 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month44, (java.lang.Number)10L);
    timeSeriesDataItem55.setValue((java.lang.Number)0.0d);
    java.lang.Number number58 = timeSeriesDataItem55.getValue();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod59 = timeSeriesDataItem55.getPeriod();
    java.lang.Number number60 = timeSeriesDataItem55.getValue();
    java.lang.Class clazz62 = null;
    org.jfree.data.time.TimeSeries timeSeries63 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz62);
    java.lang.String str64 = timeSeries63.getDescription();
    java.lang.Class clazz66 = null;
    org.jfree.data.time.TimeSeries timeSeries67 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz66);
    java.lang.String str68 = timeSeries67.getDescription();
    timeSeries67.setKey((java.lang.Comparable)10.0f);
    timeSeries67.setKey((java.lang.Comparable)0.0d);
    java.lang.String str73 = timeSeries67.getDescription();
    java.util.Collection collection74 = timeSeries63.getTimePeriodsUniqueToOtherSeries(timeSeries67);
    org.jfree.data.time.Day day75 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod76 = day75.next();
    org.jfree.data.time.FixedMillisecond fixedMillisecond78 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod79 = fixedMillisecond78.previous();
    org.jfree.data.time.TimeSeries timeSeries80 = timeSeries67.createCopy(regularTimePeriod76, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond78);
    org.jfree.data.time.FixedMillisecond fixedMillisecond82 = new org.jfree.data.time.FixedMillisecond((-1L));
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem83 = timeSeries80.getDataItem((org.jfree.data.time.RegularTimePeriod)fixedMillisecond82);
    boolean b84 = timeSeriesDataItem55.equals((java.lang.Object)fixedMillisecond82);
    java.lang.Number number85 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries32.add((org.jfree.data.time.RegularTimePeriod)fixedMillisecond82, number85, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 28799999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number58 + "' != '" + 0.0d+ "'", number58.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number60 + "' != '" + 0.0d+ "'", number60.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);

  }

  @Test
  public void test447() {}
// Defects4J: flaky method
//   @Test
//   public void test447() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
//     java.lang.String str3 = timeSeries2.getDescription();
//     timeSeries2.setKey((java.lang.Comparable)10.0f);
//     timeSeries2.setKey((java.lang.Comparable)0.0d);
//     java.lang.Comparable comparable8 = timeSeries2.getKey();
//     timeSeries2.clear();
//     org.jfree.data.time.Day day10 = new org.jfree.data.time.Day();
//     java.lang.Number number11 = timeSeries2.getValue((org.jfree.data.time.RegularTimePeriod)day10);
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod12 = day10.previous();
//     java.util.TimeZone timeZone13 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     int i14 = day10.compareTo((java.lang.Object)timeZone13);
//     int i15 = day10.getMonth();
//     java.lang.String str16 = day10.toString();
//     java.util.Calendar calendar17 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long18 = day10.getLastMillisecond(calendar17);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + comparable8 + "' != '" + 0.0d+ "'", comparable8.equals(0.0d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(number11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "21-February-2016"+ "'", str16.equals("21-February-2016"));
// 
//   }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setDescription("Time");
    java.lang.String str6 = timeSeries2.getDescription();
    java.beans.PropertyChangeListener propertyChangeListener7 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener7);
    timeSeries2.setNotify(false);
    java.lang.Class clazz12 = null;
    org.jfree.data.time.TimeSeries timeSeries13 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz12);
    java.lang.String str14 = timeSeries13.getDescription();
    timeSeries13.setKey((java.lang.Comparable)10.0f);
    timeSeries13.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable19 = timeSeries13.getKey();
    java.lang.Class clazz21 = null;
    org.jfree.data.time.TimeSeries timeSeries22 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz21);
    java.lang.String str23 = timeSeries22.getDescription();
    timeSeries22.setNotify(true);
    java.util.List list26 = timeSeries22.getItems();
    org.jfree.data.time.TimeSeries timeSeries27 = timeSeries13.addAndOrUpdate(timeSeries22);
    java.lang.Class clazz29 = null;
    org.jfree.data.time.TimeSeries timeSeries30 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz29);
    java.lang.String str31 = timeSeries30.getDescription();
    org.jfree.data.time.Month month34 = new org.jfree.data.time.Month(2, 10);
    boolean b36 = month34.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month39 = new org.jfree.data.time.Month(2, 10);
    boolean b41 = month39.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries42 = timeSeries30.createCopy((org.jfree.data.time.RegularTimePeriod)month34, (org.jfree.data.time.RegularTimePeriod)month39);
    java.util.Date date43 = month34.getStart();
    org.jfree.data.time.FixedMillisecond fixedMillisecond44 = new org.jfree.data.time.FixedMillisecond(date43);
    org.jfree.data.time.FixedMillisecond fixedMillisecond45 = new org.jfree.data.time.FixedMillisecond(date43);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem47 = timeSeries13.addOrUpdate((org.jfree.data.time.RegularTimePeriod)fixedMillisecond45, (java.lang.Number)(short)10);
    timeSeries13.setMaximumItemCount(10);
    java.util.Collection collection50 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries13);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod51 = timeSeries2.getNextTimePeriod();
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Time"+ "'", str6.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable19 + "' != '" + 0.0d+ "'", comparable19.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection50);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.beans.PropertyChangeListener propertyChangeListener14 = null;
    timeSeries6.removePropertyChangeListener(propertyChangeListener14);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    java.util.Date date31 = month22.getEnd();
    long long32 = month22.getMiddleMillisecond();
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(2, 10);
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month35);
    timeSeries6.setNotify(false);
    java.util.List list39 = timeSeries6.getItems();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries6.delete(3, 8);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list39);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    java.lang.Class clazz4 = null;
    org.jfree.data.time.TimeSeries timeSeries5 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz4);
    java.lang.String str6 = timeSeries5.getDescription();
    org.jfree.data.time.Month month9 = new org.jfree.data.time.Month(2, 10);
    boolean b11 = month9.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month14 = new org.jfree.data.time.Month(2, 10);
    boolean b16 = month14.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries17 = timeSeries5.createCopy((org.jfree.data.time.RegularTimePeriod)month9, (org.jfree.data.time.RegularTimePeriod)month14);
    org.jfree.data.time.Month month20 = new org.jfree.data.time.Month(2, 10);
    boolean b22 = month20.equals((java.lang.Object)(short)10);
    int i23 = month14.compareTo((java.lang.Object)(short)10);
    int i24 = month14.getYearValue();
    java.lang.String str25 = month14.toString();
    org.jfree.data.time.Day day26 = new org.jfree.data.time.Day();
    java.lang.Class clazz27 = null;
    org.jfree.data.time.TimeSeries timeSeries28 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day26, clazz27);
    org.jfree.data.time.SerialDate serialDate29 = day26.getSerialDate();
    boolean b30 = month14.equals((java.lang.Object)serialDate29);
    org.jfree.data.time.SerialDate serialDate31 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(3, serialDate29);
    org.jfree.data.time.SerialDate serialDate32 = org.jfree.data.time.SerialDate.addMonths(100, serialDate31);
    org.jfree.data.time.SerialDate serialDate34 = serialDate32.getFollowingDayOfWeek(1);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate35 = org.jfree.data.time.SerialDate.addYears(520764324, serialDate34);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "February 10"+ "'", str25.equals("February 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate34);

  }

  @Test
  public void test451() {}
// Defects4J: flaky method
//   @Test
//   public void test451() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
//     java.lang.String str3 = timeSeries2.getDescription();
//     timeSeries2.setNotify(false);
//     java.lang.String str6 = timeSeries2.getDescription();
//     java.util.List list7 = timeSeries2.getItems();
//     org.jfree.data.time.Year year8 = new org.jfree.data.time.Year();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem9 = timeSeries2.getDataItem((org.jfree.data.time.RegularTimePeriod)year8);
//     org.jfree.data.time.Day day10 = new org.jfree.data.time.Day();
//     java.lang.Class clazz11 = null;
//     org.jfree.data.time.TimeSeries timeSeries12 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day10, clazz11);
//     int i13 = day10.getDayOfMonth();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem15 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)day10, 1.0d);
//     org.jfree.data.general.SeriesChangeEvent seriesChangeEvent16 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)day10);
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod17 = day10.previous();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem19 = timeSeries2.addOrUpdate((org.jfree.data.time.RegularTimePeriod)day10, (java.lang.Number)0L);
//     java.lang.String str20 = day10.toString();
//     int i21 = day10.getMonth();
//     java.util.Calendar calendar22 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long23 = day10.getFirstMillisecond(calendar22);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(list7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(timeSeriesDataItem9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(timeSeriesDataItem19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str20 + "' != '" + "21-February-2016"+ "'", str20.equals("21-February-2016"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i21 == 2);
// 
//   }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    java.util.Date date15 = month6.getEnd();
    long long16 = month6.getMiddleMillisecond();
    java.util.Calendar calendar17 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long18 = month6.getFirstMillisecond(calendar17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == (-61847856000001L));

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.TimeSeries timeSeries58 = timeSeries55.createCopy(10, 9999);
    java.lang.Class clazz60 = null;
    org.jfree.data.time.TimeSeries timeSeries61 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz60);
    java.lang.String str62 = timeSeries61.getDescription();
    timeSeries61.setNotify(false);
    timeSeries61.setKey((java.lang.Comparable)(byte)100);
    timeSeries61.fireSeriesChanged();
    org.jfree.data.general.SeriesChangeListener seriesChangeListener68 = null;
    timeSeries61.removeChangeListener(seriesChangeListener68);
    boolean b70 = timeSeries58.equals((java.lang.Object)timeSeries61);
    java.beans.PropertyChangeListener propertyChangeListener71 = null;
    timeSeries58.removePropertyChangeListener(propertyChangeListener71);
    java.lang.Class clazz74 = null;
    org.jfree.data.time.TimeSeries timeSeries75 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz74);
    java.lang.String str76 = timeSeries75.getDescription();
    org.jfree.data.time.Month month79 = new org.jfree.data.time.Month(2, 10);
    boolean b81 = month79.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month84 = new org.jfree.data.time.Month(2, 10);
    boolean b86 = month84.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries87 = timeSeries75.createCopy((org.jfree.data.time.RegularTimePeriod)month79, (org.jfree.data.time.RegularTimePeriod)month84);
    org.jfree.data.time.Month month90 = new org.jfree.data.time.Month(2, 10);
    boolean b92 = month90.equals((java.lang.Object)(short)10);
    int i93 = month84.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem95 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month84, (java.lang.Number)10L);
    timeSeriesDataItem95.setValue((java.lang.Number)0.0d);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries58.add(timeSeriesDataItem95);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i93 == 1);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.jfree.data.time.SerialDate.monthCodeToQuarter(9999);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test455() {}
// Defects4J: flaky method
//   @Test
//   public void test455() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
//     java.lang.String str3 = timeSeries2.getDescription();
//     timeSeries2.setKey((java.lang.Comparable)10.0f);
//     boolean b7 = timeSeries2.equals((java.lang.Object)(-61847856000001L));
//     java.lang.Class clazz9 = null;
//     org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
//     java.lang.String str11 = timeSeries10.getDescription();
//     java.lang.Class clazz13 = null;
//     org.jfree.data.time.TimeSeries timeSeries14 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz13);
//     java.lang.String str15 = timeSeries14.getDescription();
//     timeSeries14.setKey((java.lang.Comparable)10.0f);
//     timeSeries14.setKey((java.lang.Comparable)0.0d);
//     java.lang.String str20 = timeSeries14.getDescription();
//     java.util.Collection collection21 = timeSeries10.getTimePeriodsUniqueToOtherSeries(timeSeries14);
//     java.util.List list22 = timeSeries10.getItems();
//     org.jfree.data.time.TimeSeries timeSeries23 = timeSeries2.addAndOrUpdate(timeSeries10);
//     timeSeries23.setMaximumItemCount(2147483647);
//     org.jfree.data.time.Day day26 = new org.jfree.data.time.Day();
//     java.lang.Class clazz27 = null;
//     org.jfree.data.time.TimeSeries timeSeries28 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day26, clazz27);
//     int i29 = day26.getDayOfMonth();
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries23.update((org.jfree.data.time.RegularTimePeriod)day26, (java.lang.Number)6);
//       org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException");
//     } catch (org.jfree.data.general.SeriesException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.jfree.data.general.SeriesException")) {
//         org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b7 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(collection21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(list22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 21);
// 
//   }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    java.lang.Class clazz4 = null;
    org.jfree.data.time.TimeSeries timeSeries5 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz4);
    java.lang.String str6 = timeSeries5.getDescription();
    timeSeries5.setKey((java.lang.Comparable)10.0f);
    timeSeries5.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable11 = timeSeries5.getKey();
    timeSeries5.clear();
    org.jfree.data.time.Day day13 = new org.jfree.data.time.Day();
    java.lang.Number number14 = timeSeries5.getValue((org.jfree.data.time.RegularTimePeriod)day13);
    org.jfree.data.time.SerialDate serialDate15 = day13.getSerialDate();
    org.jfree.data.time.SerialDate serialDate16 = org.jfree.data.time.SerialDate.addDays(9999, serialDate15);
    org.jfree.data.time.SerialDate serialDate17 = org.jfree.data.time.SerialDate.addDays(9999, serialDate15);
    org.jfree.data.time.SerialDate serialDate18 = org.jfree.data.time.SerialDate.addYears(0, serialDate15);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate20 = serialDate15.getNearestDayOfWeek((-45452));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable11 + "' != '" + 0.0d+ "'", comparable11.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate18);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    timeSeries10.setNotify(false);
    timeSeries10.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    timeSeries10.delete((org.jfree.data.time.RegularTimePeriod)month22);
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz33);
    java.lang.String str35 = timeSeries34.getDescription();
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month43 = new org.jfree.data.time.Month(2, 10);
    boolean b45 = month43.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries46 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)month43);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    int i52 = month43.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month43, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries55 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month43);
    java.util.Calendar calendar56 = null;
    // The following exception was thrown during execution in test generation
    try {
      month22.peg(calendar56);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries55);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.FixedMillisecond fixedMillisecond3 = new org.jfree.data.time.FixedMillisecond(10L);
    long long4 = fixedMillisecond3.getLastMillisecond();
    long long5 = fixedMillisecond3.getMiddleMillisecond();
    java.util.Calendar calendar6 = null;
    long long7 = fixedMillisecond3.getFirstMillisecond(calendar6);
    java.util.Date date8 = fixedMillisecond3.getEnd();
    org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.createInstance(date8);
    boolean b10 = spreadsheetDate1.isAfter(serialDate9);
    int i11 = spreadsheetDate1.getDayOfMonth();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate13 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.FixedMillisecond fixedMillisecond15 = new org.jfree.data.time.FixedMillisecond(10L);
    long long16 = fixedMillisecond15.getLastMillisecond();
    long long17 = fixedMillisecond15.getMiddleMillisecond();
    java.util.Calendar calendar18 = null;
    long long19 = fixedMillisecond15.getFirstMillisecond(calendar18);
    java.util.Date date20 = fixedMillisecond15.getEnd();
    org.jfree.data.time.SerialDate serialDate21 = org.jfree.data.time.SerialDate.createInstance(date20);
    boolean b22 = spreadsheetDate13.isAfter(serialDate21);
    int i23 = spreadsheetDate13.getDayOfMonth();
    boolean b24 = spreadsheetDate1.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate13);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate26 = new org.jfree.data.time.SpreadsheetDate(1969);
    boolean b27 = spreadsheetDate1.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate26);
    org.jfree.data.time.SerialDate serialDate28 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b29 = spreadsheetDate26.isOn(serialDate28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    org.jfree.data.time.TimePeriodFormatException timePeriodFormatException1 = new org.jfree.data.time.TimePeriodFormatException("");
    java.lang.Throwable[] throwable_array2 = timePeriodFormatException1.getSuppressed();
    java.lang.String str3 = timePeriodFormatException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.time.TimePeriodFormatException: "+ "'", str3.equals("org.jfree.data.time.TimePeriodFormatException: "));

  }

  @Test
  public void test460() {}
// Defects4J: flaky method
//   @Test
//   public void test460() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }
// 
// 
//     org.jfree.data.time.Day day0 = new org.jfree.data.time.Day();
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day0, clazz1);
//     int i3 = day0.getDayOfMonth();
//     java.util.Calendar calendar4 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long5 = day0.getFirstMillisecond(calendar4);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 21);
// 
//   }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable8 = timeSeries2.getKey();
    timeSeries2.clear();
    java.lang.Class clazz11 = null;
    org.jfree.data.time.TimeSeries timeSeries12 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz11);
    java.lang.String str13 = timeSeries12.getDescription();
    org.jfree.data.time.Month month16 = new org.jfree.data.time.Month(2, 10);
    boolean b18 = month16.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month21 = new org.jfree.data.time.Month(2, 10);
    boolean b23 = month21.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries24 = timeSeries12.createCopy((org.jfree.data.time.RegularTimePeriod)month16, (org.jfree.data.time.RegularTimePeriod)month21);
    long long25 = month16.getMiddleMillisecond();
    java.lang.Number number26 = timeSeries2.getValue((org.jfree.data.time.RegularTimePeriod)month16);
    int i27 = timeSeries2.getMaximumItemCount();
    java.beans.PropertyChangeListener propertyChangeListener28 = null;
    timeSeries2.addPropertyChangeListener(propertyChangeListener28);
    java.beans.PropertyChangeListener propertyChangeListener30 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener30);
    java.beans.PropertyChangeListener propertyChangeListener32 = null;
    timeSeries2.addPropertyChangeListener(propertyChangeListener32);
    org.jfree.data.time.Day day34 = new org.jfree.data.time.Day();
    java.lang.Class clazz35 = null;
    org.jfree.data.time.TimeSeries timeSeries36 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day34, clazz35);
    org.jfree.data.time.SerialDate serialDate37 = day34.getSerialDate();
    int i38 = timeSeries2.getIndex((org.jfree.data.time.RegularTimePeriod)day34);
    java.util.Calendar calendar39 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long40 = day34.getFirstMillisecond(calendar39);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable8 + "' != '" + 0.0d+ "'", comparable8.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == (-1));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    org.jfree.data.time.Day day14 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod15 = day14.next();
    org.jfree.data.time.FixedMillisecond fixedMillisecond17 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod18 = fixedMillisecond17.previous();
    org.jfree.data.time.TimeSeries timeSeries19 = timeSeries6.createCopy(regularTimePeriod15, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond17);
    java.lang.Class clazz21 = null;
    org.jfree.data.time.TimeSeries timeSeries22 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz21);
    java.lang.String str23 = timeSeries22.getDescription();
    org.jfree.data.time.Month month26 = new org.jfree.data.time.Month(2, 10);
    boolean b28 = month26.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month31 = new org.jfree.data.time.Month(2, 10);
    boolean b33 = month31.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries22.createCopy((org.jfree.data.time.RegularTimePeriod)month26, (org.jfree.data.time.RegularTimePeriod)month31);
    org.jfree.data.time.Month month37 = new org.jfree.data.time.Month(2, 10);
    boolean b39 = month37.equals((java.lang.Object)(short)10);
    int i40 = month31.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem42 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month31, (java.lang.Number)10L);
    int i43 = month31.getYearValue();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries19.add((org.jfree.data.time.RegularTimePeriod)month31, (java.lang.Number)30, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 10);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.beans.PropertyChangeListener propertyChangeListener14 = null;
    timeSeries6.removePropertyChangeListener(propertyChangeListener14);
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    java.util.Date date31 = month22.getEnd();
    long long32 = month22.getMiddleMillisecond();
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(2, 10);
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month35);
    org.jfree.data.general.SeriesChangeEvent seriesChangeEvent37 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)month35);
    long long38 = month35.getSerialIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long38 == 122L);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    java.lang.Class clazz4 = null;
    org.jfree.data.time.TimeSeries timeSeries5 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz4);
    java.lang.String str6 = timeSeries5.getDescription();
    timeSeries5.setKey((java.lang.Comparable)10.0f);
    timeSeries5.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable11 = timeSeries5.getKey();
    timeSeries5.clear();
    org.jfree.data.time.Day day13 = new org.jfree.data.time.Day();
    java.lang.Number number14 = timeSeries5.getValue((org.jfree.data.time.RegularTimePeriod)day13);
    org.jfree.data.time.SerialDate serialDate15 = day13.getSerialDate();
    org.jfree.data.time.SerialDate serialDate16 = org.jfree.data.time.SerialDate.addDays(9999, serialDate15);
    org.jfree.data.time.Day day18 = new org.jfree.data.time.Day();
    org.jfree.data.time.SerialDate serialDate19 = day18.getSerialDate();
    org.jfree.data.time.SerialDate serialDate20 = org.jfree.data.time.SerialDate.addMonths(13, serialDate19);
    org.jfree.data.time.SerialDate serialDate21 = serialDate16.getEndOfCurrentMonth(serialDate20);
    org.jfree.data.time.SerialDate serialDate22 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(6, serialDate16);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate23 = org.jfree.data.time.SerialDate.getFollowingDayOfWeek(22, serialDate16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable11 + "' != '" + 0.0d+ "'", comparable11.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate22);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    org.jfree.data.time.RegularTimePeriod regularTimePeriod0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem2 = new org.jfree.data.time.TimeSeriesDataItem(regularTimePeriod0, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.jfree.data.time.Day day0 = new org.jfree.data.time.Day();
    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day0, clazz1);
    org.jfree.data.general.SeriesChangeListener seriesChangeListener3 = null;
    timeSeries2.removeChangeListener(seriesChangeListener3);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries7 = timeSeries2.createCopy((-460), (-457));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    boolean b7 = timeSeries2.equals((java.lang.Object)(-61847856000001L));
    java.lang.Class clazz9 = null;
    org.jfree.data.time.TimeSeries timeSeries10 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz9);
    java.lang.String str11 = timeSeries10.getDescription();
    java.lang.Class clazz13 = null;
    org.jfree.data.time.TimeSeries timeSeries14 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz13);
    java.lang.String str15 = timeSeries14.getDescription();
    timeSeries14.setKey((java.lang.Comparable)10.0f);
    timeSeries14.setKey((java.lang.Comparable)0.0d);
    java.lang.String str20 = timeSeries14.getDescription();
    java.util.Collection collection21 = timeSeries10.getTimePeriodsUniqueToOtherSeries(timeSeries14);
    java.util.List list22 = timeSeries10.getItems();
    org.jfree.data.time.TimeSeries timeSeries23 = timeSeries2.addAndOrUpdate(timeSeries10);
    org.jfree.data.time.Month month26 = new org.jfree.data.time.Month(2, 10);
    boolean b28 = month26.equals((java.lang.Object)(short)10);
    java.lang.String str29 = month26.toString();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries10.update((org.jfree.data.time.RegularTimePeriod)month26, (java.lang.Number)(short)(-1));
      org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException");
    } catch (org.jfree.data.general.SeriesException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.general.SeriesException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "February 10"+ "'", str29.equals("February 10"));

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    timeSeries6.setDescription("February 10");
    java.lang.Class clazz17 = null;
    org.jfree.data.time.TimeSeries timeSeries18 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz17);
    java.lang.String str19 = timeSeries18.getDescription();
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(2, 10);
    boolean b24 = month22.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries30 = timeSeries18.createCopy((org.jfree.data.time.RegularTimePeriod)month22, (org.jfree.data.time.RegularTimePeriod)month27);
    java.util.Date date31 = month22.getEnd();
    long long32 = month22.getMiddleMillisecond();
    java.lang.Class clazz34 = null;
    org.jfree.data.time.TimeSeries timeSeries35 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz34);
    java.lang.String str36 = timeSeries35.getDescription();
    timeSeries35.setKey((java.lang.Comparable)10.0f);
    timeSeries35.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz42 = null;
    org.jfree.data.time.TimeSeries timeSeries43 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz42);
    java.lang.String str44 = timeSeries43.getDescription();
    timeSeries43.setNotify(false);
    timeSeries43.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz50 = null;
    org.jfree.data.time.TimeSeries timeSeries51 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz50);
    java.lang.String str52 = timeSeries51.getDescription();
    org.jfree.data.time.Month month55 = new org.jfree.data.time.Month(2, 10);
    boolean b57 = month55.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month60 = new org.jfree.data.time.Month(2, 10);
    boolean b62 = month60.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries63 = timeSeries51.createCopy((org.jfree.data.time.RegularTimePeriod)month55, (org.jfree.data.time.RegularTimePeriod)month60);
    timeSeries43.delete((org.jfree.data.time.RegularTimePeriod)month55);
    java.lang.Class clazz66 = null;
    org.jfree.data.time.TimeSeries timeSeries67 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz66);
    java.lang.String str68 = timeSeries67.getDescription();
    org.jfree.data.time.Month month71 = new org.jfree.data.time.Month(2, 10);
    boolean b73 = month71.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month76 = new org.jfree.data.time.Month(2, 10);
    boolean b78 = month76.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries79 = timeSeries67.createCopy((org.jfree.data.time.RegularTimePeriod)month71, (org.jfree.data.time.RegularTimePeriod)month76);
    org.jfree.data.time.Month month82 = new org.jfree.data.time.Month(2, 10);
    boolean b84 = month82.equals((java.lang.Object)(short)10);
    int i85 = month76.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem87 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month76, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries88 = timeSeries35.createCopy((org.jfree.data.time.RegularTimePeriod)month55, (org.jfree.data.time.RegularTimePeriod)month76);
    boolean b89 = month22.equals((java.lang.Object)month76);
    timeSeries6.setKey((java.lang.Comparable)month76);
    timeSeries6.setDescription("hi!");
    // The following exception was thrown during execution in test generation
    try {
      timeSeries6.update(520764324, (java.lang.Number)100L);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == true);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = new org.jfree.data.time.Year((-45452));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod1 = year0.previous();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod2 = year0.previous();
    long long3 = year0.getFirstMillisecond();
    org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)year0);
    timeSeries4.setRangeDescription("February 10");
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod7 = timeSeries4.getNextTimePeriod();
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 1451635200000L);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    int i2 = org.jfree.data.time.SerialDate.lastDayOfMonth(0, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    long long1 = year0.getSerialIndex();
    long long2 = year0.getFirstMillisecond();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod3 = year0.next();
    java.util.Calendar calendar4 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long5 = year0.getLastMillisecond(calendar4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2016L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1451635200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod3);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    java.lang.Class clazz0 = null;
    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz2);
    java.lang.String str4 = timeSeries3.getDescription();
    org.jfree.data.time.Month month7 = new org.jfree.data.time.Month(2, 10);
    boolean b9 = month7.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(2, 10);
    boolean b14 = month12.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries15 = timeSeries3.createCopy((org.jfree.data.time.RegularTimePeriod)month7, (org.jfree.data.time.RegularTimePeriod)month12);
    java.util.Date date16 = month7.getEnd();
    java.util.TimeZone timeZone17 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod18 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date16, timeZone17);
    org.jfree.data.time.Month month19 = new org.jfree.data.time.Month(date16);
    long long20 = month19.getFirstMillisecond();
    java.util.Calendar calendar21 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long22 = month19.getLastMillisecond(calendar21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == (-61849065600000L));

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    boolean b7 = timeSeries2.equals((java.lang.Object)(-61847856000001L));
    java.util.Collection collection8 = timeSeries2.getTimePeriods();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update(9999, (java.lang.Number)3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection8);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekInMonthCode(13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(1969);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = spreadsheetDate1.getPreviousDayOfWeek((-460));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate((-458));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(2, 10);
    boolean b4 = month2.equals((java.lang.Object)(short)10);
    java.lang.String str5 = month2.toString();
    java.lang.Class clazz7 = null;
    org.jfree.data.time.TimeSeries timeSeries8 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz7);
    java.lang.String str9 = timeSeries8.getDescription();
    timeSeries8.setKey((java.lang.Comparable)10.0f);
    timeSeries8.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz15 = null;
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz15);
    java.lang.String str17 = timeSeries16.getDescription();
    timeSeries16.setNotify(false);
    timeSeries16.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz23 = null;
    org.jfree.data.time.TimeSeries timeSeries24 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz23);
    java.lang.String str25 = timeSeries24.getDescription();
    org.jfree.data.time.Month month28 = new org.jfree.data.time.Month(2, 10);
    boolean b30 = month28.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month33 = new org.jfree.data.time.Month(2, 10);
    boolean b35 = month33.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries24.createCopy((org.jfree.data.time.RegularTimePeriod)month28, (org.jfree.data.time.RegularTimePeriod)month33);
    timeSeries16.delete((org.jfree.data.time.RegularTimePeriod)month28);
    java.lang.Class clazz39 = null;
    org.jfree.data.time.TimeSeries timeSeries40 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz39);
    java.lang.String str41 = timeSeries40.getDescription();
    org.jfree.data.time.Month month44 = new org.jfree.data.time.Month(2, 10);
    boolean b46 = month44.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(2, 10);
    boolean b51 = month49.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries52 = timeSeries40.createCopy((org.jfree.data.time.RegularTimePeriod)month44, (org.jfree.data.time.RegularTimePeriod)month49);
    org.jfree.data.time.Month month55 = new org.jfree.data.time.Month(2, 10);
    boolean b57 = month55.equals((java.lang.Object)(short)10);
    int i58 = month49.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem60 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month49, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries61 = timeSeries8.createCopy((org.jfree.data.time.RegularTimePeriod)month28, (org.jfree.data.time.RegularTimePeriod)month49);
    boolean b62 = month2.equals((java.lang.Object)timeSeries8);
    java.util.Calendar calendar63 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long64 = month2.getFirstMillisecond(calendar63);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "February 10"+ "'", str5.equals("February 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);

  }

  @Test
  public void test480() {}
// Defects4J: flaky method
//   @Test
//   public void test480() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }
// 
// 
//     org.jfree.data.time.Day day0 = new org.jfree.data.time.Day();
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day0, clazz1);
//     int i3 = day0.getDayOfMonth();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem5 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)day0, 1.0d);
//     org.jfree.data.general.SeriesChangeEvent seriesChangeEvent6 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)day0);
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod7 = day0.previous();
//     long long8 = day0.getSerialIndex();
//     org.jfree.data.time.TimeSeries timeSeries9 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)long8);
//     java.lang.Class clazz11 = null;
//     org.jfree.data.time.TimeSeries timeSeries12 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz11);
//     java.lang.String str13 = timeSeries12.getDescription();
//     org.jfree.data.time.Month month16 = new org.jfree.data.time.Month(2, 10);
//     boolean b18 = month16.equals((java.lang.Object)(short)10);
//     org.jfree.data.time.Month month21 = new org.jfree.data.time.Month(2, 10);
//     boolean b23 = month21.equals((java.lang.Object)(short)10);
//     org.jfree.data.time.TimeSeries timeSeries24 = timeSeries12.createCopy((org.jfree.data.time.RegularTimePeriod)month16, (org.jfree.data.time.RegularTimePeriod)month21);
//     org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
//     boolean b29 = month27.equals((java.lang.Object)(short)10);
//     int i30 = month21.compareTo((java.lang.Object)(short)10);
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem32 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month21, (java.lang.Number)100.0d);
//     java.lang.Object obj33 = null;
//     int i34 = timeSeriesDataItem32.compareTo(obj33);
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries9.add(timeSeriesDataItem32, false);
//       org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException");
//     } catch (org.jfree.data.general.SeriesException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.jfree.data.general.SeriesException")) {
//         org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 42421L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b18 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b23 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b29 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i34 == 1);
// 
//   }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    java.lang.Class clazz4 = null;
    org.jfree.data.time.TimeSeries timeSeries5 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz4);
    java.lang.String str6 = timeSeries5.getDescription();
    org.jfree.data.time.Month month9 = new org.jfree.data.time.Month(2, 10);
    boolean b11 = month9.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month14 = new org.jfree.data.time.Month(2, 10);
    boolean b16 = month14.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries17 = timeSeries5.createCopy((org.jfree.data.time.RegularTimePeriod)month9, (org.jfree.data.time.RegularTimePeriod)month14);
    org.jfree.data.time.Month month20 = new org.jfree.data.time.Month(2, 10);
    boolean b22 = month20.equals((java.lang.Object)(short)10);
    int i23 = month14.compareTo((java.lang.Object)(short)10);
    int i24 = month14.getYearValue();
    java.lang.String str25 = month14.toString();
    org.jfree.data.time.Day day26 = new org.jfree.data.time.Day();
    java.lang.Class clazz27 = null;
    org.jfree.data.time.TimeSeries timeSeries28 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day26, clazz27);
    org.jfree.data.time.SerialDate serialDate29 = day26.getSerialDate();
    boolean b30 = month14.equals((java.lang.Object)serialDate29);
    org.jfree.data.time.SerialDate serialDate31 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(3, serialDate29);
    org.jfree.data.time.SerialDate serialDate32 = org.jfree.data.time.SerialDate.addYears(6, serialDate31);
    org.jfree.data.time.SerialDate serialDate33 = org.jfree.data.time.SerialDate.addYears(2, serialDate32);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate35 = serialDate32.getNearestDayOfWeek(1905);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "February 10"+ "'", str25.equals("February 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate33);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    org.jfree.data.general.SeriesException seriesException1 = new org.jfree.data.general.SeriesException("8-May-2044");

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = org.jfree.data.time.SerialDate.createInstance(11, 520764324, (-45452));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    org.jfree.data.time.Day day14 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod15 = day14.next();
    org.jfree.data.time.FixedMillisecond fixedMillisecond17 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod18 = fixedMillisecond17.previous();
    org.jfree.data.time.TimeSeries timeSeries19 = timeSeries6.createCopy(regularTimePeriod15, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond17);
    org.jfree.data.time.FixedMillisecond fixedMillisecond21 = new org.jfree.data.time.FixedMillisecond(10L);
    long long22 = fixedMillisecond21.getLastMillisecond();
    java.lang.Class clazz24 = null;
    org.jfree.data.time.TimeSeries timeSeries25 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz24);
    java.lang.String str26 = timeSeries25.getDescription();
    java.lang.Class clazz28 = null;
    org.jfree.data.time.TimeSeries timeSeries29 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz28);
    java.lang.String str30 = timeSeries29.getDescription();
    timeSeries29.setKey((java.lang.Comparable)10.0f);
    timeSeries29.setKey((java.lang.Comparable)0.0d);
    java.lang.String str35 = timeSeries29.getDescription();
    java.util.Collection collection36 = timeSeries25.getTimePeriodsUniqueToOtherSeries(timeSeries29);
    java.beans.PropertyChangeListener propertyChangeListener37 = null;
    timeSeries29.removePropertyChangeListener(propertyChangeListener37);
    java.lang.Class clazz40 = null;
    org.jfree.data.time.TimeSeries timeSeries41 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz40);
    java.lang.String str42 = timeSeries41.getDescription();
    org.jfree.data.time.Month month45 = new org.jfree.data.time.Month(2, 10);
    boolean b47 = month45.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month50 = new org.jfree.data.time.Month(2, 10);
    boolean b52 = month50.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries53 = timeSeries41.createCopy((org.jfree.data.time.RegularTimePeriod)month45, (org.jfree.data.time.RegularTimePeriod)month50);
    java.util.Date date54 = month45.getEnd();
    long long55 = month45.getMiddleMillisecond();
    org.jfree.data.time.Month month58 = new org.jfree.data.time.Month(2, 10);
    org.jfree.data.time.TimeSeries timeSeries59 = timeSeries29.createCopy((org.jfree.data.time.RegularTimePeriod)month45, (org.jfree.data.time.RegularTimePeriod)month58);
    boolean b60 = fixedMillisecond21.equals((java.lang.Object)timeSeries29);
    long long61 = fixedMillisecond21.getMiddleMillisecond();
    java.util.Calendar calendar62 = null;
    long long63 = fixedMillisecond21.getLastMillisecond(calendar62);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries19.add((org.jfree.data.time.RegularTimePeriod)fixedMillisecond21, (java.lang.Number)9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long55 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long61 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long63 == 10L);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    timeSeries2.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable8 = timeSeries2.getKey();
    timeSeries2.clear();
    org.jfree.data.time.Day day10 = new org.jfree.data.time.Day();
    java.lang.Number number11 = timeSeries2.getValue((org.jfree.data.time.RegularTimePeriod)day10);
    timeSeries2.setRangeDescription("Time");
    boolean b14 = timeSeries2.getNotify();
    java.lang.Class clazz16 = null;
    org.jfree.data.time.TimeSeries timeSeries17 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz16);
    java.lang.String str18 = timeSeries17.getDescription();
    java.lang.Class clazz20 = null;
    org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz20);
    java.lang.String str22 = timeSeries21.getDescription();
    timeSeries21.setKey((java.lang.Comparable)10.0f);
    timeSeries21.setKey((java.lang.Comparable)0.0d);
    java.lang.String str27 = timeSeries21.getDescription();
    java.util.Collection collection28 = timeSeries17.getTimePeriodsUniqueToOtherSeries(timeSeries21);
    org.jfree.data.time.Day day29 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod30 = day29.next();
    org.jfree.data.time.FixedMillisecond fixedMillisecond32 = new org.jfree.data.time.FixedMillisecond(10L);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod33 = fixedMillisecond32.previous();
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries21.createCopy(regularTimePeriod30, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond32);
    org.jfree.data.time.Year year35 = new org.jfree.data.time.Year();
    long long36 = year35.getSerialIndex();
    java.lang.String str37 = year35.toString();
    org.jfree.data.time.FixedMillisecond fixedMillisecond39 = new org.jfree.data.time.FixedMillisecond(10L);
    long long40 = fixedMillisecond39.getLastMillisecond();
    java.lang.Class clazz42 = null;
    org.jfree.data.time.TimeSeries timeSeries43 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz42);
    java.lang.String str44 = timeSeries43.getDescription();
    java.lang.Class clazz46 = null;
    org.jfree.data.time.TimeSeries timeSeries47 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz46);
    java.lang.String str48 = timeSeries47.getDescription();
    timeSeries47.setKey((java.lang.Comparable)10.0f);
    timeSeries47.setKey((java.lang.Comparable)0.0d);
    java.lang.String str53 = timeSeries47.getDescription();
    java.util.Collection collection54 = timeSeries43.getTimePeriodsUniqueToOtherSeries(timeSeries47);
    java.beans.PropertyChangeListener propertyChangeListener55 = null;
    timeSeries47.removePropertyChangeListener(propertyChangeListener55);
    java.lang.Class clazz58 = null;
    org.jfree.data.time.TimeSeries timeSeries59 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz58);
    java.lang.String str60 = timeSeries59.getDescription();
    org.jfree.data.time.Month month63 = new org.jfree.data.time.Month(2, 10);
    boolean b65 = month63.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month68 = new org.jfree.data.time.Month(2, 10);
    boolean b70 = month68.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries71 = timeSeries59.createCopy((org.jfree.data.time.RegularTimePeriod)month63, (org.jfree.data.time.RegularTimePeriod)month68);
    java.util.Date date72 = month63.getEnd();
    long long73 = month63.getMiddleMillisecond();
    org.jfree.data.time.Month month76 = new org.jfree.data.time.Month(2, 10);
    org.jfree.data.time.TimeSeries timeSeries77 = timeSeries47.createCopy((org.jfree.data.time.RegularTimePeriod)month63, (org.jfree.data.time.RegularTimePeriod)month76);
    boolean b78 = fixedMillisecond39.equals((java.lang.Object)timeSeries47);
    long long79 = fixedMillisecond39.getMiddleMillisecond();
    java.util.Calendar calendar80 = null;
    long long81 = fixedMillisecond39.getFirstMillisecond(calendar80);
    java.util.Date date82 = fixedMillisecond39.getEnd();
    org.jfree.data.time.Month month83 = new org.jfree.data.time.Month(date82);
    org.jfree.data.time.TimeSeries timeSeries84 = timeSeries34.createCopy((org.jfree.data.time.RegularTimePeriod)year35, (org.jfree.data.time.RegularTimePeriod)month83);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)month83, (java.lang.Number)22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable8 + "' != '" + 0.0d+ "'", comparable8.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long36 == 2016L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "2016"+ "'", str37.equals("2016"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long73 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long79 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long81 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries84);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    java.lang.Class clazz3 = null;
    org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz3);
    java.lang.String str5 = timeSeries4.getDescription();
    timeSeries4.setKey((java.lang.Comparable)10.0f);
    timeSeries4.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable10 = timeSeries4.getKey();
    timeSeries4.clear();
    org.jfree.data.time.Day day12 = new org.jfree.data.time.Day();
    java.lang.Number number13 = timeSeries4.getValue((org.jfree.data.time.RegularTimePeriod)day12);
    org.jfree.data.time.SerialDate serialDate14 = day12.getSerialDate();
    org.jfree.data.time.SerialDate serialDate15 = org.jfree.data.time.SerialDate.addDays(9999, serialDate14);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate16 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(0, serialDate15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable10 + "' != '" + 0.0d+ "'", comparable10.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate15);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    org.jfree.data.general.SeriesChangeListener seriesChangeListener3 = null;
    timeSeries2.removeChangeListener(seriesChangeListener3);
    timeSeries2.fireSeriesChanged();
    timeSeries2.setMaximumItemAge(0L);
    org.jfree.data.time.Year year8 = new org.jfree.data.time.Year();
    long long9 = year8.getSerialIndex();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)year8);
    timeSeries2.fireSeriesChanged();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod13 = timeSeries2.getTimePeriod(9999);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 2016L);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    timeSeries6.setKey((java.lang.Comparable)10.0f);
    timeSeries6.setKey((java.lang.Comparable)0.0d);
    java.lang.String str12 = timeSeries6.getDescription();
    java.util.Collection collection13 = timeSeries2.getTimePeriodsUniqueToOtherSeries(timeSeries6);
    java.beans.PropertyChangeListener propertyChangeListener14 = null;
    timeSeries6.removePropertyChangeListener(propertyChangeListener14);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod16 = timeSeries6.getNextTimePeriod();
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day3 = new org.jfree.data.time.Day((-457), 0, 2147483647);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.jfree.data.time.Year year1 = new org.jfree.data.time.Year();
    long long2 = year1.getSerialIndex();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month3 = new org.jfree.data.time.Month(0, year1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2016L);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    int i1 = org.jfree.data.time.SerialDate.stringToWeekdayCode("29-February-2016");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.jfree.data.time.Day day1 = org.jfree.data.time.Day.parseDay("org.jfree.data.general.SeriesChangeEvent[source=21-February-2016]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(day1);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    long long1 = year0.getSerialIndex();
    java.lang.String str2 = year0.toString();
    java.lang.Class clazz4 = null;
    org.jfree.data.time.TimeSeries timeSeries5 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz4);
    java.lang.String str6 = timeSeries5.getDescription();
    org.jfree.data.time.Month month9 = new org.jfree.data.time.Month(2, 10);
    boolean b11 = month9.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month14 = new org.jfree.data.time.Month(2, 10);
    boolean b16 = month14.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries17 = timeSeries5.createCopy((org.jfree.data.time.RegularTimePeriod)month9, (org.jfree.data.time.RegularTimePeriod)month14);
    boolean b18 = year0.equals((java.lang.Object)timeSeries17);
    int i19 = year0.getYear();
    int i20 = year0.getYear();
    java.lang.Class clazz22 = null;
    org.jfree.data.time.TimeSeries timeSeries23 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz22);
    java.lang.String str24 = timeSeries23.getDescription();
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(2, 10);
    boolean b29 = month27.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month32 = new org.jfree.data.time.Month(2, 10);
    boolean b34 = month32.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries35 = timeSeries23.createCopy((org.jfree.data.time.RegularTimePeriod)month27, (org.jfree.data.time.RegularTimePeriod)month32);
    java.util.Date date36 = month27.getEnd();
    long long37 = month27.getMiddleMillisecond();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod38 = month27.previous();
    int i39 = month27.getYearValue();
    java.util.Date date40 = month27.getStart();
    org.jfree.data.time.Year year41 = new org.jfree.data.time.Year(date40);
    int i42 = year0.compareTo((java.lang.Object)date40);
    java.util.Calendar calendar43 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long44 = year0.getLastMillisecond(calendar43);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2016L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "2016"+ "'", str2.equals("2016"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long37 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setKey((java.lang.Comparable)10.0f);
    boolean b7 = timeSeries2.equals((java.lang.Object)(-61847856000001L));
    java.lang.String str8 = timeSeries2.getDescription();
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    java.lang.String str14 = month11.toString();
    java.lang.Class clazz16 = null;
    org.jfree.data.time.TimeSeries timeSeries17 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz16);
    java.lang.String str18 = timeSeries17.getDescription();
    timeSeries17.setKey((java.lang.Comparable)10.0f);
    timeSeries17.setKey((java.lang.Comparable)0.0d);
    java.lang.Class clazz24 = null;
    org.jfree.data.time.TimeSeries timeSeries25 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz24);
    java.lang.String str26 = timeSeries25.getDescription();
    timeSeries25.setNotify(false);
    timeSeries25.setKey((java.lang.Comparable)(byte)100);
    java.lang.Class clazz32 = null;
    org.jfree.data.time.TimeSeries timeSeries33 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz32);
    java.lang.String str34 = timeSeries33.getDescription();
    org.jfree.data.time.Month month37 = new org.jfree.data.time.Month(2, 10);
    boolean b39 = month37.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month42 = new org.jfree.data.time.Month(2, 10);
    boolean b44 = month42.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries45 = timeSeries33.createCopy((org.jfree.data.time.RegularTimePeriod)month37, (org.jfree.data.time.RegularTimePeriod)month42);
    timeSeries25.delete((org.jfree.data.time.RegularTimePeriod)month37);
    java.lang.Class clazz48 = null;
    org.jfree.data.time.TimeSeries timeSeries49 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz48);
    java.lang.String str50 = timeSeries49.getDescription();
    org.jfree.data.time.Month month53 = new org.jfree.data.time.Month(2, 10);
    boolean b55 = month53.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month58 = new org.jfree.data.time.Month(2, 10);
    boolean b60 = month58.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries61 = timeSeries49.createCopy((org.jfree.data.time.RegularTimePeriod)month53, (org.jfree.data.time.RegularTimePeriod)month58);
    org.jfree.data.time.Month month64 = new org.jfree.data.time.Month(2, 10);
    boolean b66 = month64.equals((java.lang.Object)(short)10);
    int i67 = month58.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem69 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month58, (java.lang.Number)10L);
    org.jfree.data.time.TimeSeries timeSeries70 = timeSeries17.createCopy((org.jfree.data.time.RegularTimePeriod)month37, (org.jfree.data.time.RegularTimePeriod)month58);
    boolean b71 = month11.equals((java.lang.Object)timeSeries17);
    java.lang.String str72 = month11.toString();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)month11, (java.lang.Number)1456070548807L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "February 10"+ "'", str14.equals("February 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "February 10"+ "'", str72.equals("February 10"));

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    org.jfree.data.time.Month month6 = new org.jfree.data.time.Month(2, 10);
    boolean b8 = month6.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(2, 10);
    boolean b13 = month11.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries14 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month6, (org.jfree.data.time.RegularTimePeriod)month11);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(2, 10);
    boolean b19 = month17.equals((java.lang.Object)(short)10);
    int i20 = month11.compareTo((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem22 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month11, (java.lang.Number)10L);
    java.lang.Class clazz24 = null;
    org.jfree.data.time.TimeSeries timeSeries25 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz24);
    java.lang.String str26 = timeSeries25.getDescription();
    timeSeries25.setNotify(true);
    boolean b29 = month11.equals((java.lang.Object)true);
    int i30 = month11.getYearValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 10);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    org.jfree.data.general.SeriesChangeListener seriesChangeListener3 = null;
    timeSeries2.removeChangeListener(seriesChangeListener3);
    timeSeries2.fireSeriesChanged();
    timeSeries2.setMaximumItemAge(0L);
    org.jfree.data.time.FixedMillisecond fixedMillisecond9 = new org.jfree.data.time.FixedMillisecond(10L);
    long long10 = fixedMillisecond9.getLastMillisecond();
    java.lang.Class clazz12 = null;
    org.jfree.data.time.TimeSeries timeSeries13 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz12);
    java.lang.String str14 = timeSeries13.getDescription();
    java.lang.Class clazz16 = null;
    org.jfree.data.time.TimeSeries timeSeries17 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz16);
    java.lang.String str18 = timeSeries17.getDescription();
    timeSeries17.setKey((java.lang.Comparable)10.0f);
    timeSeries17.setKey((java.lang.Comparable)0.0d);
    java.lang.String str23 = timeSeries17.getDescription();
    java.util.Collection collection24 = timeSeries13.getTimePeriodsUniqueToOtherSeries(timeSeries17);
    java.beans.PropertyChangeListener propertyChangeListener25 = null;
    timeSeries17.removePropertyChangeListener(propertyChangeListener25);
    java.lang.Class clazz28 = null;
    org.jfree.data.time.TimeSeries timeSeries29 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz28);
    java.lang.String str30 = timeSeries29.getDescription();
    org.jfree.data.time.Month month33 = new org.jfree.data.time.Month(2, 10);
    boolean b35 = month33.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(2, 10);
    boolean b40 = month38.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries41 = timeSeries29.createCopy((org.jfree.data.time.RegularTimePeriod)month33, (org.jfree.data.time.RegularTimePeriod)month38);
    java.util.Date date42 = month33.getEnd();
    long long43 = month33.getMiddleMillisecond();
    org.jfree.data.time.Month month46 = new org.jfree.data.time.Month(2, 10);
    org.jfree.data.time.TimeSeries timeSeries47 = timeSeries17.createCopy((org.jfree.data.time.RegularTimePeriod)month33, (org.jfree.data.time.RegularTimePeriod)month46);
    boolean b48 = fixedMillisecond9.equals((java.lang.Object)timeSeries17);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod49 = fixedMillisecond9.next();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem50 = timeSeries2.getDataItem((org.jfree.data.time.RegularTimePeriod)fixedMillisecond9);
    long long51 = fixedMillisecond9.getFirstMillisecond();
    java.util.Calendar calendar52 = null;
    long long53 = fixedMillisecond9.getMiddleMillisecond(calendar52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long43 == (-61847856000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long51 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long53 == 10L);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz2);
    java.lang.String str4 = timeSeries3.getDescription();
    timeSeries3.setKey((java.lang.Comparable)10.0f);
    timeSeries3.setKey((java.lang.Comparable)0.0d);
    java.lang.Comparable comparable9 = timeSeries3.getKey();
    timeSeries3.clear();
    org.jfree.data.time.Day day11 = new org.jfree.data.time.Day();
    java.lang.Number number12 = timeSeries3.getValue((org.jfree.data.time.RegularTimePeriod)day11);
    org.jfree.data.time.SerialDate serialDate13 = day11.getSerialDate();
    org.jfree.data.time.SerialDate serialDate14 = org.jfree.data.time.SerialDate.addDays(9999, serialDate13);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate16 = serialDate14.getFollowingDayOfWeek(9999);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable9 + "' != '" + 0.0d+ "'", comparable9.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate14);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz5);
    java.lang.String str7 = timeSeries6.getDescription();
    org.jfree.data.time.Month month10 = new org.jfree.data.time.Month(2, 10);
    boolean b12 = month10.equals((java.lang.Object)(short)10);
    org.jfree.data.time.Month month15 = new org.jfree.data.time.Month(2, 10);
    boolean b17 = month15.equals((java.lang.Object)(short)10);
    org.jfree.data.time.TimeSeries timeSeries18 = timeSeries6.createCopy((org.jfree.data.time.RegularTimePeriod)month10, (org.jfree.data.time.RegularTimePeriod)month15);
    java.lang.Number number19 = timeSeries2.getValue((org.jfree.data.time.RegularTimePeriod)month15);
    java.lang.Class clazz21 = null;
    org.jfree.data.time.TimeSeries timeSeries22 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz21);
    java.lang.String str23 = timeSeries22.getDescription();
    timeSeries22.setNotify(false);
    java.lang.String str26 = timeSeries22.getDescription();
    java.util.List list27 = timeSeries22.getItems();
    org.jfree.data.time.Year year28 = new org.jfree.data.time.Year();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem29 = timeSeries22.getDataItem((org.jfree.data.time.RegularTimePeriod)year28);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod30 = year28.next();
    java.lang.Class clazz32 = null;
    org.jfree.data.time.TimeSeries timeSeries33 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz32);
    java.lang.String str34 = timeSeries33.getDescription();
    timeSeries33.setDescription("Time");
    java.lang.Object obj37 = timeSeries33.clone();
    boolean b38 = year28.equals((java.lang.Object)timeSeries33);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)year28, 100.0d, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    org.jfree.data.general.SeriesChangeListener seriesChangeListener3 = null;
    timeSeries2.removeChangeListener(seriesChangeListener3);
    timeSeries2.fireSeriesChanged();
    java.lang.Class clazz6 = timeSeries2.getTimePeriodClass();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.delete((-458), 1969);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(clazz6);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0d, clazz1);
    java.lang.String str3 = timeSeries2.getDescription();
    timeSeries2.setDescription("Time");
    int i6 = timeSeries2.getMaximumItemCount();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate8 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate10 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.FixedMillisecond fixedMillisecond12 = new org.jfree.data.time.FixedMillisecond(10L);
    long long13 = fixedMillisecond12.getLastMillisecond();
    long long14 = fixedMillisecond12.getMiddleMillisecond();
    java.util.Calendar calendar15 = null;
    long long16 = fixedMillisecond12.getFirstMillisecond(calendar15);
    java.util.Date date17 = fixedMillisecond12.getEnd();
    org.jfree.data.time.SerialDate serialDate18 = org.jfree.data.time.SerialDate.createInstance(date17);
    boolean b19 = spreadsheetDate10.isAfter(serialDate18);
    int i20 = spreadsheetDate10.getDayOfMonth();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate22 = new org.jfree.data.time.SpreadsheetDate(7);
    org.jfree.data.time.FixedMillisecond fixedMillisecond24 = new org.jfree.data.time.FixedMillisecond(10L);
    long long25 = fixedMillisecond24.getLastMillisecond();
    long long26 = fixedMillisecond24.getMiddleMillisecond();
    java.util.Calendar calendar27 = null;
    long long28 = fixedMillisecond24.getFirstMillisecond(calendar27);
    java.util.Date date29 = fixedMillisecond24.getEnd();
    org.jfree.data.time.SerialDate serialDate30 = org.jfree.data.time.SerialDate.createInstance(date29);
    boolean b31 = spreadsheetDate22.isAfter(serialDate30);
    int i32 = spreadsheetDate22.getDayOfMonth();
    boolean b33 = spreadsheetDate10.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate22);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate35 = new org.jfree.data.time.SpreadsheetDate(1969);
    boolean b36 = spreadsheetDate10.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate35);
    boolean b37 = spreadsheetDate8.isOnOrBefore((org.jfree.data.time.SerialDate)spreadsheetDate10);
    timeSeries2.setKey((java.lang.Comparable)spreadsheetDate10);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod39 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem41 = timeSeries2.addOrUpdate(regularTimePeriod39, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == true);

  }

}
